commit 23f2e558798a46840576459b784e13169f66d2dd
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Fri Feb 7 16:25:39 2020 +0100

    Release Entropy 324

commit 5d58a8c5010609362a252f3868c6439d3f9dd6c5
Merge: 08da648a2 464966005
Author: geaaru <geaaru@sabayonlinux.org>
Date:   Tue Feb 4 13:53:14 2020 +0100

    Merge pull request #87 from geaaru/master
    
    Fix retrieve of kernel list when virtual/linux-binary contains RDEPEND with OR

commit 4649660050b811f17183124a831816e9f70f8718
Author: Daniele Rondina <geaaru@sabayonlinux.org>
Date:   Tue Feb 4 13:40:03 2020 +0100

    kswitch: Added a new way to retrieve list of kernels
    
    Added a new way to retrieve list of kernel available
    that uses directory /etc/kernels/availables/{sabayon,sabayon-lts}.
    If this directory is present is not used current logic for
    retrieve the list of kernel.
    
    Under /etc/kernels/avaiables/ directory files with 'lts' extension
    are used for retrieve list of LTS kernels.
    
    An user could return his kernel list just if he creates and
    maintains his file in a similar format:
    
    $# cat /etc/kernel/availables/mykernel
    sys-kernel/linux-sabayon:4.9
    sys-kernel/linux-mykernel:4.4
    
    This logic now is used as an additional feature after retrieve
    the existing kernels based on virtual/linux-binary or
    virtual/linux-binary-lts.

commit c9b1daece1ef26fd5731aa6d49958a89ed8cc7fb
Author: Daniele Rondina <geaaru@sabayonlinux.org>
Date:   Tue Feb 4 13:38:23 2020 +0100

    kswitch: Fix parsing of kernel list
    
    Now virtual/linux-binary and virtual/linux-binary-lts have
    kernel list in OR. So we need retrieve the list and split
    result string by ';'.

commit 5aec1b48e51488baf8390436a232e4492e12025f
Author: Geaaru <geaaru@gmail.com>
Date:   Sat Sep 8 18:36:42 2018 +0200

    [kernel-switcher] Refactor

commit 08da648a202d3c8587fedf7ef83f557fef41e2d5
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Wed Dec 18 22:20:29 2019 +0100

    [entropy.client] fixes for "dictionary changed size during iteration"

commit 47fc1e9f9ac5f3ace3f5c8a70534739e23c67e4b
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Mon Dec 16 23:38:50 2019 +0100

    Tagging Entropy version 323

commit 285876cc86345b45cdba0a19878f4b809b750905
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Mon Dec 16 23:38:39 2019 +0100

    Release Entropy 323

commit 31c8df4017f7c947b36a75cd00d89bed434d9993
Merge: 952eefa4c bad4b21f1
Author: Enlik <slawomir.nizio@sabayon.org>
Date:   Sat Dec 14 00:07:53 2019 +0100

    Merge pull request #86 from Enlik/moar-py3
    
    More Python 3 fixes

commit bad4b21f1a9869f0f1cf3d3bf01788adcb2f69d8
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Fri Dec 13 21:06:23 2019 +0100

    [entropy.client.misc, entropy.output] fixes for Python 3
    
    ConfigurationFiles._load_maybe_add (equo.client.misc): path is in bytes here
    
    _std_write (entropy.output): fixes crash in equo conf update with "Replace
    original with update" when there is an error in which case msg can be bytes:
    
      File ".../entropy/lib/entropy/tools.py", line 687, in movefile
        print_generic("!!! Failed to move", src, "to", dest)
      File ".../entropy/lib/entropy/output.py", line 596, in print_generic
        _std_write(msg, stderr = stderr)
      File ".../entropy/lib/entropy/output.py", line 493, in _std_write
        obj.write(msg)

commit 2aa2c69e2bf8be7ba40e64819fdda0ec4d0bce0f
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Fri Dec 13 01:20:59 2019 +0100

    correct exception handling / error reporting with Python 3

commit 4ab520925aadf302b9a827c93ad48c78f3ce9d57
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Wed Dec 11 01:17:33 2019 +0100

    [entropy.output] fix for Python 3 in input_box()
    
    myresult = readtext(input_text+": ", password = password).decode('utf-8')
    AttributeError: 'str' object has no attribute 'decode'

commit 7abd4dad800592506eadda3b5da8c4988fabb313
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Fri Dec 6 01:04:04 2019 +0100

    [entropy.qa] fix test_shared_objects() with Python 3
    
    Other parts of this function and called ones work or can work with
    strings.

commit d65f09fcf8c477c1079a4d8568537ae3e94a342b
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Thu Dec 5 22:58:42 2019 +0100

    [rigo] correct Vte.Terminal.feed with Python 3
    
    With Python 3, prepare_markup() doesn't now convert string to bytes.

commit 842979cbba3b9be4e1d5083d945b6f5a8df3479a
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Thu Dec 5 22:41:53 2019 +0100

    [magneto, rigo] Python 3 fixes in _dbus_to_string

commit e2de60dbc33f047e9d17e3577a8a558a0da5b323
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Wed Dec 4 23:16:07 2019 +0100

    [entropy.client.services] Python 3 fix

commit 97409d12d50b02544c20368b849fa7145470bb3f
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Wed Dec 4 22:52:59 2019 +0100

    [rigo] Python 3 fixes

commit e26d11b5f645dd842fd7634acbccac35f06562c5
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Wed Dec 4 22:01:22 2019 +0100

    Python 3 fixes: open() and so, not file()

commit 952eefa4c6573705e89067b04fc8811844e69fff
Merge: 1fa4045ce fc13fa372
Author: Enlik <slawomir.nizio@sabayon.org>
Date:   Fri Nov 29 00:46:04 2019 +0100

    Merge pull request #85 from Enlik/dirchiter
    
    [entropy.server] correct close_repositories() with Python 3

commit fc13fa3727eecce0162e52852d2ac0f724da6aa2
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Thu Nov 14 01:16:17 2019 +0100

    [entropy.server] correct close_repositories() with Python 3
    
    Function callers, in order (during eit commit):
    
    1. filename='lib/entropy/server/interfaces/main.py', function='switch_default_repository', code_context=[' self.close_repositories()\n'], index=0)
    2. filename='server/eit/commands/command.py', function='_call_exclusive', code_context=[' server.close_repositories()\n'], index=0)
    3. filename='lib/entropy/client/interfaces/client.py', function='destroy', code_context=[' self.close_repositories(mask_clear = False)\n'], index=0)
    4. filename='lib/entropy/server/interfaces/main.py', function='destroy', code_context=[' self.close_repositories()\n'], index=0)
    
    Third one triggers packages set synchronization (which would cause "dictionary
    changed size during iteration"), and marks sets as being synchronized.
    
    Fourth does not trigger sets synchronization, so closes all repositories
    without new ones being opened in the meantime.
    
    Side note:
    It's similar to this in "client," lib/entropy/client/interfaces/methods.py:
    
        def close_repositories(self, mask_clear = True):
            ...
                # list() -> python3 support
                for item, val in list(repo_cache.items()):
                    ...
                    repo_cache.pop(item).close(_token = repository_id)
                    ...
    
    but (based on shallow look), it doesn't do as much magic; just calls .pop()
    (not sure if there are similar side effects in close() there, though), so the
    explanation may possibly apply to the lib/entropy/server function only.

commit 1fa4045cedebe0a07afdb0a46e5d5c3993dfcc9f
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Sun Nov 10 15:53:56 2019 +0100

    Tagging Entropy version 322

commit d2328561d9c8ae324280df63849316f15f7f0389
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Sun Nov 10 15:53:52 2019 +0100

    Release Entropy 322

commit 1d327450820c835ce6c146f9478478060e7a9789
Merge: cf50abb57 6bdcd152c
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sun Nov 10 15:53:05 2019 +0100

    Merge pull request #83 from Enlik/py3-fixes
    
    [entropy.client.misc] correct ConfigurationFiles with Python 3

commit cf50abb578497901d693946dd52f5c604404b0bb
Merge: 15d2b3b21 7fc5bd338
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sun Nov 10 15:48:32 2019 +0100

    Merge pull request #82 from Enlik/qfile-no-plib
    
    [entropy.spm] search_path_owners (qfile) fixes

commit 15d2b3b217b0c9988ab1f736874881bdc1932592
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Sun Nov 10 15:44:21 2019 +0100

    Tagging Entropy version 321

commit 00afcc3c101521dc261c3e42afd0ac17faad2748
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Sun Nov 10 15:44:18 2019 +0100

    Release Entropy 321

commit d68f5debbdb3ef27f7f091a6a6d258c2f02e0a42
Merge: 65c28deb2 c6ab5d28e
Author: geaaru <geaaru@sabayonlinux.org>
Date:   Sat Nov 9 17:01:55 2019 +0100

    Merge pull request #84 from Enlik/rewriter-bugfix
    
    [entropy.core] fix DependencyRewriter with or-dependencies

commit c6ab5d28e287b9f0c74269ad295fcdf9dc03fe08
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Nov 9 12:20:46 2019 +0100

    [entropy.core] fix DependencyRewriter with or-dependencies

commit 6bdcd152c80df0bb2d771337d453cd45f54e2735
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Nov 9 12:12:06 2019 +0100

    [entropy.client.misc] correct ConfigurationFiles with Python 3
    
    1. Command to execute (diff) was getting arguments like b"path".
    2. Crash when priting message.
    3. In Python 3, b'x'[0] is int, not str, so a test (if) was (silently)
    always true. This way, upon eit commit (at least) and with Python 3,
    warning about not merged configuration files was newer printed.
    
    (3) prevented prior discovery of (1) and (2).
    
    Based on my checks, there are no more problems like (3), but I cannot
    tell for sure.

commit 7fc5bd33805830172327513fc6c73dcdc12edde5
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Fri Nov 8 01:19:01 2019 +0100

    [entropy.spm] fix search_paths_owners (qfile) with Python 3

commit 998cd2d755497129b72ec1ce73defb4618a2e8a7
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Thu Nov 7 23:12:31 2019 +0100

    [entropy.spm] adapt to qfile from portage-utils-0.81
    
    [Not tagged so in their git repository... whatever.]
    
    With -R / it prints bogus lines making Entropy crash:
    
      File "/usr/lib64/python2.7/site-packages/portage/dbapi/vartree.py", line 748, in aux_get
        raise KeyError(mycpv)
    KeyError: 'plib_registry:'
    
    The change was done in portage-utils, commit f05c78008b1754a79e31e793a67d07ed8f5d11bc
    
        Make qfile also check the prune lib registry
    
    and the problem with qfile was reported to Gentoo in bug 699558.
    
    It will break with older qfile but Entropy should fallback to slower,
    non-qfile code branch.

commit 65c28deb2ed5a68875bc6209e4f11420aae71a27
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Thu Nov 7 17:21:33 2019 +0100

    Tagging Entropy version 320

commit f2cac41869cbf0ba1b0397842000d7d300c9d1c5
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Thu Nov 7 17:21:28 2019 +0100

    Release Entropy 320

commit b55adfafe8dfe55313ac6a95c74f8bccc0cd07f0
Merge: d2c1bcd13 54a3e5001
Author: geaaru <geaaru@sabayonlinux.org>
Date:   Sat Oct 5 11:26:28 2019 +0200

    Merge pull request #79 from Enlik/qfile-no-e
    
    [entropy.spm] adapt to qfile from portage-utils-0.80

commit 54a3e50017d20bb29c80504b3857debc6bd24570
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Wed Oct 2 01:58:43 2019 +0200

    [entropy.spm] adapt to qfile from portage-utils-0.80
    
    In 0.74 -e was available, and in 0.80 it is not present.
    In both versions, and with the same set of options used, -e and -v
    provide the same result so -v is now used to work on both.
    
    Changed in portage-utils, commit 951a8711a59b1a7d49125f5f5214ff1ae9e50074:
    
        qfile: drop non-functional --exact option
    
        Bug: https://bugs.gentoo.org/678632

commit d2c1bcd13b2b3269c8630f9d2fc7caf28a053656
Merge: 67cde5ac5 84ff77970
Author: Enlik <slawomir.nizio@sabayon.org>
Date:   Sun Aug 18 21:27:49 2019 +0200

    Merge pull request #76 from geaaru/fix-unused
    
    unused: fix wrong variable reference

commit 67cde5ac5cec2cfaac78ccb77ceb6d1faf7b3d26
Merge: 0b2444840 8647a8739
Author: geaaru <geaaru@sabayonlinux.org>
Date:   Sat Aug 17 19:21:15 2019 +0200

    Merge pull request #78 from geaaru/fix-utf8-issue
    
    Handle unicode decode error as not text file - #77

commit 8647a8739d61bc084cf80a8263afb4dd63151e6f
Author: Daniele Rondina <geaaru@sabayonlinux.org>
Date:   Sat Aug 17 17:16:51 2019 +0200

    Handle unicode decode error as not text file - #77

commit 84ff779709a6c28886fa6472a5055f1e7b87c175
Author: Daniele Rondina <geaaru@sabayonlinux.org>
Date:   Thu Aug 15 11:29:18 2019 +0200

    unused: Fix search with spm

commit 0b24448404d1efd9dd5451d5aab270b00cd6fe18
Merge: fa6068b2e b2c8e2c81
Author: geaaru <geaaru@sabayonlinux.org>
Date:   Thu Jul 18 16:39:53 2019 +0200

    Merge pull request #75 from Enlik/completions
    
    [solo.commands.command] simplify and improve bash completions

commit b2c8e2c819da74f5f77395aaa796b64678150635
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Tue Jul 16 08:35:32 2019 +0200

    [solo.commands.command] simplify and improve bash completions
    
    Note: <tab> below can mean double <tab>.
    
    This commit fixes cases such like the following ones:
    
    * crash (issue !73) - e.g. KeyError: u'--mtime':
        - equo security oscheck --mtime <tab>
        - equo query graph --complete <tab>
          (this was due to a typo in variable name)
    
    * now prints options, previously it didn't:
        - equo install -a <tab>
    
    * crashed, or (with only variable name fixed) didn't print all options:
        - equo security oscheck --mtime <tab>
          (note that it worked with more special -q instead of --mtime etc.)
    
    * didn't print all options:
        - equo query list installed <tab>
          (now shows also --by-user)
    
    The following behaviour is still buggy:
    
    * last typed word (note: no space before <tab>) disappears upon completion:
        - equo security oscheck<tab>
          (not a regression)
        - equo install --deep<tab>
          (here it's an option; regression! - previously it didn't complete but
          didn't cause the word to be erased either)
    
    These can be corrected reliably when something like ${COMP_WORDS[COMP_CWORD]}
    (from complete -F) is passed to the Python side.
    Without this it's not possible to distinguish between `recognized_option<tab>`
    (completion of recognized_option) and `recognized_option <tab>`.

commit fa6068b2e477b39ee244634d7ceea08d95dd3d5d
Merge: 6628e0dd8 427bc90bc
Author: geaaru <geaaru@sabayonlinux.org>
Date:   Fri Jul 12 22:42:29 2019 +0200

    Merge pull request #70 from geaaru/arm-iuse-fix
    
    Fix handling IUSE with default options with Python 3

commit 427bc90bc04432897cd23d639ef6c8053daf4e96
Author: Geaaru <geaaru@gmail.com>
Date:   Sat Feb 23 12:36:04 2019 +0100

    Process IUSE with default option correctly
    
    On ARM environment injection of packages doesn't handle
    correctly IUSE with default options (+)/(-) and this
    doesn't expose correctly the USE flags of the package for dependencies
    test.
    
    Example:
    
      ╠  @@ Searching...
      ╠      @@ Package: app-arch/xz-utils-5.2.4-r2 branch: 5, [__system__]
      ╠          Category:        app-arch
      ╠          Name:            xz-utils
      ╠          Masked:          False
      ╠          Installed:       version: 5.2.4-r2 ~ tag: NoTag ~ revision:
      9999
      ╠          Slot:            0
      ╠          Size:            29.3kB
      ╠          Download:
      packages/armv7l/5/app-arch/app-arch:xz-utils-5.2.4-r2.efbac860e08851659458db1e4b55a03c3f3711e0.tbz2
      ╠          Checksum:        0
      ╠          SHA1:            efbac860e08851659458db1e4b55a03c3f3711e0
      ╠          SHA256:
      69989fb2f120539938b060531ba17e8cc2e2e3ed879ef937aacc5f2b9abcfc70
      ╠          GPG:             No
      ╠          ## Dependencies:
      ╠          ##               [3] >=app-portage/elt-patches-20170815
      ╠          ##               Legend:
      ╠          ##               {0} Runtime dependency
      ╠          ##               {1} Post dependency
      ╠          ##               {2} Manually added (by staff) dependency
      ╠          ##               {3} Build dependency
      ╠          ## Conflicts:
      ╠          ##               <app-arch/lzma-4.63
      ╠          ##               <app-arch/p7zip-4.57
      ╠          ##               app-arch/lzma-utils
      ╠          Homepage:        https://tukaani.org/xz/
      ╠          Description:     utils for managing LZMA compressed
      ╠                           files
      ╠          USE flags:       -+extra-filters -+threads -abi_mips_n32
      ╠                           -abi_mips_n64 -abi_mips_o32
      ╠                           -abi_ppc_32 -abi_ppc_64 -abi_s390_32
      ╠                           -abi_s390_64 -abi_x86_32 -abi_x86_64
      ╠                           -abi_x86_x32 -elibc_FreeBSD
      ╠                           -static-libs arm armv5te armv6
      ╠                           armv6t2 big-endian cpu_flags_arm_edsp
      ╠                           cpu_flags_arm_thumb cpu_flags_arm_thumb2
      ╠                           cpu_flags_arm_v4 cpu_flags_arm_v5
      ╠                           cpu_flags_arm_v6 cpu_flags_arm_v7
      ╠                           cpu_flags_arm_vfp elibc_glibc
      ╠                           kernel_linux nls userland_GNU
    
    USE flags extra-filters and threads MUST in the format:
    
    ╠          USE flags:       -abi_mips_n32 -abi_mips_n64
    ╠                           -abi_mips_o32 -abi_ppc_32 -abi_ppc_64
    ╠                           -abi_s390_32 -abi_s390_64 -abi_x86_32
    ╠                           -abi_x86_64 -abi_x86_x32 -elibc_FreeBSD
    ╠                           -static-libs arm armv5te armv6
    ╠                           armv6t2 big-endian cpu_flags_arm_edsp
    ╠                           cpu_flags_arm_thumb cpu_flags_arm_thumb2
    ╠                           cpu_flags_arm_v4 cpu_flags_arm_v5
    ╠                           cpu_flags_arm_v6 cpu_flags_arm_v7
    ╠                           cpu_flags_arm_vfp elibc_glibc
    ╠                           extra-filters kernel_linux nls
    ╠                           threads userland_GNU

commit 6628e0dd81ad5e0bb2569866bef546c91f6f70ff
Merge: 35a3fa3c7 cdaffff03
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Thu Mar 14 20:25:43 2019 +0100

    Merge pull request #72 from geaaru/equo-generate
    
    Improve equo generate subcommand for CI

commit cdaffff03bb7d9bc747ccb6ed59e478354f00281
Author: Daniele Rondina <geaaru@sabayonlinux.org>
Date:   Sun Feb 24 11:42:02 2019 +0100

    Improve equo generate subcommand for CI
    
    Add option --force-non-interactive to generate
    sub command to avoid use of expect tool.

commit 35a3fa3c7576abfb31df11666a4ac2f1a33f600b
Merge: cd640cebd 545b5a7ca
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Wed Mar 13 22:48:40 2019 +0100

    Merge pull request #68 from Enlik/modules-reorg
    
    Make Entropy able to work from within Python site directory

commit cd640cebd352331add906240856138e79a321411
Merge: 7a4cf787b 215e5b019
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Wed Mar 6 21:07:47 2019 +0100

    Merge pull request #71 from geaaru/inject-reset-revision
    
    eit: Add --reset-revision option to inject command

commit 215e5b019e10e13b0a1db8bc19e9fe1eca6b1344
Author: Daniele Rondina <geaaru@sabayonlinux.org>
Date:   Sat Feb 23 17:46:21 2019 +0100

    eit: Add --reset-revision option to inject command

commit 545b5a7ca4b6b51cb9c1c6242433aa0ed2bee6b1
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 21:02:54 2018 +0100

    [tests] fix import path
    
    It couldn't find and load _entropy.solo.commands.pkg.

commit 7fe54dc2e04d58b3e4f8312d5464ea67de588a6c
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 20:15:36 2018 +0100

    [entropy_path_loader] make _add_import_path private

commit ed93a3737d2d150287346b86736ca8639e22ee65
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 20:15:36 2018 +0100

    update RigoDaemon imports

commit 503e7077f30c58bac7e42db3b03edeb092e21043
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 20:15:36 2018 +0100

    update rigo imports

commit 3e74fa847c62cd7372f55bec2aef1a0f2edb4e5e
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 20:15:36 2018 +0100

    update matter imports

commit 321d59614f20d119972a50fbc2368ad522aa3d72
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 20:15:36 2018 +0100

    update eit imports + minor rename in entropy_path_loader

commit 713cf0e927ea46228b5bb07dc4b938f4829d0987
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 20:15:36 2018 +0100

    usage magneto imports

commit 7cf7e1f6b7cbce4d7f5094ab4d2f1cb6023f7d71
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 20:15:36 2018 +0100

    convert solo imports, with needed changes to entropy_path_loader
    
    The module entropy_path_loader (used only for running from within the
    checkout; otherwise not even installed) is made to provide the _entropy
    namespace.
    
    (Other ideas instead of this entropy_path_loader change would be to
    reorganise files layout; drop support for running from the checkout as
    is - and perhaps require virtualenvs; require sourcing a script that
    sets PYTHONPATH. However, as implemented, it is not intrusive, and the
    good part is that it is quite isolated, not used in normal usage after
    installation. Basically, it only does sys.path + provides _entropy
    namespace.)

commit 6d4a3f09e6fd0beddaa567ffa9aef8d10d236f4a
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 20:15:36 2018 +0100

    makefiles: establish a layout for sitedir installs
    
    The idea is that:
    - entropy.* imports will work as before (so any 3rd party clients will
      work as always) - installed in "entropy" package,
    - new "_entropy" package to hold a namespace for private modules (like
      ones that required adding special directories to sys.path).
      (Underscored name for a top level Python module is not very common...
      anyway, it was inspired by "_emerge.")
    
    Layout:
    site-packages/
        entropy (backwards compatible)
            const.py
            ...
        kswitch (also toplevel to keep compatibility)
            ...
        _entropy
            eit
            magneto
            matter
            rigo
            RigoDaemon
            solo
    
    (Note that site-packages does not need to be actually Python's
    site-packages directory but anything as it is controlled by an argument
    to make. It is however intended to be the sitedir.)
    
    Another idea for a layout would be one that mimics sources checkout, but
    the layout there is somewhat scattered. (And some ugliness would be
    needed to make them modules before implicit namespaces from Python 3.3.
    Anyway, imports would be long and ugly.)
    
    Now, the layout of installed Entropy is lean; installation to virtualenv
    is also possible (though there would be a need to call scripts like
    "python equo.py" as shebangs are not converted).
    
    Follow up changes are needed to make it work.

commit 252c260f06c07d745b97cbfc37c86b446b2c171e
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Nov 26 20:15:36 2018 +0100

    use entropy_path_loader only for running from the checkout
    
    After this commit alone it would not work when installed (unless module
    paths are set in a special way). Next changes will introduce
    installation to site-packages so no custom PYTHONPATH will be necessary.

commit 7a4cf787b8653bd95d843e8c2416ffa5e26392a6
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Thu Nov 22 21:59:21 2018 +0100

    Tagging Entropy version 319

commit e16a1585ec8bc95965ef846537b66bc935b0ba52
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Thu Nov 22 21:59:03 2018 +0100

    Release Entropy 319

commit 6eedde723759cd72a7a1b3397d705bbefbec71ad
Merge: 450456a4e a0d8c18b4
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Fri Nov 16 18:30:32 2018 +0100

    Merge pull request #67 from Enlik/fasterxpak
    
    [entropy.spm] speed up xpak finding

commit 450456a4ec024f50819b20fa8e886bb69af901a9
Merge: 1c083477d f4332c76c
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Fri Nov 16 18:29:44 2018 +0100

    Merge pull request #65 from Enlik/modules-reorg
    
    Preparation for installation in Python-specific directories

commit a0d8c18b49ddfefd2dd79386c6138720ac1fd8a2
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Wed Nov 14 09:10:34 2018 +0100

    [entropy.spm] speed up xpak finding
    
    Now it's chunk based, so fewer reads and seeks, and searching itself
    is improved as well.

commit 1c083477dc33c082d4fb71bdd2ea7a75d191a73e
Merge: 2c1e3855b 4b728b998
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Nov 5 10:07:02 2018 +0100

    Merge pull request #66 from geaaru/eit-push-py36
    
    Fix vacuum on py3.6

commit 4b728b998e8a4dd9c3ccad946bef0aa778c7f982
Author: Geaaru <geaaru@gmail.com>
Date:   Sun Nov 4 17:01:27 2018 +0100

    Fix vacuum on py3.6
    
    pysqlite has a bug on use VACUUM with py3.6 (see https://github.com/ghaering/pysqlite/issues/109)
    
    Hereinafter, exception related to eit push --quick --force <REPO> command:
    
    Traceback (most recent call last):
      File "/usr/lib/entropy/lib/entropy/db/sql.py", line 166, in _proxy_call
        return method(*args, **kwargs)
    sqlite3.OperationalError: cannot VACUUM from within a transaction
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/bin/eit", line 17, in <module>
        main()
      File "/usr/lib/entropy/server/eit/main.py", line 114, in main
        exit_st = func(*func_args)
      File "/usr/lib/entropy/server/eit/commands/command.py", line 237, in _call_exclusive
        return func(server)
      File "/usr/lib/entropy/server/eit/commands/push.py", line 172, in _push
        rc = self._push_repo(entropy_server, repository_id)
      File "/usr/lib/entropy/server/eit/commands/push.py", line 184, in _push_repo
        rc = self.__push_repo(entropy_server, repository_id)
      File "/usr/lib/entropy/server/eit/commands/push.py", line 309, in __push_repo
        sts = self.__sync_repo(entropy_server, repository_id)
      File "/usr/lib/entropy/server/eit/commands/push.py", line 262, in __sync_repo
        enable_download = False, force = self._force)
      File "/usr/lib/entropy/lib/entropy/server/interfaces/mirrors.py", line 1673, in sync_repository
        enable_upload, enable_download, force = force)
      File "/usr/lib/entropy/lib/entropy/server/interfaces/db.py", line 231, in update
        enable_upload, enable_download, force = force).update()
      File "/usr/lib/entropy/lib/entropy/server/interfaces/db.py", line 404, in update
        rc, fine_uris, broken_uris = self._sync()
      File "/usr/lib/entropy/lib/entropy/server/interfaces/db.py", line 1873, in _sync
        broken_uris = self._upload(uris)
      File "/usr/lib/entropy/lib/entropy/server/interfaces/db.py", line 1529, in _upload
        self._shrink_and_close(dbconn)
      File "/usr/lib/entropy/lib/entropy/server/interfaces/db.py", line 1234, in _shrink_and_close
        entropy_repository.vacuum()
      File "/usr/lib/entropy/lib/entropy/db/sqlite.py", line 703, in vacuum
        self._cursor().execute("vacuum")
      File "/usr/lib/entropy/lib/entropy/db/sqlite.py", line 58, in execute
        cur = self._proxy_call(self._cur.execute, *args, **kwargs)
      File "/usr/lib/entropy/lib/entropy/db/sql.py", line 173, in _proxy_call
        raise OperationalError(err)
    entropy.db.exceptions.OperationalError: cannot VACUUM from within a transaction

commit 2c1e3855b9dfeb181897d1a57d318a7fb10e03aa
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 3 20:18:26 2018 +0100

    Tagging Entropy version 318

commit c0b065fbff4e5ba2b9b15c04042af0c7b29988f2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 3 20:18:26 2018 +0100

    Release Entropy 318

commit 5097f7d7a418893953561060789c91e8ade36d2e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 3 20:15:44 2018 +0100

    Rigo: fix LTS and non-LTS kernel menu.
    
    Since Gentoo EAPI=7, old-style virtual packages have been removed.
    We will use KernelSwitcher to get a list of kernel packages to show.

commit abb7800e862c76238f57df7594969d3835aa1e0c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 3 20:14:34 2018 +0100

    kswitch: allow to pass the preferred kernel virtual.
    
    It's possible to choose between LTS and non-LTS kernels via list() now.

commit f4332c76c821ccde1ae66def3970c32b1e77355b
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Nov 3 18:07:07 2018 +0100

    [magneto] import entropy modules at upper level
    
    Otherwise "entropy" module loading logic was delayed, excluding this
    import (which was done early, before entropy_path_loader logic):
    
        from entropy.locks import SimpleFileLock
    
    and it failed when system wide PYTHONPATH is dropped.
    
    There was a comment not to do an early import due to --no-pid-handling.
    The comment was added in:
    
        commit 59e5fd737e9360329d1a627ce49322f89274ca9d
        Date:   Tue Mar 1 13:13:18 2011 +0100
    
            [magneto] fix lock file handling
    
    but then the logic was reworked in:
    
        commit 5d315c70bdbd455dc46f680b54275cb59853dd43
        Date:   Sun Feb 24 23:34:49 2013 +0100
    
            [entropy.const] drop /var/run/entropy/entropy.lock file and directory handling
    
    and then passing --no-pid-handling (which was unused at this point) from
    mangeto file was removed in:
    
        commit 83b8991c95d080973631a5c1e36af6a7573eeed9
        Date:   Wed Feb 27 20:59:14 2013 +0000
    
            [magneto] rewrite systray icons management, improve KDE, GNOME and MATE integration

commit 110b590fc58f0713fbd5034919791b47f4000caf
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Nov 3 17:48:38 2018 +0100

    [magneto] import also magneto (fix)

commit 4297d175302208d30f656a7ca06925e6d60a582d
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun Oct 28 21:56:41 2018 +0100

    [misc, services] remove useless setting of PYTHONPATH

commit 65b634adb2186db169cbb16ad8e9577290a987dc
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun Oct 28 21:54:28 2018 +0100

    [entropy.const] comment on the 'installdir' key

commit 33966f4f311532ccf09430c84e5616fcb95472ac
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun Oct 28 21:42:41 2018 +0100

    [*] allow setting PYTHON_SITEDIR for make
    
    This way a proper separation between Python installs can be achieved.
    
    With no PYTHON_SITEDIR, installation paths are exactly the same as
    before this change.
    
    In practise, passing nonstandard path will break Entropy but so it is
    also with the currently available LIBDIR. This is a concern of a future
    improvement (at least the PYTHON_SITEDIR path, not necessarily LIBDIR as
    PYTHON_SITEDIR *will* be different if it's installed in Python specific
    directories).

commit 0ccbc1f093099aa979e4702851eb6597e9160fa1
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun Oct 28 19:53:53 2018 +0100

    [Rigo] update ("reformat" only) translations
    
    Due to a change of a .py file.

commit 96909f6d29db26a7e1597cb908e70bc6731262c2
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun Oct 28 19:48:07 2018 +0100

    [rigo/po] add RigoDaemon_app.py to POTFILES.in

commit b44be655b26a35d1c7dcebb6afbf28914d866c0e
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun Oct 28 19:28:21 2018 +0100

    [magneto] remove wrapper, install the main Python file to PATH directly
    
    The wrapper was making it more difficult to use the correct system wide
    Python implementation.

commit 90ecb5b00d294b98c732e12ffe39b5a7ff6dfe30
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun Oct 28 19:07:12 2018 +0100

    [RigoDaemon] make the application part be in /usr/libexec
    
    This way there is no hardcoded /usr/lib/rigo, and the "executable" part
    is in a well known location which can be replicated on system for
    different Python implementations. (As in: it will be like /usr/bin/foo.py
    which on Gentoo links to a system wrapper making it use configured
    Python.)

commit d44d473b198926266dc463c2d3fd5d8d3df8ec49
Merge: c411a93dc 41ba9b6d6
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sun Oct 28 14:21:27 2018 +0100

    Merge pull request #63 from Enlik/modules-reorg
    
    [*] be strict about Python modules paths being loaded

commit 41ba9b6d63d4c0e76ea53f53359a669e3c89a82b
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Oct 15 21:55:55 2018 +0200

    [*] be strict about Python modules paths being loaded
    
    For convenience (seemingly, and it really is convenient) equo and other
    tools can be run from the checkout, and Entropy modules are loaded from
    the checkout. Now there is a strict separation when system paths and
    when paths from the checkout are used.
    
    It makes it a bit more robust, secure and preditable at the cost of
    a little more complexity.
    
    A pleasant side effect of this change is that it is not required to
    change directory to the tool (to use non-system one), as paths in the
    checkout are relative to scripts.
    
    Imports in lib/tests were not adjusted.

commit c411a93dc50d093a98a34453ac7fdf8e02def299
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Sep 29 22:39:44 2018 +0200

    [entropy.tools] correctly parse scanelf output even when spaces are present everywhere.
    
    This is a ";" separated data input (even though we may get directory
    paths containing ";"... but none so far is expected to be legit.)
    
    Split by ";" first and then deal with spaces in paths.

commit 066ec3ac35bfe40b22deed03759f14ea8f706dff
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Sep 29 22:04:54 2018 +0200

    [client/po] Fix broken chars in German translation. See bug #5175.

commit 8c786b7a05985bbaef44042635f089f9e12902c4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Sep 29 21:59:16 2018 +0200

    [client/po] fix Italian translation for "item", see bug #5312.

commit 0bcf6a588571f1dd09cb61ba43adf1cdd7995f7f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 22:29:48 2018 +0200

    Tagging Entropy version 317

commit a7171bdc7e599b29af152a8efee561bd75c3d4d7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 22:29:48 2018 +0200

    Release Entropy 317

commit 6b097b57cb1d8807ae1c91d7ebe9ad766f65f7d2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 22:25:00 2018 +0200

    [entropy.db.sql] fix comparison between different types with Py3.

commit e9b211eea09005e920e642245f14edf8e561e06d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 22:06:05 2018 +0200

    [entropy.spm] improve handling of non-ascii paths (e.g. puppet-agent).
    
    It looks like Portage now stores unicode paths correctly in its metadata
    as opposed to what it used to be. We need to make sure that we parse those
    "CONTENTS" file and content metadata in general using the correct encoding.
    This will allow us to store and retrieve such metadata from the sqlite3
    database correctly and also match the stored paths with the filesystem
    paths exactly.
    
    This commit may need a bit more real-life testing. Backward compat
    wrt old Entropy and Portage tbz2 files should be as expected.
    Unit tests attached.

commit 34c549feb8d9bdfb957a0d863a2ae35ff156a641
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 21:01:26 2018 +0200

    [entropy.client] handle correctly encoded file paths too.
    
    Historically, Portage + Py2 were not dealing well with file paths that
    were containing non-ascii chars. The situation has apparently improved
    and we are able to accept paths with the correct encoding in Entropy
    (separate patch will come). We need to guard against broken paths anyway,
    so let's try to check which one of the paths is the one that has the
    most chance to be the right one. Also, with python3 this won't be
    a problem anymore...

commit c753f215d60212cb95c9342d0e6eb631d5b808aa
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 20:56:04 2018 +0200

    [entropy.db.sql] use etpConst instead of hardcoded encoding strings.

commit eb45950648c60acad7b32b3780f712db46bca8b0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 15:41:49 2018 +0200

    Tagging Entropy version 316

commit f0e6b09ee20d975ad8f997abed7e71e222c87004
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 15:41:48 2018 +0200

    Release Entropy 316

commit afda55090ecd48f5b76647ed0d87c8e50fa6993b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 15:41:21 2018 +0200

    [rigo/po] update translations for Rigo.

commit 5182a5cfeaf4b88439f785d0b53b6eb9d8cd4f1d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 15:40:45 2018 +0200

    [rigo/pot] update rigo.pot

commit fe44bb34b25d0678537efaa65df4b7e19ef9ccfe
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 15:39:43 2018 +0200

    [client/po] update .po files

commit adb456d498a5186ad628b005ddc05c8f62e08ef0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 15:39:09 2018 +0200

    Update entropy.pot

commit 40405239080c926834f5e5669016969242c960ab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 23 15:32:18 2018 +0200

    [kswitch] correctly resolve external kernel modules when not using --from-running.
    
    Due to the migration to real virtual packages (away from PROVIDE= due
    to EAPI=7 constraints), we failed to resolve kernel binary packages
    correctly, thus packages that require them (external kernel modules.)
    
    This patch fixes it, by making sure that we resolve new virtuals correctly.
    We expect new virtuals to list kernel packages in their RDEPEND= (runtime
    dependecies.)

commit 30ea708c4e4def921a1cbece943a77d7db06e14d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Sep 22 19:39:42 2018 +0200

    Tagging Entropy version 315

commit a5890973b12d75b0fc25135587e85c1d88d21c9a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Sep 22 19:39:42 2018 +0200

    Release Entropy 315

commit 2d61be2c4c3679b60bbeb25b759294de62d6dda8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Sep 22 19:34:17 2018 +0200

    [kswitch] fix kernel-switcher behavior when kernels are in external repos.
    
    See the code documentation for more info.

commit 9a28a9d0251a97d488c554da3b6837b508da15d2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Sep 22 18:23:37 2018 +0200

    [kswitch] write a more reliable list comprehension.

commit e319701afe16bf72698689f7c2fb475e30a9a091
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Sep 22 18:21:39 2018 +0200

    [kswitch] do not rely on startswith but rather exact category matching.

commit 43556ce06faceeb6e2e1357ac02a15e1f086092a
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Sat Sep 8 23:17:00 2018 +0200

    Tagging Entropy version 314

commit d420cf5774d85aae02d85ce729d0c29527bb7179
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Sat Sep 8 23:16:57 2018 +0200

    Release Entropy 314

commit b5cd3f6401562882e51500c182dec9666fd68f99
Merge: e84620515 1bccb2858
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sat Sep 8 23:13:29 2018 +0200

    Merge pull request #61 from Enlik/kswitch-revdep
    
    [kswitch] use reverse dep. not PROVIDE

commit 1bccb285899041c99a37f9c6e3fdd58ee2621635
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Sep 8 23:01:30 2018 +0200

    [ci] separate commands to file, make sure there is /usr/portage/profiles

commit f70b673f5e055bb097e248a14901d5460fcc1be8
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Sep 8 18:21:37 2018 +0200

    [kswitch] use reverse dep. not PROVIDE
    
    The latter method does not work nowadays, after bumping Portage
    (2.3.40-r1) or related to EAPI 7.

commit e84620515fca783002b00bebdc34c7cea33a13ba
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Aug 18 09:25:08 2018 +0200

    Tagging Entropy version 313

commit 12aafd8e5eb578d06d68ad93993c5046f3e91de1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Aug 18 09:25:08 2018 +0200

    Release Entropy 313

commit 7e8047ccdfa4a0348a04aea60106aa8a397ef46d
Merge: 29bb41c1c 4463b6d42
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Aug 18 09:24:23 2018 +0200

    Merge pull request #59 from Enlik/eapi7-bdepend
    
    [entropy.spm] add support for BDEPEND (from EAPI 7)

commit 4463b6d425ef306d338b199c01632fe8e68ebd65
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Fri Aug 17 23:49:39 2018 +0200

    [entropy.spm] add support for BDEPEND (from EAPI 7)
    
    For the purpose of Entropy binary packages, they are merged with
    DEPEND.

commit 29bb41c1cae42dc9fc4fcce40376b24e7891f490
Merge: f02c6be0b a762d43bd
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Tue Aug 14 17:41:26 2018 +0200

    Merge pull request #58 from Sabayon/revert-52-master
    
    Revert "inject: fix store of content with utf-8 chars"

commit a762d43bdcbfca6a98cc5bdcae4ce705b696712c
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sat Aug 11 16:13:54 2018 +0200

    Revert "inject: fix store of content with utf-8 chars"

commit f02c6be0ba173a9b3c76dc4f02119f1bace18d90
Merge: 492bab37b 04c449531
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Tue Aug 7 20:22:56 2018 +0200

    Merge pull request #57 from Sabayon/rescue
    
    [solo.commands.rescue] trivial fixes

commit 04c4495313ad7db8e7d6ded404ab04c04e9c5edd
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Aug 6 23:01:17 2018 +0200

    [solo.commands.rescue] trivial fixes
    
    - Variable entropy_client was not available where it was used.
    - Module entropy.dep was not imported but was used. It worked as
      the module was imported from another place, but it is better to
      import it explicitly.

commit 492bab37b4f4669a6d42bfebaf85d744e8821991
Merge: 1962df59e 9db87b99c
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Mon Aug 6 22:55:03 2018 +0200

    Merge pull request #56 from Enlik/docs
    
    improve generation of and update docs

commit 9db87b99c3eca19be93f39b388d84089952bb8f6
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Aug 6 22:45:32 2018 +0200

    [equo, eit] update man pages

commit 789e06c12231ac9f7d850de8975b76fc0aa3833e
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Aug 6 22:39:42 2018 +0200

    [solo.commands.command, equo] support "authors" in docs
    
    Suggested by Ettore.
    
    My comment is that it is to have a more correct information and to give
    credit where it is due.
    This is not a "miscredit" towards the Creator. We know who has made this
    possible!

commit 1962df59e99437dedd7bf4cda356acc911e28b24
Merge: f76c81f41 8643db23a
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Mon Aug 6 22:29:42 2018 +0200

    Merge pull request #55 from Enlik/py3
    
    [entropy.tools, tests] fix test and code with Python 3; add to CI

commit 8643db23aa64f0a45faee6f230180f561a6a8755
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Aug 6 09:37:13 2018 +0200

    [entropy.tools, tests] fix test and code with Python 3; add to CI

commit f76c81f4123685f0df545e7f6a617be9650cc36b
Merge: 2469c1d0f fabb3e72d
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sun Aug 5 01:03:08 2018 +0200

    Merge pull request #54 from Enlik/tests-improvement
    
    [tests] add lib/tests/run-nonpriv-wrapper

commit fabb3e72daca67ba5d00d96dc633c10bd580544c
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun Aug 5 00:34:54 2018 +0200

    [tests] add lib/tests/run-nonpriv-wrapper
    
    - runs as non-root
    - does not require being in entropy/portage group
        - in fact, it's better (better isolation) to run as such
    - thus does not modify running system
    
    The wrapper script is ugly but very convenient.

commit 8af6ececaa4a61fc0b47c34e4b3eb7fbc0261b4c
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun Aug 5 00:26:03 2018 +0200

    stop ignoring lib/ in .gitignore
    
    Including a script that will be added in the next commit.

commit 2469c1d0feff5712a2972d591dc7f782f7814059
Merge: 686f7e3eb 779d40389
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sat Aug 4 23:56:28 2018 +0200

    Merge pull request #53 from Enlik/ci
    
    [tests] exit with failure also on assetion errors

commit 779d40389f01bc61915d939ef87d1a9042ff37f0
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Aug 4 23:45:12 2018 +0200

    [tests] exit with failure also on assetion errors

commit 686f7e3ebcfb47c3a84d3eca395a27e83f7d1abb
Merge: 83f9bbfc1 70f171913
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sat Aug 4 23:00:31 2018 +0200

    Merge pull request #50 from Enlik/equo-mark
    
    [solo.commands.mark] new command

commit 83f9bbfc1c37ba35287e47b61b55a0ec10d8eb00
Merge: c2f66c594 b9580f824
Author: geaaru <geaaru@gmail.com>
Date:   Sat Aug 4 21:40:45 2018 +0200

    Merge pull request #52 from geaaru/master
    
    inject: fix store of content with utf-8 chars

commit b9580f8244ede58415ffb35ac4731a65794cf639
Author: Geaaru <geaaru@gmail.com>
Date:   Sat Aug 4 00:59:52 2018 +0200

    inject: fix store of content with utf-8 chars

commit c2f66c5943a8ea30848d0bc8a7216bba7f59f02a
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sat Aug 4 20:37:29 2018 +0200

    Fix README

commit 36b698b74b99c679fd0e4161293a958326c03780
Merge: ade89ee5f 3b7181d6c
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sat Aug 4 19:55:53 2018 +0200

    Merge pull request #49 from Enlik/spm-by-user
    
    [solo.commands.rescue] use world file to replicate by-user status

commit ade89ee5fa3357202b75bf5285888c1f1b646bd1
Merge: ebf470760 85174d39f
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sat Aug 4 19:23:54 2018 +0200

    Merge pull request #51 from Sabayon/ci
    
    add .travis.yml

commit 85174d39fa062619afcb37bd2b08b29d3253eab9
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Fri Aug 3 22:26:18 2018 +0200

    add .travis.yml
    
    USERNAME is needed in lib/entropy/security.py.
    Added support for ETP_TESTS_NONINTERACTIVE (and skipped one test).

commit 70f1719138ecb9b982b3598605f33e6947e4d831
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Tue Jul 31 08:58:31 2018 +0200

    [solo.commands.mark] new command

commit 3b7181d6c958106ac2c77257b731065b61e2bd2c
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Jul 30 09:11:50 2018 +0200

    [solo.commands.rescue] factor out _SpmUserPackages

commit fb1f0f2d82ff506c5a01ab85ca554f02d407e475
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Jul 30 08:52:56 2018 +0200

    [solo.commands.rescue] fix usage of a wrong variable

commit e5db0d6b6e9003382dfbde041d3ee11288a91a86
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Jul 30 08:49:17 2018 +0200

    [solo.commands.rescue] use world file to replicate by-user status
    
    Uses the newly introduced function in spm: get_user_selected_packages.

commit 77a5071cf5fd671f25fef2f9b3ebb6af95973edf
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Jul 30 00:11:29 2018 +0200

    [entropy.spm] factor out __add_update_world_file

commit ebf470760cf26f612faa3cb5f4dcc4c58d30e1d1
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Wed Jul 11 18:10:27 2018 +0200

    Tagging Entropy version 312

commit 9e427b7c9bb3de948e941f9a09ab6051b565c401
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Wed Jul 11 18:10:19 2018 +0200

    Release Entropy 312

commit b253340b64720cdbf821430d89c20b03c1591e19
Author: Geaaru <geaaru@gmail.com>
Date:   Mon Jun 25 16:59:47 2018 +0200

    Fix injection of packages with directory with spaces

commit c74aade5b913974fe8ae6202984051c428e8c546
Merge: d185e92d6 6832958ff
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Fri Jun 22 10:27:02 2018 +0200

    Merge pull request #46 from Ryuno-Ki/sweden-mirror
    
    Add mirror by Academic Computer Clib, Umeå University

commit d185e92d65bcf4c7d0d3a7d72e9407f2ecaf96b2
Merge: dd36b7e8c f47c3cb14
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Fri Jun 22 10:26:44 2018 +0200

    Merge pull request #48 from Ryuno-Ki/remove-dead-ftp-mirrors
    
    Remove dead FTP mirror.

commit f47c3cb14e1ba8443788ea6281e5ade760907d99
Author: André Jaenisch <andre.jaenisch@posteo.de>
Date:   Tue Jun 19 23:11:36 2018 +0200

    Remove dead FTP mirror.

commit dd36b7e8cd31a3b07ea88d85d6314db528d4cee6
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Sun Jun 3 09:25:39 2018 +0200

    [rigo/po] Update translations

commit f63815cb79307b7318cb923d43825be2f3b2f1f7
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Sun Jun 3 09:25:07 2018 +0200

    [server/po] Update translations

commit 920b2e9926e52b29cb3697e8a156b2f13e17a7c2
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Sun Jun 3 09:24:27 2018 +0200

    [client/po] Update translations

commit 6832958ff46b9c2c85aa25935015d9a8ffa64e3e
Author: André Jaenisch <andre.jaenisch@posteo.de>
Date:   Sat Jun 2 16:33:57 2018 +0200

    Add mirror by Academic Computer Clib, Umeå University

commit 0d990b5e27339b4d58e73eabc5ea72808b049c72
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Wed May 30 22:13:32 2018 +0200

    Tagging Entropy version 311

commit 1d6fde589eabece6d2c910527866fe8476700ee3
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Wed May 30 22:13:29 2018 +0200

    Release Entropy 311

commit 1197966644fb21dc0eed976f9a8337e5f461781a
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sun May 14 19:57:38 2017 +0200

    [entropy.client] fix install_sources saving
    
    Examples of scenarios that are fixed:
    - "package was installed by user" information was lost on package p1
      when p1 was pulled as update on "equo install p2";
    - update was saving all packages as installed by user.

commit d1fb352a6c1ed18b110614e6cfb0805d6f2e2c47
Merge: 955fcfbc4 2b532d423
Author: Enlik <poczta-sn@gazeta.pl>
Date:   Mon Apr 9 22:57:26 2018 +0200

    Merge pull request #42 from rdnetto/fix-generate
    
    Fix rescue generate
    
    Results were written to the in-memory database instead of the file.
    Effect of the revert is similar to what d89f15d ([solo.commands.rescue] fix "equo rescue generate") did and was later regressed.

commit 2b532d42379ee18ce374fb2d60ea62c6ac77c031
Author: Reuben D'Netto <rdnetto@gmail.com>
Date:   Mon Apr 9 21:36:25 2018 +1000

    Use entropy_client.output()

commit 2e6909f134f9501e9146a6ab5c5ee66b787b68d0
Author: Reuben D'Netto <rdnetto@gmail.com>
Date:   Thu Feb 15 18:36:46 2018 +1100

    [solo.commands.rescue] Added a sanity check to ensure we're using the real database.

commit f9ff8cc3051520fb7b67d343daa7deda666b9d63
Author: Reuben D'Netto <rdnetto@gmail.com>
Date:   Thu Feb 15 18:34:08 2018 +1100

    Revert "[solo.commands.rescue] simplify "generate" code"
    
    This reverts commit d856204a8d88a66b9afc1694cf964f986b9dee54.

commit 955fcfbc486604f8a134506041e83e929669f899
Merge: 0d39b4449 d36bef4f7
Author: Enlik <poczta-sn@gazeta.pl>
Date:   Thu Apr 5 21:39:15 2018 +0200

    Merge pull request #44 from geaaru/fix_ask_eit_inject
    
    [eit] Add --quick option to inject command

commit 0d39b4449cce0c5e0926ec2c538df888ecc41148
Merge: dbbb7bd60 cbcbf7495
Author: Enlik <poczta-sn@gazeta.pl>
Date:   Thu Apr 5 21:23:17 2018 +0200

    Merge pull request #43 from Enlik/nonregex-dep-rewrite
    
    Simpler dependency rewrite syntax

commit d36bef4f79a4c139b71f9aaa0c07f86f94a7e503
Author: Geaaru <geaaru@gmail.com>
Date:   Mon Mar 26 23:55:29 2018 +0200

    [eit] Add --quick option to inject command

commit dbbb7bd60ec047f9a85f30ab36501c904cf43a32
Author: Alexander "Ananace" Olofsson <ace@haxalot.com>
Date:   Sat Mar 10 20:16:37 2018 +0100

    Add the Ctrl-C mirror (#39)
    
    * Add the Ctrl-C mirror
    
    * Correct URLs for entropy on the Ctrl-C mirror

commit cbcbf7495fe86e2e73745495be6de93e6fae8c3e
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Feb 24 19:52:12 2018 +0100

    [entropy.core] implement "drop all USE" in the new dep. rewrite

commit 0a56ec74b8b94169282d3ab3667b7551b74fe87e
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Feb 24 18:56:50 2018 +0100

    [entropy.core,entropy.server] implement new dep. rewrite parser
    
    It uses a simple rules without the need to use complex regexes. It is
    not as powerful as the existing approaches so both are complementary.
    
    For example, this:
        foo/bar (.*)app-crypt/pinentry(.*)\[gtk\] \1app-crypt/pinentry-gtk2\2
    expresses the intention that can be expressed simpler:
        rewrite foo/bar from-dep=app-crypt/pinentry to-dep=app-crypt/pinentry-gtk2 if-dep-has-use=gtk drop-use=gtk

commit 9e3f45f4c3f8a8fa3137c27ee3661197fe4d3c18
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Feb 24 18:49:39 2018 +0100

    [entropy.server] simplify data container for dep_rewrite
    
    Previously it has a dict with complex key (with the need to pack and
    unpack it in places where it was used), and data was both part of the
    keys and values.
    It had the small advantage of removing duplicates, but changes for them
    are very low and they are harmless anyway.

commit 7635fb6d3b19093842524f86119236da7ec84d09
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Feb 24 18:47:16 2018 +0100

    [entropy.server] create a simple abstration/interface for dep. rewrite

commit 558630f16ede2823037d8a5ebaf13c79f7bb3e2f
Merge: 9bcf98ad0 9781fa409
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Tue Jan 16 10:09:13 2018 +0100

    Merge pull request #40 from geaaru/fix_ask_eit_commit
    
    [eit] Fix pass of ask attribute on commit command

commit 9781fa409f73041c158fbe6fde4fa5a56f8ee156
Author: Geaaru <geaaru@gmail.com>
Date:   Tue Dec 26 17:03:49 2017 +0100

    [eit] Fix pass of ask attribute to add_packages_to_repository function on commit command.

commit 9bcf98ad0ff027aedacfb11a6eb40091c2d0299b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Oct 8 22:25:58 2017 +0200

    Tagging Entropy version 310

commit 8d0f16d9d5f3dd2caf5ad548eb46ad3aba206bbc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Oct 8 22:25:58 2017 +0200

    Release Entropy 310

commit 2d65d5b7bf9aa3806721ce337b0a08925cd44fbf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Oct 8 21:39:30 2017 +0200

    [entropy.client] fix conflicts removal handling during upgrade.
    
    In certain extreme situations, that are more likely if the install
    state is old (e.g. 9 months +), Entropy may decide to remove packages
    due to conflicts with the version being installed and shoot itself
    in the foot, if this is the case of dev-lang/python :-).
    
    So, this commit tries to avoid the scenario by filtering out package
    removals for those that are being installed anyway as part of the
    transaction (e.g. a system upgrade).
    
    This should fix the very specific case, but increase uncertainty
    and thus entropy in other cases where once a package that lists
    conflicts is installed, it may not expect to find that package
    installed. However, this case should be handled by the dependency
    graph generator (and it currently does not), which would need to
    reorder the execution of the queue to comply with conflicts.
    
    Perhaps, someone in the future will improve that too, for now,
    let's enjoy one more snowflake.
    
    Current improvement:
    - foo-1 and bar-2 are set to be installed
    - foo-1 conflicts with <bar-2
    - bar-1 is installed
    - foo-1 wanted to remove bar-1 as part of foo-1 install transaction.
      (now fixed, it won't...)
    - bar-2 is then installed
    
    Better improvement:
    - foo-1 and bar-2 are set to be installed
    - foo-1 conflicts with <bar-2 (but bar-2 itself can be installed
      and does not conflict with foo-1)
    - bar-2 is set to be installed before foo-1
    - when entropy gets to foo-1 there is nothing to remove

commit 18fa7ebf5d018c693de45754ff8966903a3a9135
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Oct 8 21:14:51 2017 +0200

    [RigoDaemon] fix typo in debug string name

commit 57deded2a8bfc61847967aa91c263e4f64813acc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Sep 11 08:18:03 2017 +0200

    [magneto] fix typo in debug message :)

commit 3dfd0cabff674e800214ce05e84e584017139055
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Sep 11 08:17:33 2017 +0200

    [magneto] s/applet_activated/_applet_activated/

commit 0088107ff3d1e2980e38732339e058b0060e60b7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 10 19:08:33 2017 +0200

    Tagging Entropy version 309

commit 330ffd192608a3ae5b4038c4deee32e2737935e7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 10 19:08:33 2017 +0200

    Release Entropy 309

commit 8461cdaa985cc604646a6951f0807a2d2d9f0595
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 10 19:08:14 2017 +0200

    [client/po] Update translations

commit a0b9dcb3a867f7d2d9d65c1740d1affbe705c709
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Sep 10 19:03:48 2017 +0200

    [app-admin/magneto] move magneto-gtk to use PyQt5 (ebuild needs to be updated)

commit 22797e28e033fa29972ced521be9eedcde92c0ed
Author: Francesco Ferro <skullbocks@sabayon.org>
Date:   Sat Sep 9 18:46:40 2017 +0200

    Tagging Entropy version 308

commit cac8ad2b29cde725bcb2274c47edac7ee47f663c
Author: Francesco Ferro <skullbocks@sabayon.org>
Date:   Sat Sep 9 18:46:39 2017 +0200

    Release Entropy 308

commit 019d42c91fd4faeef9d13f83de67ce948c17df2f
Merge: 055fb0bc4 19a7a54dd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Sep 9 11:50:53 2017 +0200

    Merge pull request #38 from Sabayon/issue/fix-entropy-tag-sorting
    
    [entropy.core] fix entropy tag sorting

commit 19a7a54ddadf2df09446b81bb60d6bda20311839
Author: Francesco Ferro <skullbocks@sabayon.org>
Date:   Sat Sep 9 11:31:26 2017 +0200

    [entropy.core] Remove nested function for natural sorting

commit afbce1c169d35afeb8ddf38ffb5566a50bd614a4
Author: Francesco Ferro <skullbocks@sabayon.org>
Date:   Sat Aug 19 17:04:48 2017 +0200

    [entropy.core] update tests for entropy tag sorting

commit 79e1bec57f7f104c60d44d75d75c554bea761e37
Author: Francesco Ferro <skullbocks@sabayon.org>
Date:   Sat Aug 19 17:04:24 2017 +0200

    [entropy.core] fix tags natural sorting issue
    
    This commit will add a key generator that creates an array
    from the original string where each group of numbers is
    converted to a number.

commit 8a8eca7ac03988954b032af8776c3a48d7c0cd19
Author: Francesco Ferro <skullbocks@sabayon.org>
Date:   Sat Aug 19 17:03:42 2017 +0200

    Update gitignore

commit 055fb0bc4bc158c0afa125658c1ac1e6a8ff4f8e
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Wed Jul 26 19:15:14 2017 +0200

    [conf] remove Freelydifferent.com mirror

commit 960cd6d9119ac1b7634fe4c26c2eae205e22c01c
Merge: c726b3d69 14921ad71
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jul 1 21:40:26 2017 +0200

    Merge pull request #37 from samcv/zsh-fixes
    
    [zsh-completion] Fix help message parse bugs and add improvements

commit 14921ad719473de5493d89b6356170380367a09a
Author: Samantha McVey <samantham@posteo.net>
Date:   Thu Jun 15 17:41:31 2017 -0700

    [zsh-completion] Fix completion for equo query list
    
    Before no completions would show. Now we remove unneeded code and use
    the same completion processing for other commands.

commit 83ea0e56cf045c8a9c1c500a64367898781f453c
Author: Samantha McVey <samantham@posteo.net>
Date:   Thu Jun 15 17:29:05 2017 -0700

    [zsh-completion] Fix help message parse bugs and add improvements
    
    This fixes a bug where certain tab completions would be met with lots
    of sed errors.
    
    It is also faster since it uses 1 less sed process.
    
    Additionally it will also show 'no matches' if there are no
    matches found for a command completion, instead of showing
    a suggestion to add 1st level commands on.
    
    Before: equo X (no cmds left to add)
    zsh suggests install, query, remove etc.
    
    Now it will properly say there are not more suggestions
    for most of the $1 terms

commit c726b3d694f69195511d5b1082eb3a7a93dd93ac
Merge: eb43caabc aa32d22d6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 14 18:29:16 2017 +0200

    Merge pull request #34 from geaaru/basic_python3_4
    
    Fix issue on use basic authentication with python3.4:

commit eb43caabca30aa727a57e6b11a75337965336655
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 13 14:36:24 2017 +0200

    Tagging Entropy version 307

commit b2d0ca8707b181d1c52604d881c27bd5684b2f57
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 13 14:36:24 2017 +0200

    Release Entropy 307

commit 345d31b3c5f3b3966aa0e2cc75afd847f4a10ae7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 13 14:25:01 2017 +0200

    [entropy.client] Fix accidental deletion of preserved libs when still in use.
    
    Entropy preserved libs handling code did not check all the followed symlink
    before removing them. This causes the deletion of unexpected libraries during the
    removal of packages. For example, app-emulation/vmware-workstation contains
    the following symlink:
    
    (A) /opt/vmware/lib/vmware/lib/libssl.so.1.0.1/libssl.so.1.0.1 -> (B) /usr/lib64/libssl.so.1.0.1
    
    Upon removal of vmware-workstation, A is garbage collected and deleted,
    if it's a symlink, the link is followed and (B) is removed as well, without
    validating the action (i.e. checking if a package is still owning (B).)
    
    This commit fixes this. See Sabayon bug #5812.

commit aa32d22d637981f99487c229155ccb3f31c8e04e
Author: Geaaru <geaaru@gmail.com>
Date:   Tue Apr 11 13:53:11 2017 +0200

    Fix issue on use basic authentication with python3.4:
    
    Traceback (most recent call last):
      File "/usr/lib64/python3.4/base64.py", line 519, in _input_type_check
        m = memoryview(s)
    TypeError: memoryview: str object does not have the buffer interface
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/usr/bin/equo", line 15, in <module>
        main()
      File "/usr/lib/entropy/client/solo/main.py", line 332, in main
        exit_st = func(*func_args)
      File "/usr/lib/entropy/client/solo/commands/command.py", line 406, in _call_exclusive
        return func(client)
      File "/usr/lib/entropy/client/solo/commands/update.py", line 115, in _update
        rc = self._normal_update(entropy_client)
      File "/usr/lib/entropy/client/solo/commands/update.py", line 236, in _normal_update
        rc = repo_intf.sync()
      File "/usr/lib/entropy/lib/entropy/client/interfaces/repository.py", line 327, in sync
        rc = self._run_sync()
      File "/usr/lib/entropy/lib/entropy/client/interfaces/repository.py", line 146, in _run_sync
        self._entropy, repo, self.force, self._gpg_feature)
      File "/usr/lib/entropy/lib/entropy/client/interfaces/db.py", line 2764, in update
        return updater.update()
      File "/usr/lib/entropy/lib/entropy/client/interfaces/db.py", line 2029, in update
        selected = self._select_database_mirror()
      File "/usr/lib/entropy/lib/entropy/client/interfaces/db.py", line 428, in _select_database_mirror
        https_validate_cert = https_validate_cert)
      File "/usr/lib/entropy/lib/entropy/client/interfaces/db.py", line 1992, in _remote_revision
        fetch_rc = fetcher.download()
      File "/usr/lib/entropy/lib/entropy/fetchers.py", line 391, in download
        status = downloader()
      File "/usr/lib/entropy/lib/entropy/fetchers.py", line 600, in _urllib_download
        self.__http_basic_user, self.__http_basic_pwd)).replace('\n', '')
      File "/usr/lib64/python3.4/base64.py", line 548, in encodestring
        return encodebytes(s)
      File "/usr/lib64/python3.4/base64.py", line 536, in encodebytes
        _input_type_check(s)
      File "/usr/lib64/python3.4/base64.py", line 522, in _input_type_check
        raise TypeError(msg) from err
    TypeError: expected bytes-like object, not str

commit 12c5fc31ec3c6a8d25d0f22414b1576168b11db1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 20 08:07:37 2016 +0100

    Tagging Entropy version 306

commit c611f76a33420dd8064ca0ec103683d18a31bbdf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 20 08:07:36 2016 +0100

    Release Entropy 306

commit 6de1430d76058824ca085abe31e52dac556db259
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 20 08:06:52 2016 +0100

    [magneto] make updates notifications go away after the default timeout.
    
    In the recent versions of GNOME, this became super annoying.

commit 9c300b0a3c30f48ce79c64937f8b87b21afd8f80
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 20 08:00:09 2016 +0100

    [client] update translations

commit ff0938611a79a0e3cf7367a69847a9cf6de0c014
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 20 07:54:55 2016 +0100

    [client] update entropy.pot

commit 117100b18cadc95c65fe6d7820e4f6badca0d9dc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 20 07:52:17 2016 +0100

    [magneto] fix Gir related warnings when loading Magneto

commit a9ae8128a231e1d00846be3b76ee1b6e822b3e73
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 20 07:44:38 2016 +0100

    [magneto] Just show an "Updates are available" notification, drop the count.
    
    This will prevent us from piling up notifications.

commit aa362bc92c02d0c06e7750152f2b46e2a71ec524
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 20 07:38:05 2016 +0100

    [magneto] exec python rather than calling it.
    
    No need to keep one more bash alive on every respawn.

commit 2ab95aaae465f37caea6806d1492f7f8a889ccca
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 19 21:16:27 2016 +0100

    Tagging Entropy version 305

commit b95b0d80b4680cf83b6186b599c7c99b3b554737
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 19 21:16:27 2016 +0100

    Release Entropy 305

commit 98cd2b2b9f98fe183e429a0f1fae657f4e23ea45
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 19 21:14:41 2016 +0100

    [rigo] Force terminal expansion, fixes bug #5305

commit 04c46ce17c2dd2c1784d71bd6cdb4b50094e47de
Author: mudler <mudler@sabayon.org>
Date:   Sun Sep 18 16:54:55 2016 +0200

    Tagging Entropy version 304

commit 4a0488bd41f875df1fb29d355ddc32f0326f9791
Author: mudler <mudler@sabayon.org>
Date:   Sun Sep 18 16:54:55 2016 +0200

    Release Entropy 304

commit 76f8fd1b92ac01c1f539079b228159d03f80b23e
Author: mudler <mudler@sabayon.org>
Date:   Sat Sep 17 14:09:06 2016 +0200

    add CICKU's FOSS Mirror

commit 0d778e8b397cb55fca0a4a0778124bedc9f1690b
Merge: b8007c344 3fc1de1e7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Sep 2 09:40:42 2016 +0200

    Merge pull request #32 from freeboson/equo-zsh-updates
    
    Equo zsh completion updates

commit 3fc1de1e748b7c813d881c38de5c611cf7694bbd
Author: Sujeet Akula <sujeet@freeboson.org>
Date:   Wed Aug 31 07:49:02 2016 +1000

    break up the long text processing pipes

commit b8007c3445c344f4bd807487c1d2129931d3347c
Merge: 5ae09bf9c c530299fb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 30 20:19:46 2016 +0200

    Merge pull request #23 from rdnetto/bugfix_read_settings
    
    [entropy.core] _system_parser: Actually read the file

commit 5ae09bf9c30315c1d1d4df1be3378786956f7d09
Merge: bf5e00d01 37d15af8b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 30 20:18:38 2016 +0200

    Merge pull request #30 from Enlik/exc-handler-fix
    
    [entropy.client] fixes to exception handler

commit bf5e00d01488d19e692ccbbb159d69eed06210db
Merge: abde25f91 f4d09bcef
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 30 20:17:57 2016 +0200

    Merge pull request #24 from skwerlman/patch-1
    
    [solo.commands.moo] fix `lxnay` speech bubble

commit abde25f9181fd78ea57d202f3ecce6847d71afb4
Merge: b38fc48ac 706d6bca5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 30 20:17:35 2016 +0200

    Merge pull request #31 from Enlik/conflict-print-revdeps
    
    [solo.commands,lib] display packages that pull in conflicting ones

commit b38fc48ac33c8fafa09fbe342c836e9be1d34d6a
Merge: 28d16ff86 12a7bdd2b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 30 20:16:23 2016 +0200

    Merge pull request #29 from Enlik/large-qa-env
    
    [entropy.client,conf] avoid "Argument list too long"

commit 0b7efb5be935a152e79c68e445b69c2c085b96f1
Author: Sujeet Akula <sujeet@freeboson.org>
Date:   Tue Aug 30 23:50:37 2016 +1000

    update aliases in subcommand switch

commit 50f7796fea6b77665db1401c9be96c405b286915
Author: Sujeet Akula <sujeet@freeboson.org>
Date:   Tue Aug 30 23:49:19 2016 +1000

    get all the pathological subcommand -h cases

commit d6ad7780fa46ae8f25e3d88272d33219ad148c5f
Author: Sujeet Akula <sujeet@freeboson.org>
Date:   Tue Aug 30 23:48:44 2016 +1000

    should not have edited this line

commit 3844653ee511eb6596fa63cc7e5f27945a21fadd
Author: Sujeet Akula <sujeet@freeboson.org>
Date:   Tue Aug 30 17:00:32 2016 +1000

    change equo -h parsing

commit cbc9a2d602b56e566a55380259777731b73fc9d6
Author: Sujeet Akula <sujeet@freeboson.org>
Date:   Tue Aug 30 16:59:25 2016 +1000

    equo query list called twice for no reason

commit 8c3308cf91f6ffb2499032debabbfe3597bb938e
Author: Sujeet Akula <sujeet@freeboson.org>
Date:   Tue Aug 30 16:59:06 2016 +1000

    Remove --nocolor, update --color desc

commit 706d6bca554febbd28d74518e38bf8ce502f2480
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Sat Aug 6 20:41:27 2016 +0200

    [solo.commands,lib] improve message about conflicted packages
    
    Don't show the package itself. If there are no revdeps, nothing would be
    shown so a custom "(no reverse dependencies)" message will appear, which
    is clearer.

commit e96db09ad70b4698826a69e27332f2c8f6f4a2b7
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Fri Aug 5 20:00:21 2016 +0200

    [solo.commands,lib] display packages that pull in conflicting ones

commit 37d15af8bf81d3ba418507923fa36e6643fbdd1a
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Thu Aug 4 01:30:22 2016 +0200

    [entropy.client] fixes to exception handler
    
    - correct negated logic in EPIPE hanling
    - correct ENOSPC handling (it's IOError, but OSError was catched)
    - support Python 3.3+ which got reworked exceptions

commit 12a7bdd2becf7c163485ac502d84afeb036298cc
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Tue Aug 2 09:04:50 2016 +0200

    [entropy.client,conf] avoid "Argument list too long"

commit 28d16ff8647a0d69bc611e4efaa234e4aa580709
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 8 09:04:30 2016 +0200

    Tagging Entropy version 303

commit aeaf05fe4d875ff4963f2cc3530c442fa8e458bc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 8 09:04:30 2016 +0200

    Release Entropy 303

commit 90974213201906023bbe768a424e700ee534eba7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jul 8 09:03:54 2016 +0200

    [entropy.services.client] fix SSL certs validation when Python 2.7.9+ is in use

commit 810722ca40a8c2593fea7aecd6310ad7f78a73ee
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Jun 13 16:09:45 2016 +0200

    Update mirror.dkm.cz URI

commit 5b573209bfabb6ea1c973ef0683c08e0de046180
Author: mudler <mudler@sabayon.org>
Date:   Mon May 16 22:22:26 2016 +0200

    Tagging Entropy version 302

commit 2ab2130714881919d28b816b8fb90ff7403614bb
Author: mudler <mudler@sabayon.org>
Date:   Mon May 16 22:22:26 2016 +0200

    Release Entropy 302

commit dceea5bc79098ded31fdbe94529a1e8fa2290a7e
Merge: f935b1821 8af6a2678
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon May 16 21:08:13 2016 +0200

    Merge pull request #27 from mudler/master
    
    [entropy.client] adding support for wildcard in ACCEPT_LICENSE

commit 8af6a2678d00d222c670260b7d3ec7db6eac65b6
Author: mudler <mudler@sabayon.org>
Date:   Sat May 14 17:29:56 2016 +0200

    [entropy.client] adding support for wildcard in ACCEPT_LICENSE
    
    This allows to call equo with ACCEPT_LICENSE="*" and accept automatically all the licenses without user prompting

commit f935b1821f4cb23880ab7c5efc40968cf99379b3
Merge: af86b5836 67a645fab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 14 12:00:39 2016 +0200

    Merge pull request #26 from mudler/master
    
    [entropy.tools] add IA_64 to elf_class_strtoint

commit 67a645fabe4dcc99a63c7999eaf989cfbc11de51
Author: mudler <mudler@sabayon.org>
Date:   Sat May 14 11:49:37 2016 +0200

    [entropy.tools] add IA_64 to elf_class_strtoint

commit af86b583680fddab16c35e3ace0e74d6231d076c
Merge: 0c9212003 b12a25e72
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 8 14:10:39 2016 -0700

    Merge pull request #22 from Enlik/repo-on-conflict-for-mask
    
    [entropy.client] print repository name on dependency conflict

commit 0c9212003132dac2912fe307f5aca1d40e918780
Merge: 1e23d2cec 97a99edbf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Apr 16 20:25:48 2016 +0200

    Merge pull request #25 from Enlik/tests-and-ldd
    
    correct tests and read_elf_broken_symbols

commit 97a99edbf35b3d46680d51156ef2dfcb655cd5de
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Fri Apr 15 00:21:53 2016 +0200

    [entropy.tools] correct read_elf_broken_symbols
    
    ldd (now?) prints this to stdout; read from both streams.

commit d9843c2d1d6538135f05d0d78700bb20247c846d
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Thu Apr 14 22:37:10 2016 +0200

    [tests] enforce default caching policy
    
    When ran in a chroot in environment where entropy.tools.total_memory()
    would return 0, the test failed.

commit f4d09bcef080071ba69e464e64dfaee8346fae51
Author: skwerlman <skwerlman@users.noreply.github.com>
Date:   Fri Apr 8 15:48:24 2016 -0400

    [solo.commands.moo] fix `lxnay` speech bubble

commit c530299fb5084367fde35953bbe27e55bf120a83
Author: Reuben D'Netto <rdnetto@gmail.com>
Date:   Wed Apr 6 21:54:12 2016 +1000

    [entropy.core] _system_parser: Actually read the file
    
    Fixed bug introduced in: a2315b1 [entropy.core] _system_parser: drop access() usage
    
    This ensures that /etc/entropy/entropy.conf is read, instead of being
    ignored.

commit b12a25e72d119ae4c137ffc66a52cce6c115558b
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Wed Mar 30 23:02:46 2016 +0200

    [entropy.client] print repository on conflict
    
    Copy-pastable for equo mask.

commit 1e23d2cecb7a6878cbe89e35a26bca002ce44521
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Mar 20 19:32:34 2016 +0100

    Tagging Entropy version 301

commit 96ed6d3c5e8502f85693e1533747041d599bc24d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Mar 20 19:32:33 2016 +0100

    Release Entropy 301

commit 91ed0f744d246c0f81de3ee957e39993c2a930de
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Mar 20 19:32:01 2016 +0100

    Update translations

commit a305f121eeb2abc9dfcf5d56c7123fbaf2bec025
Merge: b17686f00 b43498596
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Mar 20 19:29:18 2016 +0100

    Merge pull request #21 from Enlik/oscheck-packages
    
    oscheck: add "packages" option support, and repair --mtime

commit b43498596e1eea2eaca281d33940e453551e6b7d
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Mar 7 22:08:18 2016 +0100

    [solo.commands.security] repair --mtime in oscheck
    
    While testing the change that adds [package ...] to oscheck, I noticed
    this bug.

commit 449b1c3fe75fbf0d94ae4ce03231b05be7b708c4
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Mon Mar 7 21:00:06 2016 +0100

    [solo.commands.security] support for package names in oscheck

commit b17686f00812c47b0f614559172ff2253b3c970e
Merge: b5bbd6dcd 3ff54e824
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Mar 7 11:56:48 2016 +0100

    Merge pull request #20 from mudler/master
    
    [entropy.tools] add PPC to elf_class_strtoint

commit 3ff54e824f3f11bf9528b66edd88607076825972
Author: mudler <mudler@sabayon.org>
Date:   Thu Jan 21 16:06:40 2016 +0100

    [entropy.tools] add PPC to elf_class_strtoint

commit b5bbd6dcda627e839d6733032765d55c9496ee7b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 23 20:54:06 2015 +0100

    [conf] update GARR mirror URLs

commit d90f406218a6b706271eee715056bfbbeea83127
Merge: f394eff92 a20db47d8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Nov 30 11:11:31 2015 +0100

    Merge pull request #18 from mudler/patch-2
    
    [entropy.tools] add MIPS to elf_class_strtoint

commit a20db47d825bd017d9b2f0c1d9931da76216cd73
Author: Ettore Di Giacinto <mudler@users.noreply.github.com>
Date:   Sat Nov 28 15:50:28 2015 +0100

    [entropy.tools] add MIPS to elf_class_strtoint

commit f394eff9255b4aa16b4f0b6f951c973cb7a8a799
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 29 19:03:36 2015 +0100

    Tagging Entropy version 300

commit 5ea91aefd72d7d8e2e43b2fa9383352c14c09209
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 29 19:03:36 2015 +0100

    Release Entropy 300

commit 09ed451247d157d58765346301e9874b54d8344d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 29 19:03:15 2015 +0100

    [entropy.core.settings.base] fix call to .write()

commit 6bb13e1f584ec021f0c6f7652fe2950b0c909050
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 29 18:54:00 2015 +0100

    Tagging Entropy version 299

commit baa30318e17698e6726e464933fca668660ae71c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 29 18:54:00 2015 +0100

    Release Entropy 299

commit 6f061406c16f475587057650e91f0707c1c44fc8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 29 18:53:09 2015 +0100

    [entropy.core.settings.base] fix tuple index when value is NoneType

commit ed70e372d5014a62b98fabb9960d361980104f7b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Aug 22 23:49:00 2015 +0100

    Tagging Entropy version 298

commit da39ba3ad954431ab4fb35cb4f31f37ab0051eb6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Aug 22 23:49:00 2015 +0100

    Release Entropy 298

commit 9a106f81f68aef4eeeaf62f69027bc32315f350e
Merge: 460adbe92 bfe8b9951
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Aug 11 21:55:30 2015 +0100

    Merge pull request #16 from Enlik/master-more-arches
    
    [entropy.tools] add AARCH64 to elf_class_strtoint

commit bfe8b9951cf49105454e272084ae2f30ebc344b1
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Tue Aug 11 22:07:39 2015 +0200

    [entropy.tools] add AARCH64 to elf_class_strtoint

commit 460adbe92f38b5c63d3093fc14e9fdf4506423b6
Merge: 4d40ea44a 38d03dc20
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jun 6 13:52:58 2015 +0100

    Merge pull request #13 from geaaru/basic_ssl
    
    Add support to Basic Authentication and permit disable of SSL certificate validation

commit 38d03dc200a618a70e6bf297bb8599463d7bf66f
Author: Geaaru <geaaru@gmail.com>
Date:   Fri May 8 11:20:43 2015 +0200

    Add support to Basic Authentication and permit disable of SSL certificate validation on https protocol

commit 4d40ea44aa209808db5b99bb964f64f71c38642f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jun 3 06:50:08 2015 +0100

    Tagging Entropy version 297

commit dd2e9560a33fadb1627b1db410365a7e546da283
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jun 3 06:50:08 2015 +0100

    Release Entropy 297

commit 72851f1948d5b9efe819bd833597380ab380d191
Merge: 1753bc2c0 d2273933e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jun 3 07:55:46 2015 +0100

    Merge pull request #15 from Enlik/master-more-arches
    
    [entropy.tools] add more arches to elf_class_strtoint

commit d2273933e922e717a32986847cbdb5a763f6e254
Author: Sławomir Nizio <slawomir.nizio@sabayon.org>
Date:   Wed May 27 20:20:01 2015 +0200

    [entropy.tools] add more arches to elf_class_strtoint

commit 1753bc2c005fb00e0ffe969780464b22627e753f
Merge: d92c7ca45 1bda075ad
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 17 12:43:16 2015 +0100

    Merge pull request #14 from Enlik/master-lic-EOF
    
    [entropy.client] while asking to accept the license, interpret EOF as "no"

commit 1bda075ad07a4f2a57c8ed73be4daaf6eeb77c5b
Author: Sławomir Nizio <poczta-sn@gazeta.pl>
Date:   Sat May 16 00:01:55 2015 +0200

    [entropy.client] while asking to accept the license, interpret EOF as "no"
    
    Otherwise it would loop indefinitely (bug 4849).

commit d92c7ca45c3ea64b6d71fe2724cf6b1a3841a196
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Mar 17 16:16:55 2015 +0000

    Tagging Entropy version 296

commit 1e83c54741c7966535280ab135f7ffd5ce2d9fb5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Mar 17 16:16:54 2015 +0000

    Release Entropy 296

commit 39884e2a6a7fb5809f22a63098e0274bab4fd660
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Mar 17 16:16:05 2015 +0000

    [entropy.tools] add support for "ARM" in elf_class_strtoint

commit fec14117314a3d098a737d047145642fb9e961ba
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 13 10:19:06 2015 +0000

    Tagging Entropy version 295

commit c875341fa555b20ccf3e647aabd30209d450a71a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 13 10:19:05 2015 +0000

    Release Entropy 295

commit edcd57c9de85d25afce28b7fb444a1036e0f9805
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 13 10:18:46 2015 +0000

    [Rigo] Gtk 3.14 fixes

commit 7cb29fb57b00c876fd460ef65e84af34e888c9c0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 10 07:33:46 2015 +0000

    Tagging Entropy version 294

commit 0baa8ffedcc75543643b6c3662360d353fabde01
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 10 07:33:45 2015 +0000

    Release Entropy 294

commit 265eb182f864acbe7ebab32106f8c4c943764e85
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jan 4 16:13:12 2015 +0000

    [Rigo] fix various deprecation warnings

commit 648aceef2b0f6e6e9fb0021be094b052e4259e5d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 30 14:57:24 2014 +0000

    Tagging Entropy version 293

commit 4e0232f22e9fcd7c8c29a38df2b09c34807b094c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 30 14:57:24 2014 +0000

    Release Entropy 293

commit 12d01a9465e8a2ae7338e195d399fe0aaa86916c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 30 14:54:38 2014 +0000

    [entropy.server] fix typo in list comprehension

commit a67ea012dd3357aee3e686609f5d0569943bdb0b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 30 14:52:21 2014 +0000

    [entropy.server] make dep_rewrite also affect conflicts
    
    This makes possible to remove or edit conflict dependencies

commit b7f30dafc8b1f3f2f3ef08e9e015cbb3d6037761
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Nov 30 14:32:01 2014 +0000

    [todo] update TODO

commit 604a43cbc72bca9efc13643f7dcbe4f202e3a6c6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 24 09:21:08 2014 +0200

    Tagging Entropy version 292

commit 6940a64e76c568f0d814798a96706d11c736279d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 24 09:21:08 2014 +0200

    Release Entropy 292

commit bbca80a3ed2bf0c0c48a307b2ea95895611b2ec3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 24 09:20:45 2014 +0200

    [entropy.client.interfaces.server] fix format string

commit bfb5de8ce455ae09195da133aa507441c8f35b27
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 23 19:03:21 2014 +0200

    Tagging Entropy version 291

commit bb8cb2e354244e3be8b1e667bedc6d63c93489e0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 23 19:03:20 2014 +0200

    Release Entropy 291

commit 5d1aba59b99016ab3b7f36e01cbefe376dc3d2d7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 23 18:00:39 2014 +0200

    [entropy.client.interfaces.dep] use dict comprehension instead of canonical for loop

commit a3abd709a94b72d0bd0e5c11dc881121e265740c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 23 17:56:10 2014 +0200

    [entropy.client.interfaces.dep] exclude non-relevant metadata from library breakage computation

commit 4afda8f02f903fdb8976ea618973dcc0176e9f8d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 23 14:57:59 2014 +0200

    [entropy.client.interfaces.dep] resolve needed libs by also using RPATH

commit 66afa1bdbb95da10324a95d665ef92788572c012
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 23 12:55:40 2014 +0200

    [entropy.tools] collect_linker_paths() returns a tuple() now.

commit 531c769b9b273e6c92a5b8f3b053ed2ff5795866
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 23 12:36:33 2014 +0200

    [entropy.tools] avoid open() races in collect_linker_paths()

commit 8d87024cd0d867113dbb6ae721caea7bce9bc537
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Oct 20 21:38:20 2014 +0200

    [entropy.db.sqlite] do not drop neededreference, keep it for backward compat.

commit 90d6b4bafc728a4d232913dfb4d9e22fc7b809dc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Oct 20 17:10:09 2014 +0200

    [entropy.client.interfaces.dep] extend usage of needed_libs, propagate rpath

commit e04bb66e3d1ba769ac44a11177ab19b1bd651cab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Oct 20 17:02:17 2014 +0200

    [entropy.client.interfaces.dep] fix usage of new needed_libs metadata

commit 376d8e11cef2c1e6dcb05c1ebf3d0ff899fbf672
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Oct 20 16:41:38 2014 +0200

    [entropy.qa] drop warn_missing_dependencies, no longer used

commit d857d99832680a068b3fae5ce00f7e8051f33c76
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Oct 20 16:35:20 2014 +0200

    [entropy.qa] test_missing_runtime_libraries: migrate to new needed_libs metadata

commit a3de15d3cf13dc77630ce7a109a75b1e1da30d18
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Oct 20 16:09:07 2014 +0200

    [entropy.qa] migrate parts of the module to the new needed_libs metadata

commit 3389374cdb236f0d4f6e7ab8511c51e41d0c9311
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Oct 20 15:47:57 2014 +0200

    [entropy.spm] do not use server-side linker paths to determine provided_libs

commit 9f910e9b09b0cafe2a08131236cf0ff0dcaacdf8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Oct 20 15:17:01 2014 +0200

    [entropy.tools] add helper function: parse_rpath

commit 363c6a175f183e8eace729a0c17e1b5673d280d0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Oct 20 15:04:19 2014 +0200

    [entropy.*] migrate all retrieveNeeded uses to retrieveNeededLibraries

commit 79de77cad6cd34e798723154c9a1ea5a5deebeec
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Oct 18 19:29:50 2014 +0200

    Tagging Entropy version 290

commit 645dec3d941229b0d7091fb1242209e199efcaca
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Oct 18 19:29:50 2014 +0200

    Release Entropy 290

commit 6925722fc0c517a25deecd4f1caf6bbac3d5e45f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Oct 18 19:29:20 2014 +0200

    [entropy.db] do not drop needed, improve backward compat.

commit 5a88ea3f211619c45246401ec11498d08fbf4d1d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Oct 18 15:59:47 2014 +0200

    Tagging Entropy version 288

commit e36fd3d6c82bbb4397a05bcf514588370bf8f87d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Oct 18 15:59:47 2014 +0200

    Release Entropy 288

commit c3f57228bf82b0c1a30666fd190c783d2e071f4c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Oct 18 15:59:26 2014 +0200

    [entropy.tools] fix read_elf_metadata in case of no metadata

commit 0cb63c69f0946ff6393834eba50e5aabbe752dfa
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Oct 18 14:58:21 2014 +0200

    Tagging Entropy version 287

commit f282e30422655f413e4dd5e453766244e0a85472
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Oct 18 14:58:21 2014 +0200

    Release Entropy 287

commit 35542de6c0c2626f2c00d59555ba94cff0f63351
Merge: 86e209482 bbb1b710c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 17 23:20:40 2014 +0100

    Merge pull request #10 from Enlik/master-like-depclean
    
    improved 'equo unused' algorithm

commit bbb1b710c25a21c6e9779980cf9ea74695ac97f7
Author: Sławomir Nizio <poczta-sn@gazeta.pl>
Date:   Fri Oct 17 23:57:02 2014 +0200

    [entropy.client] updates to unused.py after review

commit deeb3e8dd65d82d993372c92120236f34147f201
Author: Sławomir Nizio <poczta-sn@gazeta.pl>
Date:   Fri Sep 5 23:13:28 2014 +0200

    [entropy.client] equo unused that works more like emerge --depclean
    
    Almost done, but there are comments with things I'd like to get
    feedback about.

commit 86e2094824c2a3b6e7461f65d6a64085a8f12d1a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 17 21:40:27 2014 +0200

    Tagging Entropy version 286

commit 95f594388c4d8e7b311c01144154447d46d9c0e5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 17 21:40:27 2014 +0200

    Release Entropy 286

commit 49c970974d8ad1b9b730320a43ba2e8b1d42ab82
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Oct 17 11:29:13 2014 +0100

    [entropy.db.sql] fix typo in SQL in resolveNeeded

commit 2a35e8a9d043bfdc884219e1da333c5f36997a5d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Sep 30 20:41:18 2014 +0100

    [solo.commands.pkg] EEXIST is fine when using makedirs()

commit eed20a69c02cec91cf41d8c6065b3fd772967fbd
Merge: 7b2810c05 bbedeeb45
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Oct 16 19:37:14 2014 +0100

    Merge pull request #9 from kpcyrd/master
    
    Update package-hashes to default to sha256 gpg

commit bbedeeb4539c40f2188f23e6defd9ba9521a9f84
Author: kpcyrd <git@rxv.cc>
Date:   Wed Oct 15 18:32:26 2014 +0200

    Update package-hashes to default to sha256 gpg

commit 7b2810c0543f5910a785fed09f7c4e31727ae3e4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Sep 30 09:10:11 2014 +0100

    [entropy.db] rewrite needed libraries SQL schema, keep compat.

commit 7e2846c4916e689e6d69c721d1aaf31a72ef2b8d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jul 5 17:20:30 2014 +0100

    [matter] binpms: return int on push()

commit f506573ae4639094d74cfa5ac59855c3b1682364
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jun 29 15:27:07 2014 +0100

    Tagging Entropy version 285

commit 68dc9f92df207ce62069c5ebed5afd3f8fb38ce0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jun 29 15:27:07 2014 +0100

    Release Entropy 285

commit 92254d3986f9ba3ac6a8dca77fcc606ebbdf38a0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 31 15:27:08 2014 +0100

    [eit.commands.deps] add support for adding and removing conflicts

commit d2e181bcb42f8607048fde66b10316016940c915
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 31 15:25:43 2014 +0100

    [entropy.db] add removeConflicts() and insertConflicts()

commit 713fd9dd74f8c40c4b16e4ad1087c731ff32bf5e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 31 14:02:54 2014 +0100

    [entropy.client] ignore package masking for the first element when only_deps is True

commit 40a05bf1c301d887d8ddc59373b2296945964104
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 24 19:49:55 2014 +0100

    [entropy.client] use const_convert_to_rawstring with hashlib
    
    This fixes bug #4713

commit efd8d941125f773ada8dd116a07db385ee37a398
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 18 09:13:56 2014 +0100

    Tagging Entropy version 284

commit 76dd2fb9a06ff55f567a68bada14622a29f3154d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun May 18 09:13:55 2014 +0100

    Release Entropy 284

commit 39e2ab68908133c080db9b0238f3f088ff1d343a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat May 10 21:42:32 2014 +0100

    [solo.commands.pkg] add missing import: errno

commit d55bddc3e6fd43d10f2a08db6db0882ba760aefc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon May 5 18:36:22 2014 +0100

    Tagging Entropy version 283

commit 6faaad1d0b66a068b7904b0440f1d8b0b40194fe
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon May 5 18:36:22 2014 +0100

    Release Entropy 283

commit 87702f9aa04c550d1b914869d17f16724b4037c9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon May 5 18:35:48 2014 +0100

    [misc] update ifconfig and sha256sum usage in hwgen

commit a4f32bf2d87829305603ea42640281ecab01446f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Apr 21 22:03:47 2014 +0100

    Tagging Entropy version 282

commit 38b08e5429cf9136cd6c4564790bcc18eb6b3a9b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Apr 21 22:03:46 2014 +0100

    Release Entropy 282

commit bc06fe30c28018dff3ec2424639addb878ae3136
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Apr 21 22:02:34 2014 +0100

    [entropy.server] catch KeyError during init in _enabled_repos()

commit 984158659d6713b8876a6ef0afd9f6010468759e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Apr 21 22:00:09 2014 +0100

    [entropy.server] provide an overridden _enabled_repos attribute

commit 36c347180c9f763d6721fad9ab396cfc4e3cd710
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 20 13:41:41 2014 +0100

    Tagging Entropy version 281

commit 796db961f971ccc0deb3bd2d7f2252452e69bc0b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 20 13:41:40 2014 +0100

    Release Entropy 281

commit 61ba6ea268127e1807889fd213d0e0c32389bf11
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Apr 20 13:27:29 2014 +0100

    [entropy.client] fix deadlock when running "equo rescue generate"
    
    _real_logger_lock must be a reentrant lock.
    This fixes bug 4624.

commit f1e7432bef30ef9a10e8de93255b68b878f5aa2a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Apr 14 09:08:46 2014 +0200

    [entropy.fetchers] fix undefined reference, std_err (it is actually std_r)

commit 2f88a7e672114f5900fa8dea22658e639cb08c1d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 13:55:57 2014 +0200

    Tagging Entropy version 280

commit 7c6b27437c22f66bdd0a9e5a6da7ace5c7b7b397
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 13:55:56 2014 +0200

    Release Entropy 280

commit f95946754db8a37d71583ddd21ec088f71a02da5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 13:55:05 2014 +0200

    [eit.commands.cp] fix parsing of source and dest repos

commit 8cbab29394bfc11cd35f4fee4223c44437705cfa
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 13:44:48 2014 +0200

    [eit.commands.cp] replace "+" with "*" in the packages argument spec

commit a08324f43490dbca115f022ac7638819d0ddfd6a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 12:06:21 2014 +0200

    Tagging Entropy version 279

commit 050a79044500e769f207428598aa66ce2756029f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 12:06:21 2014 +0200

    Release Entropy 279

commit ba1d77fa10831a159cac75443a248e48ea7194ce
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 12:02:39 2014 +0200

    [eit.commands] add --quick support to eit {mv,cp}
    
    This avoids interactivity

commit 8f8f58bb41a15d660ced8b58b8da7dc53b008b31
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 11:54:59 2014 +0200

    [eit.commands] remove _get_parser() from EitMv, it's shared with EitCp

commit 7c4cedae0bbc4385455ea5ee76e6a685626e226f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 11:23:57 2014 +0200

    Tagging Entropy version 278

commit 6c5626f63847dc5f2141297c6b646d7a996177c3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 11:23:56 2014 +0200

    Release Entropy 278

commit 1f064736a316ef74efcd78061ee96e88483d826a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Apr 8 09:37:29 2014 +0200

    [entropy.server] do not warn about missing dependencies
    
    The code is slow and doesn't give any useful and reliable information
    to the user.

commit 73c6c1e7011a2758811511f165dada9e71824742
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Apr 4 11:35:47 2014 +0200

    Tagging Entropy version 277

commit 62e1b9e63b1036f341255e49c4f567950b375f7f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Apr 4 11:35:46 2014 +0200

    Release Entropy 277

commit 788e54ced342054e558cf8003b8edace635c6e2a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Apr 4 11:35:27 2014 +0200

    [Rigo] update translations

commit 3ddeed9cdffa752c176d12e6a5e32b13a28359f8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Apr 4 11:34:12 2014 +0200

    [client] update translations

commit 06ba8833df5e2e505937448e02fb260dab35ee99
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 3 12:58:28 2014 +0200

    [entropy.qa] catch FileNotFound on read_elf_real_dynamic_libraries

commit de1baee2ccb447936ae58b9f7422d1d57c65b629
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 3 12:58:08 2014 +0200

    [entropy.tools] read_elf_real_dynamic_libraries: do not block if stdout buffer is full

commit 1ead98fb6eb794f40de2c4c07a383a2e77c19593
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 3 12:45:41 2014 +0200

    [entropy.tools] open os.devnull and pass a file handle to Popen()

commit 97a5b45e27e5c3f5b21d6953a6336a54ffc0a313
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 3 12:42:47 2014 +0200

    [entropy.tools] open stdout and redirect it to os.devnull

commit f2ddad2e0c913f8e158198e41a78c3d371095284
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 3 12:40:15 2014 +0200

    [entropy.tools] do not read stdout at all

commit bb47a20fc9d168367b87d1e43e35a3229cd6669c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 3 12:37:13 2014 +0200

    [entropy.tools] avoid blocking on stdout when stderr buffer was full

commit 85c262ff90477ec95d7d49633fe747542deb60df
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Apr 3 12:19:33 2014 +0200

    [entropy.tools] read_elf_broken_symbols: do not block when stdio buffers are full

commit b8ee50d5148ca5246d141a831e9f990d99f20a42
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Mar 24 12:19:15 2014 +0100

    [entropy.client.package] install: correctly deal with mkdir, makedirs errors

commit 95702f0d7b291fc1565908ebac4d1596901bdf2e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Mar 22 08:13:06 2014 +0100

    Tagging Entropy version 276

commit 6c10619d21f25b97607d4b47b43ddbcf9b46386b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Mar 22 08:13:05 2014 +0100

    Release Entropy 276

commit cda2ff9e0fed3d9c73e443c7a692f20eaddfb809
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Mar 22 08:12:23 2014 +0100

    [eit.command.status] fix _calculate_local_upload_files() usage

commit 119dd0c36b65348a3beece05b7371b836b041900
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Mar 19 12:30:47 2014 +0100

    [eit.commands.commit] fix "eit add foo" (when foo does not exist)

commit 4aede70e108482a22243b5d3ce689835428dde10
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Mar 19 12:30:09 2014 +0100

    [eit.commands.repack] do not set self._packages, adds unnecessary elaboration

commit 09505b7eadb7c76157bafc4bedc0a237083b2ed8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Mar 18 15:27:46 2014 +0100

    [entropy.qa] do not account for broken executables if there are no missing sonames

commit 5c246d10bad7d56be8eb67bb20a9e613850ef8aa
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Mar 18 15:21:29 2014 +0100

    [entropy.qa] filter out missing sonames if they belong to system packages
    
    When warning user for potentially broken ELF objects, it is better
    to filter out sonames pointing to system packages.

commit d0fce0b3750ff4b5b391aae3982b82646004d269
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Mar 18 14:22:54 2014 +0100

    [entropy.qa] move is_system_pkg to instance method

commit b9d87febc23fae19f82a0470a00e3d0bd64e2ab9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Mar 16 17:04:11 2014 +0100

    Tagging Entropy version 275

commit 8e64909155f672c0f62a84a113c5f3bf765138cd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Mar 16 17:04:10 2014 +0100

    Release Entropy 275

commit a04e6381bb9aa7679ea1b8b2ff2290859631a9d5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Mar 16 17:03:36 2014 +0100

    [Rigo] update translations

commit 0af817e33b14b952c1be16bdb0bb8964fd8b53af
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Mar 16 17:03:23 2014 +0100

    [client] update translations

commit b8d3b84f4cd21270f7869360379c2cf8ee09e17f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Mar 15 09:42:00 2014 +0100

    [entropy.qa] catch FileNotFound when calling read_elf_broken_symbols
    
    This fixes bug #4632

commit 54afc204d5cc8fa8af05bbc94dc270d83ef59d4d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Mar 5 12:44:45 2014 +0100

    Tagging Entropy version 274

commit 200d0ce137638cc4751ec0c63cbe07448f7de669
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Mar 5 12:44:44 2014 +0100

    Release Entropy 274

commit 704b9a161a9893e463df490d2428cfa329e23f79
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Mar 5 12:43:16 2014 +0100

    [entropy.server.interfaces.mirrors] fix _calculate_remote_package_files wrt separate package dirs

commit 285b5558af59fd4fe63ac5bb2f428b66f163b6a3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Mar 5 11:20:50 2014 +0100

    [entropy.server.interfaces.mirrors] speed up _calculate_local_{upload,package}_files

commit 880aba81cbc59bfd65eddf6e055c499b6b96f7d5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Mar 5 11:15:10 2014 +0100

    [entropy.server.interfaces.mirrors] simplify local packages calculation methods

commit 7bc1306d285a64ce3dddae9e802b643639fe43e3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Mar 2 12:13:14 2014 +0100

    [Rigo] require Gtk+ 3.10 and solve all deprecation warnings related to Gtk*Box

commit 11d166dfad96250917e5e783968853351c07ab17
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Feb 26 16:02:42 2014 +0100

    Tagging Entropy version 273

commit 846e9b16d85488536e453151339e0ee5b935567d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Feb 26 16:02:41 2014 +0100

    Release Entropy 273

commit 9c505b4f58293dc5d84c58e20ba9309c65f6a7c3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Feb 26 16:02:13 2014 +0100

    [entropy.server] correctly generate extra_download URLs

commit 55d7dc68ef245a685d5e8611c3c679248c7f511c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 21 11:08:44 2014 +0100

    Tagging Entropy version 272

commit 2e82d22768398496a2cf320071a0ceade94ba56a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 21 11:08:44 2014 +0100

    Release Entropy 272

commit 7456df4e9aff9b85f4ec66c1e17dbd7c76272b4f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 21 11:07:56 2014 +0100

    Tagging Entropy version 271

commit 82f2d2e1dee1499f8f0740fe942d902730f66cbb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 21 11:07:56 2014 +0100

    Release Entropy 271

commit fc2488e5f7ac1c3176edae80729e76a17eafc2a4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Feb 17 21:03:29 2014 +0100

    [matter] merge_list could be None, make sure it never is

commit 855afdff1d13af186d37f47ed22389fbf6d9480f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Feb 16 13:20:50 2014 +0100

    [entropy.client.package] Do not alter repository package file directory permissions
    
    It was observed that the new locking mechanism introduced a problem
    with the management of repository package files (.tbz2 files passed
    to "equo install", for instance). Try to avoid that by symlinking
    the package file to a safe location and using this one as pkgpath.
    
    This fixes bug 4604.

commit 4c8d1801eaeb994c169e878b78a18a272517886a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Feb 16 13:18:15 2014 +0100

    [entropy.tools] dump_entropy_metadata: follow symlinks when determining file size
    
    The package file passed as input might be pointing to a symlink.
    If we use lstat().st_size we will get the symlink file size back
    rather than the source file size, which is of course unwanted.
    
    This is part of the fixes for bug 4604.

commit 1f6bd34749db3388a6530713b72223d19072ca10
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Feb 15 19:10:16 2014 +0100

    [entropy] prefix package download URLs with the category directory
    
    This makes possible to avoid directory hot spots on repository mirrors.
    This commit requires some mileage and real-world testing, but it
    seems to be running good on a relatively small repository.
    No backward compatibility issues have been reported.

commit e45b5dc73eeb17cc41af3701bfacb1c4e6f0048a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Feb 15 15:52:43 2014 +0100

    [todo] update TODO

commit 1345074a61bad2e31485c3529c03e07693b4d610
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 14 16:28:37 2014 +0100

    Tagging Entropy version 270

commit 9724a166892d00f1605e5ea6d8ac59bd36cba01e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 14 16:28:36 2014 +0100

    Release Entropy 270

commit 49426c2aadf1396af3213788c592875d9f7b613f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 14 16:15:51 2014 +0100

    [server] update translations

commit e4411da04980eec8ad8a7a41b6b1b6888bc64e5c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 14 16:14:59 2014 +0100

    [Rigo] update translations

commit f833a6cca5ab97df8a45efaeccb8b71cdb05d094
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 14 16:14:07 2014 +0100

    [client] update translations

commit d759bdd74ba1f11d70aa9f4f31f5fc4f16b59ee9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 14 16:13:34 2014 +0100

    [entropy.client] move LoadersMixin back into the Client class

commit 03ef3991bd3a77d3d3e6df422202738a6085545b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 14 13:10:16 2014 +0100

    [entropy.client] refactor NoticeBoard Entropy Client API

commit 10d8c6b6d59c2e96cbf08b24cb8d718b849d1116
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 14 11:31:11 2014 +0100

    [entropy.tools] generate_entropy_delta: make sure not to leak any fds

commit f44eb72b81b4780d38550241b1f2a82bb718a0a5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Feb 14 11:18:03 2014 +0100

    [entropy.tools] pass prefix= to every const_mkstemp call

commit 92146a8c1719cd240b9c87421441d7121ff9777e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Feb 13 16:12:35 2014 +0100

    [entropy.tools] apply_entropy_delta: avoid potential fd leaks

commit 4a9980d37c04cd2a9f8bfc9063c39efaf36bc78f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 17:37:36 2013 +0100

    [entropy.qa] rename ErrorReportInterface to ErrorReport, it's cleaner

commit 715e628c848560628328346452a35d3c8ebcb470
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 11:10:13 2013 +0100

    [entropy.client] drop CacheMixin class

commit b4196026d85a047744bc1c01e81ef61ec6ed894f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 11:08:46 2013 +0100

    [entropy.client] drop _get_available_packages_hash()

commit d0cf15ffc6aff9d3c6ab17655e6897276927010c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 11:08:28 2013 +0100

    [entropy.client] add missing imports

commit cc3d69c8b2dceeafffc9fdd7f317631008fb7668
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 11:01:51 2013 +0100

    [entropy.client] rename _repositories_hash() to repositories_checksum()

commit 2b6a4e8d9afd638d88167d795e8f6f82c8dbe4ba
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 10:52:48 2013 +0100

    [entropy.client.cache] improve _repositories_hash() robustness against collisions

commit f6591e1ade652dee5713cb5a7ae6238c8a72f8d0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 10:42:58 2013 +0100

    [entropy.client.cache] drop _selective_repositories_hash()

commit f5eb6c1803e141bb84a3eb7473cab73d550bf53c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 10:39:00 2013 +0100

    [entropy.client.cache] drop _all_repositories_hash, duplicate of _repositories_hash()

commit 3c3a376a3ba5df18217985accba17b08e60c5469
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 10:32:33 2013 +0100

    [entropy.client] rename _filter_available_repositories() to filter_repositories()

commit a83935d33c32a0863ed59f13a0037f9cfcdb1e0a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 29 10:31:59 2013 +0100

    [entropy.client.client] move clear_cache() to Client

commit 8589b8746544435e91ed1872ad8fc8c0d7487bee
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 16:52:27 2014 +0100

    [matter] add clear_cache() to BaseBinaryPMS to clear memory caches

commit c43f7700621c01a58fe92c5c821a5633b6216b6a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 14:39:33 2014 +0100

    Tagging Entropy version 269

commit 34a03796cb5cec9d0ab344025ae53362702c1c38
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 14:39:33 2014 +0100

    Release Entropy 269

commit 574a30bd988b7e251427763f58e9df548e03852f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 14:39:16 2014 +0100

    [eit.commands.command] add missing import

commit fb96b498e9566ff48287bc19342b9290d82dea54
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 14:17:46 2014 +0100

    Tagging Entropy version 268

commit 1841234eb45a671d7102acb3a8f30d8e08e949a9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 14:17:45 2014 +0100

    Release Entropy 268

commit 976c5e72c408dd759529e7f38ac8def80969ec36
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 14:00:15 2014 +0100

    [eit.commands.command] make possible to avoid dealing with the Entropy Resources Lock

commit c598dcfcd070c2b1d16128091d9b93f935d5259c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 11:18:51 2014 +0100

    Tagging Entropy version 267

commit 4988c545025a760760cbd3111e91d7d5b8068695
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 11:18:50 2014 +0100

    Release Entropy 267

commit 97b90950feb16713c07f808716a464bd0a3ac274
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 28 11:17:35 2014 +0100

    [matter] expose more status info to pkgpost
    
    - MATTER_PACKAGE_NAMES
    - MATTER_FAILED_PACKAGES
    - MATTER_BUILT_PACKAGES
    - MATTER_NOT_FOUND_PACKAGES
    - MATTER_NOT_INSTALLED_PACKAGES

commit c16b2e24e57164c39435f4a0436e86083d41e711
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 24 14:04:11 2014 +0100

    Tagging Entropy version 266

commit 49b210e6b097dbdf98beb0effceab24a3726c089
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 24 14:04:11 2014 +0100

    Release Entropy 266

commit 96b3b7115af3876b31faacce768471a7fdd25ef0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jan 16 07:22:26 2014 +0100

    [entropy.locks] call const_setup_directory only, it's enough
    
    Also deal with possible directory creation errors. We can safely
    ignore them, since we would fail right after anyway.
    This will allow the code to deal with the case where the directory
    exists but we don't have enough perms to mkdir it.

commit 5423663751de79112ef24e98593e5b2951bb12a2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jan 16 07:21:57 2014 +0100

    [entropy.const] fix default makedirs permissions, const_setup_file does it anyway

commit 89983b970576257001f39068a24aa22fb59b212b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 14 09:10:35 2014 +0100

    Tagging Entropy version 265

commit 0b881e238fbac3093e6d20e0e3eceda0d037682d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 14 09:10:34 2014 +0100

    Release Entropy 265

commit eb64e4156a24f018bd9004c68414c46f84c10163
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 14 09:09:19 2014 +0100

    [Rigo] do not show app management buttons during upgrade

commit 0b1b213730d4c04ca48f8265b2169c6a5df32b17
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 14 01:01:21 2014 +0100

    [Rigo] translate IDLE DaemonAppAction as well

commit 14cff214c6e0a2c4d4a6f49c838ab5c7dffdac29
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 14 01:00:18 2014 +0100

    [Rigo] Always execute _entropy_bus() from the main thread, avoids deadlocks

commit f9a80d7bd02d1e5a171b4ab74d17c16b04651411
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 14 00:58:45 2014 +0100

    [Rigo] add IDLE to AppActions enum

commit 7c8bfe830370211c40bdd6f14d29784be4d00907
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 14 00:14:09 2014 +0100

    [Rigo] emit application-abort when busy() fails with BusyError

commit 6b7e4f96c33b9ee1e5911a12f31395dc72e56041
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Jan 14 00:13:41 2014 +0100

    [Rigo] add UPGRADE to AppActions to match DaemonAppActions

commit d856204a8d88a66b9afc1694cf964f986b9dee54
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 11 10:43:53 2014 +0100

    [solo.commands.rescue] simplify "generate" code

commit c22a8efc2cc097fa9b9efbea11c0287c762113f7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 11 09:57:38 2014 +0100

    [solo.commands.rescue] handle the inst_repo lock when needed

commit 86820a9abaa07e7e1805a8260c7c5316c532b18b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 11 09:44:04 2014 +0100

    [solo.commands.hop] acquire the inst_repo exclusive lock before touching it

commit e76775701edd86c1d3bbf97dd124ac2aa61769e2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jan 5 15:51:29 2014 +0100

    [entropy.client.package] multifetch: define failed_downloads before use

commit 64b0e8baa99235fb93135a12a3f8e7745ad70ee2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jan 5 14:53:05 2014 +0100

    [entropy.client] Client: rewrite lazy loading support, improve reliability

commit 301aa281d5ddd89bf334ddf30f06b070eb7abc8a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jan 5 13:59:14 2014 +0100

    [entropy.client] avoid races in Entropy Client @property methods

commit 881f8831cff98174bf83d04e91cd5a2034e5cf80
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jan 5 13:55:31 2014 +0100

    [entropy.client] set _real_enabled_repos atomically
    
    The race was triggered by the startup code path in Rigo.

commit 8c4737ef7a745af554d61994b92fe8b5f2ae6445
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jan 5 13:32:36 2014 +0100

    [entropy.core] SystemSettingsPlugin: make parse() return plugin metadata
    
    This is needed in order to avoid infinite recursion through
    __maybe_lazy_load()

commit 64fb91dcaec6ab3d3b4cd2b65f6497809f99f20c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jan 5 13:00:31 2014 +0100

    [entropy.core] SystemSettings: enable lazy loading of external plugins as well

commit ce070e541b13df58b7bf7fc483d14f99f38841eb
Merge: 282fd0d74 a03296d92
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jan 5 02:57:17 2014 -0800

    Merge pull request #7 from prescott66/patch-4
    
    Slovak translation update

commit a03296d92d9990eae76afc6e436adf6d1a1645a6
Author: Dušan <prescott66@gmail.com>
Date:   Sun Jan 5 11:27:54 2014 +0100

    Slovak translation update
    
    finally translated to 100%

commit 282fd0d74c1f4450c40f9f3e26fb0d1d2ba6063e
Merge: 1d965c718 1152e6e6f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Jan 5 02:18:13 2014 -0800

    Merge pull request #6 from prescott66/patch-3
    
    Slovak translation update

commit 1152e6e6f0c230c98c57ba483431e5b3020becaa
Author: Dušan <prescott66@gmail.com>
Date:   Sun Jan 5 10:11:47 2014 +0100

    Slovak translation update

commit 1d965c7185f88915baa8639e4a8d9da6da955e88
Merge: 1f4ecf45b 42f9df141
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 23:35:59 2014 -0800

    Merge pull request #5 from prescott66/patch-2
    
    Slovak translation update

commit 1f4ecf45b3adfdad45b75decd4ced9c7b0635894
Merge: c946bacd7 95a37ca2a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 23:35:46 2014 -0800

    Merge pull request #4 from prescott66/patch-1
    
    Slovak translation update

commit 42f9df141b1dde5c053110c1261ef66459f1ae02
Author: Dušan <prescott66@gmail.com>
Date:   Sat Jan 4 22:38:01 2014 +0100

    Slovak translation update
    
    Fixed plurals and added new strings

commit 95a37ca2a21c74a47f5adc61feabc9f82f14ef50
Author: Dušan <prescott66@gmail.com>
Date:   Sat Jan 4 22:27:40 2014 +0100

    Slovak translation update
    
    Fixed strings with plurals

commit c946bacd7d1cf5e72c191f647b72ede8d41e126b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 18:17:34 2014 +0100

    [conf] update sabayon-limbo repository description

commit 2e36e7c86c6e4bdacba1dc7ce1823f01f1568e9e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 11:16:46 2014 +0100

    Tagging Entropy version 264

commit 92a5f2fcc1e2ebf34add0a0bfe6fb15d1a29a824
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 11:16:46 2014 +0100

    Release Entropy 264

commit de156b083b612ca28336b87235466165f4b0b3ab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 11:16:00 2014 +0100

    [Rigo] change the EntropyRepository default cache policy to NONE
    
    This saves a huge quantity of RAM, as happened with RigoDaemon

commit 3ebba8b14f2951610297b92b175005fe4dcefe5f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 11:15:27 2014 +0100

    [entropy.db.sql] fix typo in SQL query, s/tag/versiontag/

commit c48869bb31294c1b25ae61014a54f23b3b0e5b12
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 11:01:27 2014 +0100

    [entropy.core] SystemSettings: drop mtime based in-RAM cache
    
    It does more harm than good and we have lazy loading now

commit c98c39db062709af5b4815875e7b5512b39e2a72
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 10:31:09 2014 +0100

    [entropy.core] SystemSettings: drop mtime based cache validation
    
    This is no longer necessary and error prone on filesystems with
    coarse mtime granularity (like ext3). Individual methods are able
    to validate their own caches.

commit 5da276bfb6e08cda82f1145aa3daa61cd2a452ce
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Jan 4 10:10:49 2014 +0100

    [entropy.core] SystemSettings: __remove_repo_cache() is no longer necessary

commit d20ce3c2cc745e3066c493362b49bb71cdc440ba
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 21:04:06 2014 +0100

    [client] update translations

commit 3238689ad4e807b1edb11f84bc218a33bb4e49bc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 21:03:41 2014 +0100

    [client] update Slovak translation, thanks to Dušan Kazik

commit 9af5689a130c32889306476318bc9836411743ff
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 20:57:10 2014 +0100

    [entropy.core] SystemSettings: simplify __getitem__

commit ab6d1f9fc4bc6e2e2b257226ddc5f79ae998834e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 20:55:36 2014 +0100

    [entropy.core] SystemSettings: lazy load item only if it hasn't been loaded yet

commit 2053989b2728b97bf5bb8022c64f930b509ffbb5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 20:25:52 2014 +0100

    [entropy.core] SystemSettings: add lazy loading of metadata

commit 289add075b1a10a47202aa04f50f21418eeea511
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 20:24:27 2014 +0100

    [Rigo] Update the Slovak translation, thanks to Dušan Kazik

commit 86f31f29483816c365238138d4f74addb5816303
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 16:12:21 2014 +0100

    Tagging Entropy version 263

commit 7877126107ff05dc36c57bc05d7c7c66635a3524
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 16:12:21 2014 +0100

    Release Entropy 263

commit b0bd765b50573195e853c303746a1a54b9fbd885
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 16:10:33 2014 +0100

    [entropy.db.sqlite] do not acquire the repo lock if it's not strictly needed
    
    Try to avoid to acquire the repository lock in exclusive mode if
    it's not strictly needed. We were acquiring the lock in exclusive mode
    even when there was nothing to update due to schema changes.

commit d7d75b4ad9e8cd8a6167ac15346d9ccf8319762b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 15:50:06 2014 +0100

    Tagging Entropy version 262

commit f1de6accefbf47d21e75217a0a2098aba09567d7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 15:50:06 2014 +0100

    Release Entropy 262

commit 74f8bb63f5bc7db6e7112dd126326af6d930f6be
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 15:45:39 2014 +0100

    [entropy.spm] PortagePlugin: update portage.doebuild() call, remove deprecated root argument

commit c65d713c913a25d0917ef2905eb2d3875ecfa407
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 15:12:12 2014 +0100

    [Rigo] fix NotificationBox message_type keyword argument

commit d03466ea102285814e8e5f151e0f87e6b6b0c541
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 14:54:04 2014 +0100

    [entropy.db.cache] disable in-RAM cache if total memory is less than 4G

commit ee48b812ed56031ae70960132a2f0825d5081438
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 14:53:42 2014 +0100

    [entropy.tools] add total_memory() function

commit cbe42edee9c792dc4a5322db8bd4db86ac29eb80
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Jan 3 07:36:44 2014 +0100

    [RigoDaemon] set the cache policy to EntropyRepositoryCachePolicies.NONE
    
    This greatly reduces the memory consumption of RigoDaemon

commit 338b3f6cc59240431921188c2601429a02f718d0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jan 2 23:00:00 2014 +0100

    [entropy.db] expose and use the currently set cache policy

commit b6ed5f9948f77df8dc59b2a2421fdd6c5a6e6323
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Jan 2 22:58:54 2014 +0100

    [entropy.db.cache] introduce EntropyRepositoryCachePolicies
    
    It is now possible to define a policy for the in-RAM cache through
    EntropyRepository constructor or EntropyRepositoryCachePolicies.

commit ba70572e17b8ab64296854af0b56bb5da48d3faf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jan 1 11:03:52 2014 +0100

    Tagging Entropy version 261

commit 2d2241408667b34cea7d3a45fe49acb0dbfb1011
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jan 1 11:03:52 2014 +0100

    Release Entropy 261

commit e16ad0a82869ae7e187e6680648cdf8bda19885b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jan 1 10:58:54 2014 +0100

    [entropy.db.sqlite] catch LockAcquireError in _maybeDatabaseSchemaUpdates
    
    User may not have the privileges to acquire the lock, but we should
    not fail here.

commit 999f0509dda2775d920a478730413e4b4650ec85
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jan 1 10:58:17 2014 +0100

    [entropy.db] raise LockAcquireError in case of lock acquire error failures

commit eda8a7bafbe6dd58de5480812c347402aeb68741
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 18:01:26 2013 +0100

    Tagging Entropy version 260

commit f0d437a090235c43946e834b4851e4fe2e1140ef
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 18:01:25 2013 +0100

    Release Entropy 260

commit 2f713f73d5907091c7fe51b9730cd0d95e93f27c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 18:00:35 2013 +0100

    [entropy.db.sqlite] raise timeout to 300 seconds
    
    This will better fit slow disks.

commit f446b8d05b09c5f7d645ccf25bdcd39771defb12
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 17:53:22 2013 +0100

    [RigoDaemon] reimplement Entropy.get_repository()
    
    We need to monkey patch isMainThread in order to return True for
    the ActionQueueWorkerThread as well. This avoids EntropySQLRepository
    to initialize an infinite number of cleanup monitor threads for a
    thread that will never go away (the ActionQueueWorkerThread one).

commit 1598f5e50164d9962f3b8c537f27b8a39a4db044
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 17:50:31 2013 +0100

    [entropy.*] use get_repository() to return a GenericRepository as well
    
    All the repository classes must go through get_repository() to allow
    further monkey patching and other external, API consumer related features.

commit 4edaf614f44bef071ac96e728aee3f8da8699b33
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 17:38:57 2013 +0100

    [entropy.db.sql] in global context, the current thread is always MainThread

commit 72aa0a07d14a4aebd59d85dc2f64a9aaf4057227
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 17:30:29 2013 +0100

    [entropy.*] turn get_repository() into a classmethod

commit 956b31d05e9303ffa954eb996db8c275010afcba
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 17:24:24 2013 +0100

    [entropy.db.sql] add overridable isMainThread method
    
    a MainThread may be a "liquid" concept. A dedicated worker thread
    may be considered a "MainThread" from the point of view of EntropySQLRepository.
    
    _start_cleanup_monitor checks whether the calling thread is the MainThread
    in order to determine if a cleanup thread should be started joining
    the current thread. The problem with this approach is that if our
    worker thread is a long lasting thread, we will end up with hundreds
    of cleanup monitor threads waiting for the worker thread to terminate.
    This will never happen though.
    
    We can now reimplement isMainThread in order to tell the internal
    function not to start the cleanup monitor thread also for arbitrary
    threads (like the worker thread in RigoDaemon).

commit 88ea4c74275d6ec9f141e2f16a6247996c169d2d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 17:04:36 2013 +0100

    [entropy.client.services] fix typo in HTTP arguments for get_documents()
    
    s/revision/rev/

commit 5ccde22103c3aa477168a7c0ea9f3364db5ec09a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 16:53:19 2013 +0100

    [RigoDaemon] clear resources at the end of the action queue

commit af6fa0d32f44cde10bcf5c24b2b8d6c0294ffd12
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 16:52:52 2013 +0100

    [entropy.spm] PortagePlugin: add clear() to API, see documentation

commit e943b0fe0534b9df4e911f0a2b26bd8daf82b51e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 16:02:39 2013 +0100

    Tagging Entropy version 259

commit 0a9fbaf0df000b7424f205cfb03b12ac03c3a1e9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 16:02:38 2013 +0100

    Release Entropy 259

commit 711db81d41a258b70d470dc3d58ac5542fc7a6db
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 16:02:09 2013 +0100

    [Rigo] disable recent searches for now, since the feature doesn't respect the use cases

commit be063dca578dd6f851d8bffe3b94dc241c8472ab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 15:59:13 2013 +0100

    [Rigo] emit application-abort when Application action is cancelled by the user

commit 2ff820f683d21e6f7f6957a0d31fdf7600f00765
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 15:17:41 2013 +0100

    Tagging Entropy version 258

commit cf9fc1b9471d0bf62e5094d1623208a597318837
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 15:17:41 2013 +0100

    Release Entropy 258

commit 0c09a2f7ca80b0b6c4da9ab3669c7ad0e38b37e6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 15:16:56 2013 +0100

    [RigoDaemon] wrap TextInterface.output in order to catch all the messages

commit f4591d642f93a51a4c057063785eaeb89f4c8b63
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 15:11:52 2013 +0100

    [Rigo] use nice unicode headers

commit f30efd3a8d0c6085cee59eda99d201dbe4d8dc05
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 15:01:57 2013 +0100

    [Rigo] MANAGING_APPLICATIONS, UPGRADING_SYSTEM no longer use the exclusive lock

commit 7ec49e5c991bfd49c6bc12d57785556025d6fc79
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 15:01:24 2013 +0100

    [Rigo] make sure to operate on EntropyResourcesLock from the main thread

commit d6aa5795229dc6d868f214ff72803cdb7a485b1a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 14:59:11 2013 +0100

    [Rigo] add comment about EntropyResourcesLock requirements

commit 0346f74c1a033b4a57d4b4e856fb8d348e6e5abd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 31 12:28:29 2013 +0100

    [entropy.client.package] catch InterruptError raised by fetch_abort functions

commit 61f11deef942e0bcb666e3e7e117357e0bea4ec0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 19:21:10 2013 +0100

    Tagging Entropy version 257

commit c5adbc0b200f541b7dfd56ec9c9c15ed34fe0566
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 19:21:09 2013 +0100

    Release Entropy 257

commit 86c264a60d15a81ba12d15017e925d4867123174
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 19:16:00 2013 +0100

    [todo] update TODO

commit b088df88bd1afbae643d9276dd23b134ef1cf8bd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 19:15:20 2013 +0100

    [entropy.cache] EntropyCacher: drop CACHE_IDS (\o/) and clear_cache()

commit 4fc40101ec6d539be76d88ec759c948c1e8b8ab1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 19:12:05 2013 +0100

    [entropy.core.settings.base] drop any explicit clear_cache() call
    
    clear_cache() is no longer required since cache keys are now
    correctly generated.

commit f7bebcba0f81b6979072cb907c75f646284a6af8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 19:03:53 2013 +0100

    [entropy.core.settings.base] drop _clear_repository_cache(), no longer needed

commit 1d42427eb176055a65c6e97531099b7667e5a66a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 19:02:40 2013 +0100

    [entropy.core.settings.base] add license_accept and system_mask to packages_configuration_hash()

commit 29af5160468c5295fa7e46a43e85fe7217cb3129
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 18:51:39 2013 +0100

    [entropy.client.methods] drop _clear_repository_cache() usage
    
    This is no longer needed because cache keys are now properly generated

commit df6d28f58f76085357278e1fa40253e600c898b6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 18:50:41 2013 +0100

    [entropy.client.db] stop using EntropyCacher.CACHE_IDS['mask_filter']
    
    Use atomMatchCacheKey() instead

commit 6d1f2ab77f84415d0b892d464102a98bb4d4bf19
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 18:49:21 2013 +0100

    [entropy.db.skel] expose atomMatch cache key generation hook
    
    This method adds atomMatchCacheKey() that can be reimplemented
    by subclasses in order to cooperatively generate a cache key for
    atomMatch calls.

commit b2fe272ebfd1444c354e90e54667b8d35b28f08e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 18:05:29 2013 +0100

    [entropy.client.dep] use ClientSettings.packages_configuration_hash() as part of cache keys

commit f31cdb59ff4b8dd339625940c24a5db94ad77e11
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 17:56:02 2013 +0100

    [entropy.client.settings] add packages_configuration_hash()
    
    This method serves the purpose of returning a hash of the current
    packages configuration (masking, unmasking, keywording, etc).
    This will be used by upper layers as part of cache keys generation.

commit 68e664c94756026bd031e5a85691d4215cea9ac4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 17:34:23 2013 +0100

    [entropy.client.dep] use SystemSettings.packages_configuration_hash() for cache validation

commit d461ffa02ff07c41cd8b627d7e872f9be94ce267
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 17:22:49 2013 +0100

    [entropy.core.settings.base] introduce packages_configuration_hash()
    
    This method serves the purpose of returning a hash of the current
    packages configuration (masking, unmasking, keywording, etc).
    This will be used by upper layers as part of cache keys generation.

commit 1f75376b8eff5bbea6437c9d0665cccd6b2243ec
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 27 16:44:19 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['db_match']
    
    This is no longer needed.

commit dabdb9dff9c3050ff8e2caf40f37737b9b5ad0f0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 23:05:39 2013 +0100

    Tagging Entropy version 256

commit 6c9ffc0e59b71722d615c657a21145a3ba199b91
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 23:05:39 2013 +0100

    Release Entropy 256

commit ccf10bb416aa1fb182dd901acfe6640160a56ffd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 22:56:30 2013 +0100

    [todo] update TODO

commit cc9c66395464d548065d88ddc3915aa455525ab2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 22:55:25 2013 +0100

    [Rigo] update translations

commit 57b672043c1396433dae2a00a665c33456d29a33
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 22:54:59 2013 +0100

    [Rigo] update rigo.pot

commit 08c635623d443718e4d9f883e071039760792d31
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 22:54:42 2013 +0100

    [server] update translations

commit 84fb3a948ddffa75dc37be4efdc68aeff13c7d56
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 22:54:11 2013 +0100

    [server] update entropy-server.pot

commit d4af59b609c8760716903144fb627d01eb691879
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 22:53:40 2013 +0100

    [client] update translations

commit 6048d06fca1625b5c30c052f1e1f3d0270d256b5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 22:52:48 2013 +0100

    [client] update entropy.pot

commit 2a034e4a05000bb9391941583fead2cf6a11a88e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 16:08:52 2013 +0100

    [entropy.client.methods] add an "unlocked" version of get_package_action()

commit 11e6d596b80421d5eba5614f33d963e934c87f7e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 16:08:16 2013 +0100

    [entropy.db.sqlite] do not clear the cache if locks are already acquired

commit 603c96fc059d39510623299785eb18447e6eed29
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 16:07:07 2013 +0100

    [entropy.locks] add is_already_acquired()
    
    This method returns whether the lock has been already acquired.
    It is useful in cases where the reentrancy property is leveraged.

commit 0dcfc0f5bc90ef3ead29acf3c0850f9654d108e8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 26 07:23:50 2013 +0100

    [todo] update TODO

commit d0d4b45e738ace3093dc28808af4065c54ddf239
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 15:08:52 2013 +0100

    [todo] update TODO

commit 528d4ff116c4207003c11aa10d4840fc07cfb1d5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 15:08:25 2013 +0100

    [entropy.client.dep] drop unused imports

commit 6b3e5810fc85e2cf9437258ac64854f6c659cf96
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 15:07:04 2013 +0100

    [entropy.client.settings] drop repos_installed{_keys,} settings metadata
    
    Load the related data ondemand whenever it is needed, save SystemSettings
    load time and avoid problems with stale information.

commit 4da9953a716e529ac8f08e27ddcfe1731c200158
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 14:18:24 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['atom_match']

commit be311e70458e80a311795f2957e3ce45eba5fcb9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 14:17:08 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['atom_search']

commit 0f59b909c9b27bfca0d25ee8a595cb04d4f975ff
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 14:15:43 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['dep_tree']

commit 55faf98b59ad41e37305492e93749f5bb4336822
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 14:13:58 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['check_package_update']

commit 6121ab63bc28ce6a4bb96f31e2f2bad4e27dca86
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 14:12:08 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['depends_tree']

commit 3bb2abc102cffdf35c8f3f3959f1c28ad3728f76
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 14:10:37 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['library_breakage']

commit cbe52e67cef86de786328d408c67c24ededb0dd0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 14:09:17 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['filter_satisfied_deps']

commit 3fb69053878925186c2a6feb3dd58748d59bee2b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 14:05:09 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['world_update']

commit 57e2ab5ec80deaa05f7d3aee6e713821e25df41f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 14:01:51 2013 +0100

    [entropy.core] when clearing repository cache, don't clear the whole cache
    
    This is no longer needed since cache keys are now properly generated

commit 4c0bbd07892f83445d4b985026a43340feeee2ba
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 13:58:25 2013 +0100

    [entropy.client.cache] drop methods used by the dep module only

commit cd199b0496bf0bb8dffbdebffebe3a027f45df3e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 25 13:57:43 2013 +0100

    [entropy.client.dep] fix format string typo

commit a8bdb9a4ea365de05e0008499f370b7a230587a6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 22:57:27 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['critical_update']

commit 034061620cab415b72bb6458c0cb12d04924cf19
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 22:44:09 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['world_masked']

commit 01e54a75b914f6705cd9052625383f742ae5cbcb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 08:17:24 2013 +0100

    [entropy.cache] drop EntropyCacher.CACHE_IDS['world_available']

commit 55f5d892aa3f65aafb9a53ecf0aeae0483e9674f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 07:15:48 2013 +0100

    [entropy.client.settings] add installed packages repository locking support

commit e976ea337cd7c8cbf95aca9453959474520466a0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 07:15:27 2013 +0100

    [entropy.client.methods] add installed packages repository locking support

commit b4f445a61b0b7ab7e11ab392792ea3fd724bccea
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 06:32:47 2013 +0100

    [entropy.client.repository] drop entropy_updates_alert argument
    
    This is no longer useful for the implemented use cases

commit cf3305ed43f2e144f8245d9277d1065f891c349b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 06:29:15 2013 +0100

    [entropy.client.repository] do not check the instance type of installed_repository
    
    This check is no longer needed

commit d2c47cc3ba31419622a3621b9ce33b2bc1849814
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 06:21:43 2013 +0100

    [entropy.client.db] add installed packages repository locking support

commit 12c34ab8d4ff7ba18f4f37a5d371c8c037d28385
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 06:21:30 2013 +0100

    [entropy.client.dep] add installed packages repository locking support

commit f143614555075a3fde48ac00a2cb7b69de290f80
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 06:20:42 2013 +0100

    [entropy.client.client] add installed packages repository locking support

commit f5efd44cc21c1fab10054176c735d195c21fd387
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 21 17:11:13 2013 +0100

    [RigoDaemon] acquire UpdatesNotificationResourceLock in non blocking mode
    
    We cannot sleep with the activity mutex held without affecting
    parallelism so badly. Otoh, we cannot wleep on UpdatesNotificationResourceLock
    without affecting 3rd party clients in a way that we would starve them
    for a while. So, try to acquire the file lock in non blocking mode
    and if it fails, reschedule a new call as soon as the same lock is
    freed (exclusive acquire succeeds). This assumes that if the lock
    is held back, we will just re-do the whole trick again and again.

commit f1a925c2203bb65bab2544743a1600ccc365e482
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 20:24:29 2013 +0100

    [solo.commands.install] acquire the notification lock in shared NB mode
    
    This should avoid starvation in the scenario outlined in code comments.

commit ec198d632b7e22b4072a5cff9934527675fe63d0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 14:40:40 2013 +0100

    [RigoDaemon] make sure that the serializer is always released
    
    Even in case of exceptions.

commit bccbce4a34fb18461a5a0fe7177493beecea7369
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 14:34:58 2013 +0100

    [RigoDaemon] use UpdatesNotificationResourceLock to avoid signal spam
    
    If this resource lock is acquired, block until the lock is released
    so that we will not keep sending status updates to the connected clients

commit 00f43b043cb06e3997b1db5ee0937ab0d2c58196
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 14:34:24 2013 +0100

    [solo.commands.install] acquire the UpdatesNotificationResourceLock in shared mode
    
    This will temporarily disable available updates notifications from
    RigoDaemon

commit 6f44f5c40a81b3afccda8f64a18423ffbad22dce
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 14:22:53 2013 +0100

    [entropy.locks] UpdatesNotificationResourceLock: do not dictate any particular lock mode

commit 934a7ce14b6ad1f7e952a43a26a311cf841cbf3d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 14:16:26 2013 +0100

    [RigoDaemon] drop sleep()
    
    With the new locking strategy, this is no longer necessary

commit 69d44732494cfb46477f5ba72ca0e3ee9c051267
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 14:04:56 2013 +0100

    [entropy.locks] introduce UpdatesNotificationResourceLock
    
    This will make possible to stop available updates notifications
    from being issued while an install/upgrade is in progress

commit 8049f88c5641ffee0231f836352c6b90aa0e1dd6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 13:52:12 2013 +0100

    [entropy.locks] make sure not to leak fds when using non-blocking calls

commit ca862463d444c2914b76531c8910e2759abd38af
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 13:52:12 2013 +0100

    [entropy.locks] make sure not to leak fds when using non-blocking calls

commit cf8984982ad02cd1446ea22ba3631dc48e9cef40
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 18 21:56:49 2013 +0100

    [entropy.output] sychronize writes to stdout/stderr to avoid garbled output
    
    In a multithreaded scenario, text may get garbled if there is no
    synchronization between threads wrt the shared resources (std{out,err}).
    This happens even when stdio buffering is enabled, of course.

commit 8ed4bff872327e53b86e28cb08fd7797dbaaf124
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 18 20:59:41 2013 +0100

    Revert "[entropy.client.package] synchronize text output calls to avoid garbled output"
    
    This reverts commit e722455432317516235e56fb386a60f05d237804.

commit a0ec911e681c964af800b7f36db6c302fa6c2d4a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 18 19:16:21 2013 +0100

    [entropy.client.package] synchronize text output calls to avoid garbled output
    
    Some parts of the package actions code are now multithreaded and some
    other will likely become that in the near future.
    For this reason, all the TextInterface.output calls are now wrapped and
    synchronized by a mutex.
    
    Ideally, this synchronization could have gone directly into entropy.output
    but I am reluctant about placing expensive locking so deep into the code at
    this time.

commit ca3b960dca4b1d618435c4119489f2def4663564
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 15 19:22:38 2013 +0100

    [entropy.client.sets] make Sets a new-style class

commit c2d15ddd23379958c9748c95e7fb960bbb467770
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 15 19:22:03 2013 +0100

    [entropy.client.misc] add sharedinstlock and exclusiveinstlock decorators

commit 0df7092e052ebee38c8958761eaafa8e68ff63f1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 15 12:10:19 2013 +0100

    [entropy.locks] drop "_lock", just "acquire" or "release", it's cleaner

commit 1f2575204ea69edcbda6cdcc3d6a8f6b2fa79d90
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 15 11:45:23 2013 +0100

    [entropy.locks] make ResourceLock reentrant wrt to individual threads only

commit 3a448a3b194eb5b5c44eb3e1b610779b7b42f9ab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 24 15:57:40 2013 +0100

    [entropy.client.package] use atom as part of the unpack directory
    
    This greatly reduce the size of the path, mitigating the issue at bug #4078

commit 0cb12a0dae23961df82fdee3321ea391a0b95b07
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 20 13:03:32 2013 +0100

    [entropy.misc] RSS: be more tolerant against xml file corruptions

commit f6dd07cb0d10455d57122e6ce5c3616c194eaaa0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 18 11:00:10 2013 +0100

    Tagging Entropy version 255

commit 24b5b8c66143a2368efdca8ac8337d9ba72eecf1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 18 11:00:10 2013 +0100

    Release Entropy 255

commit 304f57434f4a78590ca7f78d60c934b83e7116e3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 18 10:57:17 2013 +0100

    [entropy.db.skel] filterTreeUpdatesActions: warn and fix illegal circular slotmoves
    
    See gentoo-dev ML thread called "Doing and then undoing slotmoves"

commit 5bafa6e755cbe5601d4680c2de5206a37fab3c4d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 18 09:50:28 2013 +0100

    [entropy.spm] PortagePlugin: make __get_portage_update_actions protected

commit c9629b9457e93665698a062d0285175b88fc5aa1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 17 22:09:55 2013 +0100

    [entropy.spm.skel] allocate_protected_file: python2 os is not unicode friendly

commit ea52b8630bb20140246c16b3b0b07ae72b5531b7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 17 21:56:24 2013 +0100

    [entropy.client.package] _handle_config_protect: python2 os module is not unicode friendly

commit 1e16119560e657ac1a3f40177b33c1b49d18af19
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 16 19:53:36 2013 +0100

    [eit.commands] remove leading ">>" string from ask_question() message.

commit beff483d19ab82faf373cbbde43decc4e864aa74
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 16 19:53:11 2013 +0100

    [solo.commands] remove leading ">>" string from ask_question() message.

commit 53cbf979c5a11103769523c7c6ef2fea9a23a6fd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 16 16:26:27 2013 +0100

    [eit.commands.cp] make sure to open the source repository in rw
    
    This will trigger treeupdates and the collected package identifiers
    will not become stale.

commit 9b78a9b6a021b1ffdfc566fe1209dc5996eb7105
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 15 10:50:13 2013 +0100

    [entropy.db.sqlite] lock_path() should not use id(self) for memory repositories

commit ae8b91ac0c3184267cda4a930a0ab49d0aa46ac9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 13 10:57:19 2013 +0100

    [entropy.*] s:occured:occurred:

commit fe807526125932d512e0a59284e8b1a3977beadd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 13 07:25:10 2013 +0100

    [entropy.output] use nice unicode chars for warning and error messages

commit e23396625b62c4c6894e521f3f77236b9d3be8e3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 13 07:24:49 2013 +0100

    [entropy.const] set entropy git version to 1

commit a8e902b0a57c9c5b5f67d8864e054acb0b4544ab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 22:17:36 2013 +0100

    [eit.commands] rename call_unlocked to call_shared, call_locked to call_exclusive

commit 3e528ae1ae36750f7913622dc7e5b70c791acb3d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 22:15:47 2013 +0100

    [solo.commands.*] rename call_unlocked to call_shared, call_locked to call_exclusive

commit bf724d9b39a2471f1bd4be29353111c80e6428d8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 21:24:25 2013 +0100

    Tagging Entropy version 254

commit c60cee8082aeea5cc3db65545b7f903ebb91718d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 21:24:24 2013 +0100

    Release Entropy 254

commit 7bb3007704c3719285ea324b64c6fd61262e9963
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 21:16:16 2013 +0100

    [entropy.services.client] always append the entropy version string to requests

commit 1f6dd3500157f98c9618a5340cdc355e36b9c42e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 20:11:50 2013 +0100

    Tagging Entropy version 253

commit da31e2b49dff8239a67a748d97e20e7d137d1b9e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 20:11:50 2013 +0100

    Release Entropy 253

commit 4d3eef0d19272a1fe9625d0ae8e1ee0bf81a1162
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 20:11:19 2013 +0100

    [entropy.server] Server: initialize Client superclass as soon as possible

commit 869e8df574448c07cf3b3f51893575dd9d4a3f4b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:38:50 2013 +0100

    Tagging Entropy version 252

commit 42c66c84b4f02a3cc0f855b1b8a45073fb13c375
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:38:50 2013 +0100

    Release Entropy 252

commit e47db9bfd7c0e1fe631f37a744fcfb527237695b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:27:31 2013 +0100

    [eit.utils] use the public message header variable

commit 162c08961fd6c0b0fd92d6f88a3c56d0cfc107ac
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:27:19 2013 +0100

    [solo.utils] use the public message header variable

commit c02da8d31527ba52aee255297c36d7dddd29e8d8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:27:05 2013 +0100

    [entropy.output] make the message header variable public

commit 44c1f6662946364cf59fabbd6d2df197c0010ef2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:25:17 2013 +0100

    [client] update entropy.pot

commit e6b129ae7e3409aaa56f7bb8a4a3a29c70028e4c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:24:19 2013 +0100

    [entropy.client] move ClientSystemSettingsPlugin to a separate module
    
    This will break the circular dependency between loaders and client modules

commit c78b90563c751b2de3f7fb5728b4f1a696d3a58f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:23:41 2013 +0100

    [entropy.client.package] use ClientSettings() rather than SystemSettings()[id]

commit 1eed3123c8325f421fa98612e57af32232fd6fc7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:23:20 2013 +0100

    [entropy.client.misc] use ClientSettings() rather than SystemSettings()[id]

commit c22f4121f69e7657ea7136c97ee178a0ecc68032
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 19:22:42 2013 +0100

    [RigoDaemon] use ClientSettings() rather than SystemSettings()[id]

commit aa4e2441beb54afedc8abe78190ef5577e01d3a0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 18:35:17 2013 +0100

    [entropy.client] move _enabled_repos to a property, allow lazy loading

commit 88ca752724253c52a79b9a3bc1f28ec1ea05f175
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 18:14:43 2013 +0100

    [entropy.client] remove repositories list cache validation code
    
    Dead code, no longer needed.

commit fdceeaffbd7b1cf2b42c26e93900aa492998c061
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 18:10:59 2013 +0100

    [entropy.client] always use repositories hashes for cache keys

commit 3574cb029fa3dc5aa7d8406b43b866ef516d7564
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 17:26:14 2013 +0100

    [entropy.client] do not clear cache if xcache is False
    
    Nowadays, cache in entropy.client uses hashes of repositories
    as part of the key, there is no need to clear cache explicitly

commit 67cccf3e8a67ebbebe939564237bc7b067408117
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 17:13:19 2013 +0100

    [entropy.client] lazy load ClientSystemSettingsPlugin

commit 8a7afe97e8cc943ad475b80d2d81078517021289
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 16:49:01 2013 +0100

    [entropy.client] use ClientSettings() whenever needed
    
    This commit also drops the sys_settings_client_plugin_id attribute

commit 56f0ed4fd5dd3536f07651f053c6b61d8b0d1b37
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 14:49:34 2013 +0100

    [entropy.client] Client: move object attributes to @property to enable lazy loading

commit 3a7269aa5c4f963e04010d7837783b4576ff2046
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 14:25:44 2013 +0100

    [entropy.db] EntropyBaseRepository: turn lock methods into no-op if direct mode
    
    Now that the repository lock is reentrant, it's good to have the
    methods take into account direct mode as well. In direct mode,
    we explicitly don't want to deal with any kind of locking, because
    we accept to manipulate stale data. In order to hide locking code
    from the outside and have it transparently managed inside entropy.*
    methods, we must respect requests made in direct mode.

commit e55ac6e58f617afa7b016534124869e3a1a6db49
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 12:38:28 2013 +0100

    Tagging Entropy version 251

commit 412759e20fab4fa8bd2aa2d107c2782b29268af9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 12:38:28 2013 +0100

    Release Entropy 251

commit db8bd0fb40c17e400b412d056cb5d71b53e18adc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 12:36:45 2013 +0100

    [entropy.client.package] multifetch: ensure that path exists before calling _match_checksum

commit 4b8b3b1af752dbcd0deb17959d43db03e6da9381
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 12:36:03 2013 +0100

    [entropy.client.package] multifetch: use the same path for both calls

commit 864e3ecf21a053f74294ee5626165e2175ec9dd9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 12:30:25 2013 +0100

    [entropy.client.package] multifetch: fix exit status in case of download failures

commit 36b634aea7df8351b4fa82bc382a64a59d483616
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 11:56:04 2013 +0100

    [entropy.output] _print_prio: use nice unicode header chars :-)

commit 89b0c053ff547715469d1e7ef231e0c4ac86e239
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 10:50:16 2013 +0100

    Tagging Entropy version 250

commit e21d56466998eaac865a2c44bf939c1b7ed8646c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 10:50:15 2013 +0100

    Release Entropy 250

commit d04f67c96ff1918bcdd78eb72241c00b2fe0a4b6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 10:41:21 2013 +0100

    [entropy.db.sqlite] fix typo in argument name

commit 023e8e1b7240cacbade230505f2bdc6ae34890e6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 12 10:20:56 2013 +0100

    [entropy.db] EntropyBaseRepository: make possible to permanently enable direct mode

commit 0f84117aa2b49d21d56a7966d23cdbd641bd915e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 22:44:44 2013 +0100

    Tagging Entropy version 249

commit af2ce34d576edcaa3c240d5e01c84c6a6ba5cefe
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 22:44:44 2013 +0100

    Release Entropy 249

commit 856184b530c40f0f2a01c578013fa493543f6066
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 22:43:02 2013 +0100

    [entropy.client.db] do not hide the exception traceback

commit 0243ed70b14b73a34a47ed4bc5e468a596a54d4c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 22:42:14 2013 +0100

    [entropy.db.sql] rewrite type checking in insertDependencies()
    
    metadata could be of list type (and not just tuple) in case of
    data coming from websrv.

commit eada088f56a5f51092aeec0c82b6a6770e139697
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 22:19:40 2013 +0100

    [entropy.client.db] do not catch KeyError for update() but just during object init

commit 52f99ee60c87fd3b8a9560fafa1edc995bd1307a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 22:05:30 2013 +0100

    [conf] add /run/entropy to tmpfiles.d

commit 7589fbe6c0bd1903359d493220858198d21100be
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 16:39:03 2013 +0100

    Tagging Entropy version 248

commit 43f4bd5ee3f18a3f2e462ae261cf33e426c3015d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 16:39:02 2013 +0100

    Release Entropy 248

commit 29c1eba9a69cd1088e4c3aaac5faaa978a0146cd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 16:37:53 2013 +0100

    [Rigo] expand NotificationBox content area horizontally. This fix is needed by Gtk+ 3.10

commit 592f6e9279899ea295c341125b3796b74390b16e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 16:25:02 2013 +0100

    [server] update translations

commit 8284141f642c020e05f5f7c2b2a3a96b9b2324ee
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 16:24:46 2013 +0100

    [client] update translations

commit cc9c35fd81b23271302b74ec423b7e6ca98ea3eb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 16:23:45 2013 +0100

    [Rigo] update translations

commit 041cf6687561db734952814f1770bfdf6a5d6a5b
Merge: f758c1bfb 4bf19be3b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 15:52:56 2013 +0100

    Merge branch 'brave-new-lock'

commit 4bf19be3bf1d80d21f88432d9e0ae81698ea18f7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 15:22:01 2013 +0100

    [server] update translations

commit bd253f3dabb18114c69c246a5f3fe5c07624c63a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 15:21:53 2013 +0100

    [client] update translations

commit fa786cce39df5397e8eb1f9fbad5781a47260d90
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 15:21:42 2013 +0100

    [Rigo] update translations

commit 68fe99d33ec80ad14a6446cb07c93e9b39515111
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 07:49:04 2013 +0100

    [entropy.db.sqlite] acquire an exclusive lock if schema updates are needed
    
    _maybeDatabaseSchemaUpdates is only called inside the costructor,
    at that time, it's not possible to acquire the lock elsewhere
    because the object doesn't exist yet.

commit 061b02bebc5cd0bfeae1750f387daf572ca3880f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 11 07:43:50 2013 +0100

    [entropy.db.sqlite] move indexing setup back to object constructor
    
    This has nothing to do with schema update

commit 023dc52368e977cfa4fb00bbec1bae88c0ee7031
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 22:30:22 2013 +0100

    [todo] update TODO

commit c67e227b48b27fc323f58ba22447c7f6710c1e6e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 22:27:05 2013 +0100

    [todo] update TODO

commit de88d6cc73e691722dd537b4d632e3176c3e239a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 22:22:41 2013 +0100

    [entropy.client.repository] wrap Repository.sync() around a ResourceLock

commit 82d6d37bcf8881028a8a0abfd34c9524e2b0b368
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 21:58:19 2013 +0100

    [entropy.db.sqlite] move schema update code away from __init__

commit 7808ad6b92926491026396fd48c9a932c6c13c03
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 21:42:34 2013 +0100

    [entropy.db.sqlite] migrate locking code to entropy.locks.ResourceLock
    
    The new EntropySQLiteRepository uses ResourceLock, and gains support
    for reentrancy, anti-deadlock safety measures (only for nested calls),
    unification of memory and file repositories locking code (the semantics
    was already the same).

commit 401b9cbeb3ffe2c3558e02cb74bc9cb58b93f43f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 16:42:34 2013 +0100

    [entropy.client.loaders] Security: pass args and kwargs down to the object constructor

commit 498674828dd4fe774ab313055edbc80c76221dca
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 16:39:55 2013 +0100

    [entropy.tools] get_hash_from_md5_file: do not hide IOError exceptions

commit fc597d04c59373ed912028de445b248699388895
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 12:08:26 2013 +0100

    [entropy.security] refactor System, add internal locking support, improve speed

commit b99def91287d04c1ca7b245f878f9dbdb522ebdb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 11:22:42 2013 +0100

    [entropy.locks] add exclusive() and shared() context managers

commit 47e9b6ee0ebd136f626190ca73c58da62fae9d98
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 10 05:39:59 2013 +0100

    [entropy.locks] rename _GenericResourceLock to ResourceLock

commit 94ab49fd0b0e6aa7cf32a3dec415de2184a12047
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 9 14:36:34 2013 +0100

    [tests] use const_mk{s,d}temp instead of tmpfile ones, default TMPDIR to /var/tmp

commit 6a2d45df4712dd1830a715218b8ff910d0990a59
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 9 14:24:37 2013 +0100

    [entropy.locks] set recursed to False only when the reference counter is 0

commit d080db0d3b63d6fb239adc0db656fdd2461a4876
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 9 14:21:05 2013 +0100

    [tests] locks: fix test class name

commit bf3a8b79f9c6e7cadd784161e9003212916d0445
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 9 14:19:21 2013 +0100

    [entropy.locks] use TLS for reentrancy safety checks, update tests

commit 7e30b65744b543237bf5657fd6014a16b112dde4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 16:33:29 2013 +0100

    [entropy.locks] _file_lock_create: beautify, open O_CREAT | O_RDONLY if shared mode

commit ebf63e606051aa5643de2c7048b99144eb633545
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 16:15:39 2013 +0100

    [entropy.locks] fix shared/exclusive locking mix due to reentrancy, add tests

commit 97f18338bad1c78a4bd38eaf9df3ab00c3f0e61d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 14:54:42 2013 +0100

    [entropy.locks] move acquire_lock(), release_lock() from entropy.tools

commit d0f11728c848f53b93aee98cfe63667fc42da6e2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 14:46:05 2013 +0100

    [entropy.security] remove unlocked_sync(), locking happens externally nowadays

commit 358c6cc80c4d4e38b8075644a84c31eb031d133b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 14:42:23 2013 +0100

    [entropy.client.repository] drop unlocked_sync(), locking happens externally nowadays

commit 1917771b545092e70e4985fa70aaceb1893fadb2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 14:37:57 2013 +0100

    [entropy.locks] move Entropy Resources Lock code to a separate module

commit f758c1bfb5dc7ec4366763e216c069b08b4096f6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 07:37:20 2013 +0100

    [Rigo] initialize the CSS provider as soon as possible, fixes a glitch with GTK 3.10

commit 99bb796952f3609a7058292dba2c42cef90be84b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 07:37:20 2013 +0100

    [Rigo] initialize the CSS provider as soon as possible, fixes a glitch with GTK 3.10

commit b1ed42d80a315965be0ea47edf7552ae405a7d20
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 06:28:08 2013 +0100

    [entropy.db.skel] drop __atomMatchValidateCache
    
    SHA1 is used nowadays and all the caching bugs should be fixed
    rather than being hidden.

commit c0776b07bdc98a5deda85197df5aa44b1e8dc6a5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 06:17:15 2013 +0100

    [RigoDaemon] import the threading module directly

commit 0f32ae26960ec68983bd2f0c197b9b835d316817
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 06:13:38 2013 +0100

    [RigoDaemon] use systemd-logind shutdown/idle Inhibit() API
    
    Inhibit shutdown or idling (see systemd documentation) during
    application management or repository update phases.

commit d8ee468768698c8d092d309864cf838a15193c62
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 8 06:13:11 2013 +0100

    [RigoDaemon] add execute_mainloop() wrapper method

commit e213a5e775f5e38e752faca7256098aae23d77f6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 20:11:34 2013 +0100

    [RigoDaemon] fix regression in api(), the keyword argument must be "sender"

commit 4e597b87692d7649d9c836f23224c6f94332d908
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 20:06:00 2013 +0100

    [RigoDaemon] use a shared lock with clean_package_cache

commit 1688ce53ace5c355575d422fbc648968f65e2bf2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 20:04:14 2013 +0100

    [entropy.client] clean_downloaded_packages, add skip_available_packages keyword arg
    
    skip_available_packages can be used to filter out the removal of
    package tarballs still belonging to available packages. This makes
    possible to just use a shared Entropy Resources lock.

commit 16025afc75bdf6fd05e10d7c0a638f0371225b3f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 16:52:29 2013 +0100

    [entropy.client.package] move "QA:" to translatable strings

commit e75b95a1b314b2c87c1f3a3dd394f688ff7c170f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 16:51:38 2013 +0100

    [entropy.client.package] workout_subdir: do not rmtree if symlink expected but directory found

commit e6cca254730d35c00373eed3688353747ea47e7b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 16:44:04 2013 +0100

    [entropy.client.package] fail (rather than rmtree) when a file is expected but directory is found

commit 0d486bc47090d4f3600b415fbfd0283eaccc4a31
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 16:33:18 2013 +0100

    [entropy.client.package] if a directory is a file, do not unlink() but rename()

commit a0d4711cdce8d239d802f90ebad785e89305cf56
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 16:25:17 2013 +0100

    [entropy.client.package.actions] remove: commit after insertSpmUid()

commit 6d4f9e3089634fd70fb569ad208f70f32513b6bd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 16:22:31 2013 +0100

    [entropy.client.package.actions] install: commit after insertSpmUid()

commit 529203ce5a284b1db13dfc191c3f90b5e820fa99
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 16:05:15 2013 +0100

    [RigoDaemon] maybe_enqueue_kernel_actions: use simulate

commit 4f9d8ef61ddbc4d29149544e4124e661acedf091
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 16:04:56 2013 +0100

    [RigoDaemon] fixup pylint warnings

commit b26842e8265252407a9a2d2ab9c4cb3030ef014c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 12:33:20 2013 +0100

    [entropy.db] direct: wrap yield around a try/finally block

commit c356d615f357d736aa8905c00928fd3c79236645
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 12:27:55 2013 +0100

    [Rigo] use direct access to the installed packages repository, avoid locking
    
    Locking is too expensive, and using memory cached data may result
    in huge inconsistencies due to stale data. Direct mode allows to
    skip memory cache and read data directly from the database storage.
    However, entropy.db.sqlite queries using memory caches did not
    perform very well when cache is cold. But this has been solved by
    directed() already (a different query is run if memory cache is disabled).

commit 3545f2b6199a203adcfdf20225cf45edcb9c84b3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 12:23:47 2013 +0100

    [entropy.db] add direct access support to repository
    
    In latency sensitive code paths, the performance penality caused
    by file lock contention and memory cache invalidation is too high.
    This problem happens in Rigo, which is extremely latency sensitive.
    Since we don't want to crap on the user, a way to solve this is
    letting API consumers skip the memory cache and read data directly
    from the database store. The trade off is that data may be stale,
    incomplete, or invalid, but as long as the consumer is aware of this,
    that's fine.

commit 1739953f8d3cb30a56509bd8c5cc534251acf00b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 10:56:22 2013 +0100

    [Rigo] add installed pkgs repository wherever it makes sense
    
    In latency sensitive code paths, it's much better to deal with
    stale and invalid data rather than causing long delays.

commit 94e07648ec54b2cd37d062ad1107827e4765a437
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 10:19:27 2013 +0100

    [RigoDaemon] add concurrency support \o/

commit f8d0511506f140043d347214a7ffb6e6d001adf1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 10:09:55 2013 +0100

    [entropy.client.package.actions] multifetch: fix pre_download_hook for edeltas

commit d88e33c40ccea2fbf71a08485df1e26df949f1ee
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 21:13:08 2013 +0100

    [RigoDaemon] use context manager with ReadersWritersSemaphore

commit 65f5dce076e1f0bdbfa8efa5dd928e8459fb91de
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 17:08:28 2013 +0100

    [entropy.client.package] add sys import

commit a8c98a508199b217ec0dd72890e4def8658b3c7a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 17:05:59 2013 +0100

    [entropy.client.package.actions] action: cope with unavailability of file locking
    
    Some filesystems, especially old network file systems, don't support
    file locking. Try not to explode if this is the case but rather nag
    the user with scary error messages.

commit 76df355ca4036cf16705d66964c47a30f618dccd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 16:40:45 2013 +0100

    [solo.commands.pkg] add concurrency support

commit 53b5d9cddc6f072649f4981171b5677c2bbae9fa
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 16:26:38 2013 +0100

    [solo.commands.unused] add concurrency support

commit e0142412d8317aa2fd7a726d7643c1c051df2093
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 16:23:44 2013 +0100

    [solo.commands.mask] acquire the Entropy Resources Lock in shared mode

commit 25d88d95b66da0f33f118137b9256a1e51963661
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 16:23:35 2013 +0100

    [solo.commands.conf] acquire the Entropy Resources Lock in shared mode

commit 9298c740fe0c3c8f9986506edd4541cd99a5e9e1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 16:23:10 2013 +0100

    [solo.commands.ugc] acquire the Entropy Resources Lock in shared mode

commit ecb09140845addbb192ca05a7d14473f1311e698
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 15:57:45 2013 +0100

    [Rigo] add "in:exact" command to allow users to match packages, use it for lts kernels

commit b7eeb5ce8a780818bfa33841fdfb285424a7f0b8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 15:38:24 2013 +0100

    [Rigo] use context manager with Entropy.rwsem()

commit 73789063967c27877b05b9645ac10301d0601e10
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 15:22:50 2013 +0100

    [entropy.misc] ReadersWritersSemaphore: add reader() and writer() context managers

commit 68f5fd0320690e99d62433cc21f74eae16310e6d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 15:05:38 2013 +0100

    [entropy.client] Trigger: lazily load the Source Package Manager instance object

commit 6af6a2115ef9b9a3cdc4c7100adc1fbbdedc0a85
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 14:56:10 2013 +0100

    [entropy.client] move Trigger class under package.actions, make it "private"

commit c8a037784519b7c6e66fdb92159bfa9ab75d3366
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 14:45:22 2013 +0100

    [solo.commands.cache] add concurrency support

commit 818f96fdf7fb5b1c4461366b53e7a8e68de85ee8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 14:40:56 2013 +0100

    [entropy.db.sqlite] increase sqlite3 internal lock timeout to 60 seconds

commit 8c73f9b24cfa7f8938765d33d6d4ec89f8391024
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 14:38:34 2013 +0100

    [matter] lazily load the Entropy Server instance object

commit b886d7e3fc1f5c4d603afa0a04855d6444806293
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 14:38:13 2013 +0100

    [matter] use Server class with acquire_entropy_locks

commit 072561250828ddc5db8743167420b472a23b3b8b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 14:16:51 2013 +0100

    [kernel-switcher] use Client class with acquire_entropy_locks

commit 6e81d188c3ef99a0bdc659f77eaf856c1374166a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 14:13:57 2013 +0100

    [kernel-switcher] add concurrency support

commit a8fcfd7b1588bd9acd38aa029f0ea53f6bd118e6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 14:11:55 2013 +0100

    [kswitch] add concurrency support

commit e7555f4127d3309a5d25a46ef01da7ede757599b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 12:35:59 2013 +0100

    [solo.commands.manage] allow concurrency, use the Entropy Resources Lock in shared mode

commit 9c38af6a341cb5075b964f86b20bcd6576200d55
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 12:35:29 2013 +0100

    [entropy.security] document installed repository lock usage requirements
    
    entropy.Security will undergo a complete overhaul in the next months.

commit 19439db61cd5ce873499098f53f6e04c0031c7f4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 12:35:07 2013 +0100

    [solo.commands.security] add concurrency support

commit 13af91c7bacca75f90c3ce86a59891b6c4daa7f6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 12:18:42 2013 +0100

    [solo.commands.libtest] add concurrency support

commit e317a71524a1398e765ae0b83e059acae646c00a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 12:13:39 2013 +0100

    [solo.commands.deptest] add concurrency support

commit f4a25af5d0a270ecee648e2ad7b944ef96f896fb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:59:59 2013 +0100

    [solo.commands.upgrade] add concurrency support

commit 5dfcdb2794c44ba9d2b86cc343a9fd12d5984104
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:59:40 2013 +0100

    [solo.commands.remove] add concurrency support

commit 3e97a39779e147a97fe5d3a58023d747e1c365b1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:37:47 2013 +0100

    [solo.commands.preservedlibs] add concurrency support

commit 008b65d11b8b5ab264d02f194a27e4756bc798cf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:34:33 2013 +0100

    [solo.commands.download] add concurrency support

commit 55d1b8aa8f829bf09c5e1193c14564d9ae17d9f4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:33:19 2013 +0100

    [solo.commands.source] add concurrency support

commit 7046aedc5217f2f309b6b1e07b1b4c1d58da8782
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:32:34 2013 +0100

    [solo.commands.config] add concurrency support

commit 53a1b117ae7564bc27ff0bd8b322f68e7149d387
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:25:53 2013 +0100

    [entropy.client.package] preservedlibs: update API documentation

commit ac0e1ca28e858b82a94fb6333f1b45b8eb569d65
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:24:33 2013 +0100

    [solo.commands._manage] make _show_preserved_libraries process and thread safe

commit 24993db8bbb8dcafcce8104cb0e16c245329557c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:09:52 2013 +0100

    [solo.commands.remove] remove _prompt_removal(), old heritage

commit 87ef9a169dc327cffd51a1b2a94bc4d8890b35f6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 11:04:09 2013 +0100

    [solo.commands.install] add concurrency support

commit 72069d4227e7c325d7ed570a3969e64340c93ca6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 10:51:09 2013 +0100

    [solo.commands._manage] remove _show_packages_info(), old heritage

commit 1c7b684aa41c9f9aca4fb352a72effecd1ad40e0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 10:42:40 2013 +0100

    [entropy.client.misc] make ConfigurationFiles process and thread safe wrt inst_repo

commit 2393f5dda2f4346f3a268023ff3a4c6d9b5dbfea
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 10:33:20 2013 +0100

    [entropy.client] update API documentation with information regarding repository locking

commit 50940859165a2798f0e1aabee06841c7b6f14866
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 10:26:38 2013 +0100

    [solo.commands.query] add concurrency support

commit fc686c9c09587bf915d8a032b65200f48bd0a843
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 10:15:55 2013 +0100

    [solo.commands.match] use the sharedlock decorator

commit 7b0dbac6eb993a44661687770025ff3bf2c04923
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 10:15:37 2013 +0100

    [solo.commands.search] use the sharedlock decorator

commit 6b3f25a8ef2a13d3dd1ff30fc98626defbca5484
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 10:14:59 2013 +0100

    [solo.commands.command] add sharedlock and exclusivelock decorators

commit d802bb81861f986e9c5706445f2de97489367f73
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 15:20:58 2013 +0100

    [entropy.db.skel] clarify the cases where locking could be avoided

commit 20a3cc35254df70615f4f5c0ae32c2d53f6a1b8c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 14:54:21 2013 +0100

    [solo.commands.query] rename entropy_repository to inst_repo for consistency

commit 532c71261b803ced933ff01b9e0359ddaf4199d2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 08:22:33 2013 +0100

    [solo.utils] print_package_info: improve ability to deal with stale data

commit d5d5ef11ea00bd05a4a1e8d9b53bcd472affdbcb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 08:00:08 2013 +0100

    [solo.commands.match] add concurrency support

commit b0c85ffcce6bca6458d3454710156881f6ee42b2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 07:56:22 2013 +0100

    [solo.commands.search] do not hold the inst_repo lock while using stdio functions
    
    print_package_info is already able to deal with stale data and we
    better not deadlock other threads or processes there.

commit aa30310ae2983dc71fad49ee975da2536071c9db
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 22:46:23 2013 +0100

    [solo.commands.search] add concurrency support

commit fa68f56545cbd54b3958273c16d9959f881690b4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 22:45:38 2013 +0100

    [entropy.client.package.actions] install: pass remove_package_id to _install_package_unlocked

commit 95c69168c56a647f2580d13d603ecf169124d545
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 22:42:01 2013 +0100

    [entropy.db.sqlite] make possible to acquire the repository lock file in shared mode by users

commit 86b25739c729c2169ae91504d776247024d9a0c0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 18:49:44 2013 +0100

    [entropy.client.package.actions] remove: add concurrency support

commit e6e020e4041ac623557c09a3ebfe802f20884614
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 18:48:11 2013 +0100

    [entropy.client.package.actions] _manage: move _get_remove_trigger_data() here

commit 1a8c291ae002013ea367cfaa7fcd9afd6ad49d68
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 18:46:29 2013 +0100

    [solo.commands.query] acquire the Entropy Resources General Lock in shared mode

commit 8111284a4fc79282965ebd6fcaa884d700b953e9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 18:08:35 2013 +0100

    [entropy.client.package.actions] config: add concurrency support

commit 12e4c4a7a353e4dc9220e2d936d6aa0aff1ebb5b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 17:35:43 2013 +0100

    [entropy.client.package.actions] install: rewrite lock handling
    
    This is a complete rewrite of the PackageInstallAction class, due to
    potentially state data collected on setup() that should be rather
    collected with the lock held for the whole install transaction.

commit 3b069f111d697c1bb1e178f6bc21bc77a7565af9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 08:59:12 2013 +0100

    [entropy.client.package.actions] install: always validate installed_package_id

commit 3bd97b8c32c0e661dc8f60c3880ef40464aecca1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 22:54:29 2013 +0100

    [entropy.client.package.actions] source: add concurrency support

commit 685b7625d9fd482161f7bca7176571c20e29528c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 22:08:57 2013 +0100

    [entropy.client.package.actions] multifetch: do not show data transfer if it's 0

commit fca17af8c85dc448b48867339cdad44090f42a33
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 21:42:16 2013 +0100

    [entropy.client.package.actions] fetch: avoid using output() with back = True
    
    This improve the output in multithreaded scenarios.

commit 8c3798c4dc8acaafd68df79e227235cd9fed3bb5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 18:08:25 2013 +0100

    [entropy.client.package.actions] fetch: replace "matches" with "validated"

commit 2e92fddbf5b86d956af68bb0e7b8b396c2afe440
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 17:58:09 2013 +0100

    [entropy.client.package.actions] multifetch: add concurrency support

commit 1ac0e3811560d625f5a92d3336d2152415bb9a9b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 17:57:16 2013 +0100

    [entropy.fetchers] update pre_download_hook API, add post_download_hook

commit 126caaca9ee3d242f3ced9acbcb31c1fb8b1755c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 15:03:52 2013 +0100

    [entropy.client.package] install: use _is_package_repository()

commit eab15e1cb7a66c2b800b230fc496c7a9ea72df25
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 15:03:05 2013 +0100

    [entropy.client.package] install: avoid deadlocks during conflicts removal

commit c54c893e554c40ea5e5f0b51a5de73fc72e4ca91
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 14:49:54 2013 +0100

    [entropy.db] implement locking infrastructure (with the same semantics) for in-memory repositories

commit d7f22534b24ae2c7663855764e68c3aaa2cdc0ba
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 14:30:12 2013 +0100

    [entropy.db] rewrite locking infrastructure, handle multithreading use case

commit 8c2b9c48415fe92e7fe68548375b56085660d77e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 12:39:14 2013 +0100

    [entropy.fetchers] add locking infrastructure support code

commit 5b1d071361eb6d79adfb82c4abd121c2193d59c7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 11:18:03 2013 +0100

    [entropy.client.package.actions] fetch: update docstring

commit 43223c03c5cb31ec270c2f4842bf9966f6d117e2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 10:52:03 2013 +0100

    [entropy.client.package.actions] fetch: avoid potential deadlocks
    
    Holding shared locks on other downloadable files while holding an
    exclusive lock on the file to be downloaded is looking for a disaster.
    Try not to hold locks on other potentially downloadable files while
    holding one already.

commit 6efc069ddc750f903aa4efa8cd769d2f54a926e1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Dec 3 10:15:19 2013 +0100

    [entropy.client.package.actions] fetch: reduce installed_repository() lock contention

commit 4447190b4c39e0931934744b6ae3d61a1dc87120
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 2 15:44:10 2013 +0100

    [entropy.client.package.actions] action: add stat import

commit bd5100730e8c473084dd1e18cae4e126bf12430e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 2 15:43:25 2013 +0100

    [entropy.client.package] rename fetch phase to _fetch_phase()

commit 9d3acd63aa3f6f1c3351199c721e5bd169640665
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 2 15:42:44 2013 +0100

    [entropy.client.package.actions] install: complete concurrency support
    
    Add concurrency support to package files.

commit 173b93ab5240214c5c8bff24453850d9ff2653dd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 2 15:13:06 2013 +0100

    [entropy.client.package.actions] action: move _stat_path() here

commit 1b5253c6e85a93c0f5d216545b8e47ec51ab86e1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 2 15:09:02 2013 +0100

    [entropy.client.package.actions] fetch: remove unused method

commit 7e7058eb46860b16dfb6966b74eb1a505f8e7fcf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 2 15:03:18 2013 +0100

    [entropy.client.package] fetch: add initial concurrency support

commit 85e360b1964a41023ae11aaa8b389a2b9968cddb
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Dec 2 14:52:44 2013 +0100

    [entropy.client.package.actions] action: fix typo in path_lock()

commit 582bf7262a3017b273b9e5c9f5c9cc013ffc93ee
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 19:18:02 2013 +0100

    [entropy.client.package.actions] action: expose a path_lock() method
    
    This method returns a FlockFile based class object instance that
    can be used for inter-process synchronization of arbitrary regular
    files.

commit 5d8055cb3c119a653c0a320e7fa8bfed673432fc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 19:13:02 2013 +0100

    [entropy.client.package.actions] install: drop unused metadata

commit 9953048c6f4abda4eb7ded7dd3e992e574155a1d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 19:07:56 2013 +0100

    [entropy.client.package.action] install: apply tarball files ownership to extra download files as well

commit f1ef4bb5e59edb35060d2089f168d7a50714ffbd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 18:58:01 2013 +0100

    [entropy.misc] FlockFile: also pass the FlockFile instance to the callback

commit 8dd42f9663cbed06d3080da42457f5d3f0fdc0f0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 18:54:11 2013 +0100

    [entropy.misc] FlockFile: move wait and acquired message callbacks to instance

commit 2514ab2725b79793354bad82106c0a5a72d54f1a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 18:45:45 2013 +0100

    [entropy.misc] FlockFile: add support for wait messages in shared() and exclusive()

commit 4d24a9566786f0b6ea05a3b97f0e1f253900275f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 18:45:19 2013 +0100

    [entropy.misc] FlockFile: add a get_path() method

commit 76bd97981679646f0a93aa261cef8102663cc91c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 17:23:12 2013 +0100

    [entropy.client.package] install: add initial concurrency support

commit 02d35f58c337543ce1a321c6e3092c0a03a1091b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 15:53:35 2013 +0100

    [entropy.db.sqlite] commit() any pending transactions on release
    
    This avoids potential deadlocks to occur.

commit e717f7a1b36a2630ce5a8155ca7900abc65e23b7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 15:01:02 2013 +0100

    [entropy.db.sqlite] drop support for locking based on rwsem for memory repositories
    
    Firstly, rwsem is semantically different from flock (but this was known) and
    this may confuse the API consumer. Secondly, the locking infrastructure is
    purely meant for inter-process synchronization, threads synchronization is
    not a current use case.

commit 5b6da64e35bcee9471a698fa2dca7e6c33fbf11a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 14:41:43 2013 +0100

    [entropy.db.skel] document further locking infrastructure assumptions

commit 688b8f97965023b5431d6c00f0744f94c92d3b85
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 14:34:26 2013 +0100

    [entropy.db.sqlite] clear in-RAM cache after lock acquisition

commit df4b71d6a9eee1d48df412ac375a3ba0158e4f45
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 14:26:36 2013 +0100

    [entropy.db.sqlite] use lock_path() instead of self._db for file locking

commit 5e5b006da0cb7593b7093da4fe3f893da0bbd27a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 14:26:05 2013 +0100

    [entropy.db.skel] expose lock_path() and make file lock path configurable

commit 58815a17ed96bd78da7d5d58421dd318d37d9aad
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 14:11:59 2013 +0100

    [entropy.const] add /run/entropy directory setup, expose it through etpConst['entropyrundir']

commit d9f76137f0aaf5f4794078f33a6c4ed9657cd150
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 13:56:10 2013 +0100

    [entropy.db.skel] improve output during lock contention phases

commit d5634b2b29bc1fd93801595e41975db7bc3de810
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 13:49:20 2013 +0100

    [entropy.db.skel] write locking output to stderr
    
    This avoids breaking scriptability of --quiet options

commit 75b1d8498bcd2568944fd02dbda4df6727f086f5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 22:27:13 2013 +0100

    [entropy.db.skel] fix exclusive() wrt acquired bool

commit 489e48ba4694cba615af20ebfb024a3d71d2fc35
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 22:21:51 2013 +0100

    [entropy.db.skel] warn when repository locks are being acquired

commit 6f37738781aa217702c33d02b7fb5c030a4d7776
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 21:21:41 2013 +0100

    [entropy.client] always prefer installed_repository() over protected attribute

commit 366fc37f59670c0d71e802cad712cb6bb08a88ed
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 16:17:01 2013 +0100

    [entropy.db.sqlite] implement locking infrastructure

commit a8fd6c52c0d631f4ef85d7dda6ea425d4e2f66b2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 16:15:53 2013 +0100

    [entropy.db.skel] warn about flock related methods usage

commit 3d6021042f65ff99aab6b250a88ba75e51a4204a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 16:15:29 2013 +0100

    [entropy.db.skel] split release() into release_shared() and release_exclusive()

commit 6206c3de48aed87ec60df42314ae9a0ad8a2dce0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 15:21:35 2013 +0100

    [entropy.db.sqlite] add _is_memory() method

commit 4903d261daff8e1f772daaf8603cd1b93076af28
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 14:35:29 2013 +0100

    [entropy.db.skel] add base API for handling flock based synchronization

commit 8852a159137b0c635022d805d3dc2216005edcb5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 14:21:28 2013 +0100

    [entropy.misc] add shared(), release() context managers to FlockFile

commit a13d78d840c624cdd1dbad41a51247975de89d4f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Dec 7 20:19:22 2013 +0100

    [magneto] tell the user not to shutdown nor reboot if the system upgrade started

commit 1c25cda14977b96ac706b01134bb7d5519a41f82
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 17:49:22 2013 +0100

    Tagging Entropy version 247

commit f28ab4f7027663827fdd13f8c98cd7757943786d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 17:49:22 2013 +0100

    Release Entropy 247

commit 7b0d41e50f174b67560d84ad7d17c98fcd780c04
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 15:57:45 2013 +0100

    [Rigo] add "in:exact" command to allow users to match packages, use it for lts kernels
    
    Conflicts:
            rigo/rigo/ui/gtk3/controllers/applications.py

commit 0184dac61733525b62b31e70b37f888020507d52
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 16:11:38 2013 +0100

    [entropy.db.skel] fix matching of old style virtuals
    
    When only a subset of the packages in a given key, slot expose
    an old style virtual dep string (like virtual/linux-binary-lts),
    make sure not to pull in all of them instead.

commit 454b1b61fae5be5f8f4d39c776abd522ecf7aac6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 09:20:52 2013 +0100

    Tagging Entropy version 246

commit d029f5568c916840c869d2972717c15914dc970c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 09:20:51 2013 +0100

    Release Entropy 246

commit 5c717701f7af8e0730755b1ad04b2d7003183702
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Dec 6 09:18:23 2013 +0100

    [entropy.client.package.actions] fetch: pass metadata through _check_package_path_download
    
    This method is called in the setup phase, when self._meta is still None.

commit 525bab67144934b0d0c96fda36818b1c5a24387b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 23:42:17 2013 +0100

    Tagging Entropy version 245

commit f85c890f9add76ba80550ffe99a00be69ca34c0c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 23:42:17 2013 +0100

    Release Entropy 245

commit 0bf9ab5d82afcf15c094aa6c9fe9a585bf437bc6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 23:19:17 2013 +0100

    [Rigo] document the installed repository lazy load requirement

commit a2e1e6ba94074067d404daf54c49e8782449e245
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 23:11:36 2013 +0100

    [entropy.client] delay installed repository initialization as much as possible

commit 78c47b65bcd13f48208ed087e74018f4dfff64c2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 22:25:29 2013 +0100

    Tagging Entropy version 243

commit addd11b19164da2e04ad55c9205d37f032d0a9b6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 22:25:29 2013 +0100

    Release Entropy 243

commit 81dca7339e8d64468d57ff863242bd8b5d04b21b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 22:19:21 2013 +0100

    [eit.commands.command] use the Entropy class object to acquire the Entropy Resources Lock

commit c26b8fb971be6a9d2bbb57fafb446c09e8beaf71
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 22:14:18 2013 +0100

    [solo.commands.command] use the Entropy class object to acquire the Entropy Resources Lock

commit 9c7fdd5410596246fcd542f9f0e7ee4238171d53
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 22:12:25 2013 +0100

    [entropy.tools] update docstrings for Entropy Resources Lock methods

commit b21eeaf4d2e5dd21857c0c1f4c56cd7db48ad64f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 22:05:35 2013 +0100

    [entropy.client.methods] make Entropy Resources Lock methods classmethods

commit 82b85704ce530fa0849b07891bb40517eadd5d82
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 21:36:30 2013 +0100

    [entropy.output] make TextInterface methods classmethods
    
    This makes possible to fix a circular dependency in the Entropy
    Resources Lock management methods

commit 391ed26f4fa7a0e2995d9a431b635d9a1806351a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 16:34:16 2013 +0100

    Tagging Entropy version 242

commit 4d20097e97abc543ccf92e7f01cc8e47ec76c2b7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 16:34:16 2013 +0100

    Release Entropy 242

commit 8846e063aeaef263eb8454c79e3874de25d734f2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 16:33:41 2013 +0100

    [entropy.db.sqlite] add preserved_libs related methods for backward schema compat

commit 87a3b0d73f26ca7c71eebc634158ab89ced20a42
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 16:23:56 2013 +0100

    Tagging Entropy version 241

commit c6aced2bdc29df07a8f4b193512028340ba556b3
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Dec 5 16:23:55 2013 +0100

    Release Entropy 241

commit 255b9f7d36c580d84efa20e74491e54432923d39
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 17:44:25 2013 +0100

    Tagging Entropy version 240

commit 755c751d40e3ef9df55bb24a94363ec9e16d523b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 17:44:24 2013 +0100

    Release Entropy 240

commit 43992dd452cc55803c6e1f5a1b626a2d6c3023b0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 17:43:44 2013 +0100

    [entropy.client.package.actions] install: fix entropy_install_unpack_hook() in case of smart packages

commit cedee6a35ca2efbf5d5a59e95944f242d9e0f1b8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Dec 4 17:38:56 2013 +0100

    [entropy.client.package.actions] install: use the correct package_id

commit 32027b244968367122e46699d4392610cbf030ab
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sun Dec 1 16:33:58 2013 +0100

    [entropy.spm] fix vdb handling wrt locking, fix several potential races

commit b70ceca1cee3146ef2e3264caaf90fe10c9d5f28
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 12:18:39 2013 +0100

    [entropy.db.sqlite] drop retrieveSignatures
    
    This is no longer needed here since support for the old schema
    has been dropped (the schema update code will update the tables
    anyway)

commit ec3d091c22eece10674aaa73946ae517a0837c83
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 12:16:06 2013 +0100

    [entropy.db.sqlite] drop retrieveProvide and searchProvidedVirtualPackage
    
    They are no longer needed since compatibility with the old metadata
    has been dropped.

commit c8c20f03aa96e424806d823639a0f865872c83db
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 12:04:05 2013 +0100

    [entropy.db] drop support for deprecated eclasses and messages metadata

commit c199b6839f8262c372ef1b3366ad570f95f32143
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 12:02:07 2013 +0100

    [entropy.db] remove support for deprecated provide metadata

commit a54f5b36bc61ad5a94f1223a5a79eaa679e5b096
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 11:51:06 2013 +0100

    [entropy.db] drop 'dependencies' metadata support completely

commit a42711086b4825dbad61b7ca66976c166586278d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 11:23:40 2013 +0100

    [tests] tools: mute output

commit cd6d6b9d22df14345db171982d2162949ce5524d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 10:54:13 2013 +0100

    [tests] use const_mkdtemp() instead of tempfile.mkdtemp()

commit ac1548207d48022f831c66444888f109319d64c1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 10:53:42 2013 +0100

    [entropy.tools] restore python3 compatibility on newly tested functions

commit 3a05acd16a079f5b415b47284e3ca857d0d43ffc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 30 08:25:30 2013 +0100

    [tests] spm: use const_mkdtemp() instead of tempfile.mkdtemp

commit d3cfd35bf528f4ed4e44d7f305b799234cea4046
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 21:49:42 2013 +0100

    [entropy.client.package] reopen the installed packages repository to trigger schema updates

commit cf16a4e11ee1f8a246dfe5c9a8acab58c61e024f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 20:01:22 2013 +0100

    Tagging Entropy version 239

commit 4d9397c140c6e2f4c2763bbda2fe371cd22a48dc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 20:01:22 2013 +0100

    Release Entropy 239

commit 38810e2c83e5cd8bb460e92409b2f173530e8386
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 20:00:36 2013 +0100

    [entropy.spm] PortagePlugin: drop dependencies metadata compatibility

commit a5761e0302b50b7dbb5d0040a4c0c703fbed3891
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 19:57:01 2013 +0100

    [entropy.server.db] migrate to pkg_dependencies

commit c9809f077512985a92fa8d46bba5a9ac6ca0ffd2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 19:56:20 2013 +0100

    [entropy.server] migrate to pkg_dependencies metadata

commit 5c120efb6134de3a70413db60f4e8731268c2358
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 19:43:21 2013 +0100

    Tagging Entropy version 238

commit d10d82bebb0ffd5397d98e557eddee1c495deaf4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 19:43:21 2013 +0100

    Release Entropy 238

commit a01f0bd1038bc1f945cccef916e4f37cf7f507a6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 19:41:08 2013 +0100

    [tests] mute QA and Security test function outputs

commit 982d99fe30522514b211b0cced99446536e6c326
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 19:37:24 2013 +0100

    [tests] client: silence tests

commit 464ae46d90ede34374bf83355ca949af2b39c079
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 19:29:12 2013 +0100

    [tests] drop debug output

commit e6d0a556b7183e01ca83577a745a7cd70b45d03c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 19:21:17 2013 +0100

    [entropy.spm] PortagePlugin.__source_env_get_var: silence stderr

commit e406a4edaa1c8e2fbe822f0966931d28a9ba11a0
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 19:15:44 2013 +0100

    [entropy.*] create new dependencies metadata "pkg_dependencies"
    
    The old "dependencies" metadata is deprecated. It was found that
    the generated metadata might get corrupted by colliding atom strings.
    The new implementation avoids collisions completely and is more
    efficient.

commit 48794603d09c01796aa6f35872f73a1aad57e13d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 17:38:27 2013 +0100

    [entropy.spm] PortagePlugin: make sure that /usr/lib/portage/pym is in sys.path

commit 79885e0e0f11952eeef96cb0fe0a5be84a7ae9e4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 17:38:09 2013 +0100

    [entropy.client.interfaces.dep] restore python3 compatibility

commit 078c24de3b73dd4379ab1fe2ee1b6c9fd4ec0662
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 16:42:31 2013 +0100

    Tagging Entropy version 237

commit d28fd6050fcc5220c3f1b73d4e77bff9bb18f0a5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 16:42:30 2013 +0100

    Release Entropy 237

commit 57d22348ea5e5bf8eec78c3eedeea227ebb6fac8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 16:41:21 2013 +0100

    [entropy.qa] _get_unresolved_sonames: try to resolve the lib using its real path

commit 2b082167cd5c360aa2ff332d6f8e772c866b15d2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 16:30:23 2013 +0100

    [entropy.tools] read_elf_real_dynamic_libraries: correctly filter out elf_file

commit 32e48aa576fb6bd53d94da96b45bde821a66cad6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 16:24:25 2013 +0100

    [entropy.qa] rewrite _get_unresolved_sonames: reduce false positives
    
    Use the provided libraries metadata instead of the content metadata,
    which may be really large and error prone. Improve speed and memory
    usage as well.

commit 53ef2c06bd51cd80b2a05efb3ddee80a8a4e6339
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 15:54:05 2013 +0100

    [entropy.qa] _get_unresolved_sonames: filter symlinks from elf_files

commit aab2449b2b00535dab9ae65aa3ecadaaa8b0f51f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 15:50:49 2013 +0100

    [entropy.qa] _is_elf_executable_or_library: add allow_symlink keyword arg

commit ed6e58551d71e2122ead06e8f419c3efe46f4b7b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 15:40:52 2013 +0100

    [entropy.qa] move ELF file checks to separate unified function, add debug dir check

commit 734fe7a0f92d056ce4a6633cbf63ad29cee05d18
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 13:10:10 2013 +0100

    [entropy.client.interfaces.sets] fix undefined variable: err

commit b08389db21045c92bed51040b08ac1974822e90e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 13:09:01 2013 +0100

    Tagging Entropy version 236

commit 46cbde0a878d22c57cfb6e7381b6f5cbc4061b61
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 13:09:01 2013 +0100

    Release Entropy 236

commit b7292eadf133091ce169e5f5b3fee21e1d5f6d9c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 13:08:28 2013 +0100

    [entropy.fetchers] do not print "Infinity" but rather warn about the accuracy

commit a5910790a607f34b7b5c692be8a7ae8271a5722a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 13:08:07 2013 +0100

    [entropy.fetchers] clean code a bit

commit 6f8164dd14017e73e91cb46584dc710f14d0da88
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 12:55:26 2013 +0100

    [entropy.client.package] fix regression in .edelta files download support

commit 7fc8ad14adbff7d205f2fa0989b3404990cb3f81
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 11:57:57 2013 +0100

    [RigoDaemon] add debug output on _authorize callback method

commit 3d1c79c299dc007983edf0d0640b67c82af8322e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 11:37:42 2013 +0100

    [Rigo] update translations

commit 0ce468721227b15af6228ece5fdbcee11914dc6a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 11:37:15 2013 +0100

    [Rigo] update rigo.pot

commit f68ddef4ae5007e7174f34bfb5e64ee66e135c81
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 11:36:47 2013 +0100

    [Rigo] add support for basic preserved libraries notification

commit ae9707d39e9dac17193379248bd1984a59073719
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 11:05:15 2013 +0100

    [Rigo] make possible to toggle the VteTerminal scroll-on-output mode

commit 04048b88186456c34da3e90b66865d682063721a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 29 10:48:50 2013 +0100

    [RigoDaemon] signal preserved libraries through preserved_libraries_available()

commit 52791086d589fb5d28ee1627607a07e26997ed1a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 28 21:03:31 2013 +0100

    [Rigo] derive Shape from object, avoid python warning

commit 6848c9cda0ae9df3a9a5803c0f37ebcde566a95c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 28 20:19:05 2013 +0100

    Tagging Entropy version 235

commit b21654e7053b0bf8f7689397d21bfc616aa64484
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 28 20:19:05 2013 +0100

    Release Entropy 235

commit 56bc937e4730e02d2419670877f4fb5e0b9df674
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 28 19:55:00 2013 +0100

    [tests] cleanup run

commit 2c1226f909a11739a7283740d8c2b1b23c12f656
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 19:06:50 2013 +0100

    [client] update entropy.pot

commit 57918399e4c1639741a4c7efd9f34b427178c22f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 19:05:24 2013 +0100

    [solo.commands.manage] inform user about preserved libraries

commit c459d63fcc3c922e81ea5b58c64c159d875d8a2b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 18:29:03 2013 +0100

    [client] translate file paths on "equo remove" to packages.
    
    "equo remove /usr/bin/k3b" will remove app-cdr/k3b

commit ed3e8cc263174c1942de8aefe41bf93ad4852fcf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 18:28:47 2013 +0100

    [client] update translations

commit f4c1cae4fea9fe246e565e77494a2d00d719cde7
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 18:27:35 2013 +0100

    [client] update entropy.pot

commit 3f046e6c07da121f24559857e16336b006dfb371
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 18:18:33 2013 +0100

    [entropy.client.package] _garbage_collect_preserved_libs: remove library iff there are no owners

commit dfb6fadf99648c3c6eb6f989e024288a0c752ded
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 17:38:57 2013 +0100

    [entropy.client.package] PreservedLibraries: fix insertPreservedLibraries() call

commit fe649e5f2b0c0883e38ab970031c9755a790e1bc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 17:36:24 2013 +0100

    [solo.commands.preservedlibs] drop atom argument from PreservedLibs()

commit 2b3b2d0f275810a3f1f718d495fccd74052e6d26
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 17:29:52 2013 +0100

    [entropy.client.package] PreservedLibraries: tweak API

commit 7cd5228b3afbc145668a317ebb23f7b856a7c5b2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 17:27:39 2013 +0100

    [solo.commands.preservedlibs] inform user about libraries owned by packages in gc

commit 9d733afefbaf5d221b92702fbf00f500e968fec4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 17:27:23 2013 +0100

    [solo.commands.preservedlibs] drop unused imports

commit 67443f16456aef8a2d309c7122ca0b34a13c6b3a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 16:46:14 2013 +0100

    [entropy.client.package] PreservedLibraries: accept any provider as valid

commit b548f4b357f505cb2f3c1ef2d0369bf2c0f2da1a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 12:51:16 2013 +0100

    [solo.commands.preservedlibs] add new command "preservedlibs"

commit 97f2e47438086bc9c617897c87fac186a4c8c0d9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 12:37:05 2013 +0100

    [entropy.client.package] simplify PreservedLibraries.remove()

commit e7c482ac215d999aee557ba24be17595e311e195
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 12:30:09 2013 +0100

    [entropy.db] add atom field to preserved_libs metadata

commit 334172f8f941ee0d21f81e8cbfecab173f03f235
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 12:18:07 2013 +0100

    [entropy.client.package] expose a list() method, wrap listAllPreservedLibraries()

commit 87d375e9ecfd13113eaea227101d57646591f932
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 12:17:45 2013 +0100

    [entropy.client.package] force self._root to unicode

commit 66dd05936ea23317e3075682cb659165a5d331c4
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 11:41:36 2013 +0100

    [client] add new paths to POTFILES.in

commit fa97583cacd279a1c2d7b64af1a9da534f3c41bd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 11:25:47 2013 +0100

    [entropy.client.package] initial preserved libraries support

commit 5efdb319037df43e2a0f53a4a80dbc5e241b6892
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 11:22:31 2013 +0100

    [entropy.client.package] correctly handle symlinks to hardlinks, see Gentoo bug #406837

commit 81cf0befe41732914841ba2988ebf46070216d2f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 27 10:31:23 2013 +0100

    [entropy.client.package] extend the preservedlibs module with more methods

commit 3c8f5ae81272d2243cd5739069752d4a3848fea2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 26 22:32:56 2013 +0100

    [entropy.client.package] remove useless del calls

commit 68f3db82d67811b6d295cb7fad6a6f6bb0543669
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 26 22:31:08 2013 +0100

    [entropy.client.package] add metadata parameter to _get_system_root()

commit 0a948b87847fcee380a80181d17e098b4318a1f2
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 26 22:26:32 2013 +0100

    [entropy.client.package] move self._meta to _PackageInstallRemoveAction

commit 548d579d2f3be4e3a36dab78cfdc2d9309633791
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 26 20:53:00 2013 +0100

    [entropy.client.package] add initial preserved libraries support class

commit 86cdf058a393406ad81eaea88f6fd18c4d245049
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 26 11:18:34 2013 +0100

    [entropy.tools] move struct import to global scope

commit ff461f467686a80db07d914e6b9aca94b4a16d50
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 23 20:24:22 2013 +0100

    [entropy.client.package] add _PackageFetchAction.package_path() for PackageKit

commit 70a0a1c983e6529d26ad28cf73a85bcd4cc35400
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 23 14:15:05 2013 +0100

    [entropy.client.interfaces.package] drop unused metadata

commit 41e0cf576bd1b2b236f12db526eeffe3d1fc5167
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 23 14:14:48 2013 +0100

    [RigoDaemon] migrate to the new PackageActionFactory API

commit 005ac42610a2c41167f3ced859cf5496ffe7c9c5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 23 13:58:39 2013 +0100

    [tests] port code to the new PackageActionFactory API

commit f10b9341f90aa74a3cba125a845ac7b2a589e745
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 23 13:53:40 2013 +0100

    [client] migrate solo to the new PackageActionFactory API

commit 453481204d2512f0bac28e75fafa89bf4fc04b85
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Sat Nov 23 13:00:53 2013 +0100

    [entropy.client.interfaces.package] split Package class, create new API
    
    The Package has been split into multiple PackageAction based classes.
    The new interface uses a factory (PackageActionFactory) to build
    the PackageAction objects on behalf of the caller.
    
    The new factory-based interface is clean, modular and faster than
    the old Package spaghetti class.
    
    Backward compatibility has been preserved, as long as caller doesn't
    peek into internal structures and metadata. The old interface has
    been deprecated and a new Entropy Client method called PackageActionFactory()
    has been added.
    
    Please migrate your code to the new API, the old API will be dropped in 1
    solar year.

commit 44444b43d8768a21dc30523062a3f02e666a846d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 18:14:29 2013 +0100

    [entropy.client.misc] drop unused variables

commit 8f083449a6832d6d38a0a7fbce398c1f0f31ba46
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 18:12:23 2013 +0100

    [entropy.client.misc] drop deprecated class, sulfur is dead

commit 1b6e7ff2fff78036be3a1da47dfc06f91dfca45b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 15:17:38 2013 +0100

    [entropy.client.package] move FileContent* classes to separate module

commit 7fe3c021bdf7f5e9b35a8d3540d60a23b87adc02
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 15:00:14 2013 +0100

    [entropy.client] move package.py to Python package

commit 69fb71f9578c6bfaeaddb5e16597edb77f9ec696
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 14:02:49 2013 +0100

    [entropy.client.package] code style updates

commit c04f2c5a50c4228d39f3658756a483e76687b98d
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 13:57:14 2013 +0100

    [entropy.client.package] pylint sweep

commit ddfdc517919fdb9dea8732690a613f9de56b9fa9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 13:42:06 2013 +0100

    [entropy.client.package] make _handle_config_protect() faster, use sets

commit 782ec72fd60403e6cca735d119d1fe260227c0d1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 13:12:15 2013 +0100

    [entropy.const] drop all the config_protect+mask objects from etpConst

commit d41aa402bae69ba3c3c18cf2f94e5b6567d67e52
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 12:54:38 2013 +0100

    [entropy.client.package] rewrite config_protect+mask handling code
    
    Improve code quality, remove several redundant parts, use set()
    objects instead of list() for both protect and mask data.
    Improve speed, save the world.

commit 36b38487a47bc73f6f5599752bd1e04befa022f5
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 12:20:24 2013 +0100

    [entropy.client.package] some cleanups

commit 41988b7002c3c145ea7584d9ff4489067661d129
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 12:17:48 2013 +0100

    [entropy.client.package] fix config protect and mask handling
    
    We must collect the configuration protection and masking bits before
    the installed package metadata goes away. This is true for both
    install and removal paths.

commit 9c73be1d0393137313d89145cb8c01047882aec1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 11:04:43 2013 +0100

    [entropy.client.interfaces.package] drop type checking

commit 3d7b00725bb554c83561a8f7a1408c0db31d5a54
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Fri Nov 22 11:04:25 2013 +0100

    [entropy.tools] drop stale comments

commit 8c5a499e5845ccd0ba30bd4816185aac5a063066
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 21:48:07 2013 +0100

    [RigoDaemon] set the default terminal (${TERM}) if unset
    
    This prevents portage phases printing weird things about missing ${TERM}

commit 7091c56fe0845249ee9cd236e6c28bd3597d0cba
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 16:43:18 2013 +0100

    [entropy.tools] rewrite read_elf_linker_paths(), improve speed, add tests

commit 60af35b7488d3a3ae1ebf5dad975c8b92b954c2f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 16:30:51 2013 +0100

    [entropy.tools] rewrite read_elf_broken_symbols(), add tests

commit 70fc4598402ab912d5839f97b517a44561484832
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 16:05:29 2013 +0100

    [entropy.tools] rewrite read_elf_real_dynamic_libraries(), add tests

commit 1f6805d389620cf041a881202fa0d3be1b9a6b41
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 15:48:36 2013 +0100

    [entropy.tools] fix FileNotFound exception handling

commit 5509272fdddb0e7d338f855e6ae8402ea721e3e6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 15:48:17 2013 +0100

    [entropy.tools] rewrite read_elf_dynamic_libraries(), make it use scanelf

commit 36285567849170a29737c0519574dac369494aaf
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 13:05:34 2013 +0100

    Tagging Entropy version 234

commit efeefa1d7ce7481e004323170bc29162dc89ea74
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 13:05:33 2013 +0100

    Release Entropy 234

commit 24ff697eae45e563d3bf12e19eb769ab6f7b7055
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 13:05:16 2013 +0100

    [todo] update TODO

commit 161dbed43d76fb4bc4df30318c8de6e9e5f63569
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 13:00:11 2013 +0100

    [todo] update TODO

commit 14f4b7b8c5a2b17cc7b29e0913e82e07cb326f09
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Thu Nov 21 12:39:05 2013 +0100

    [entropy.spm] PortagePlugin: drop the old license setup code, fix portage >=2.2.0_alpha189 support
    
    The old license setup code is no longer needed since 2009. EAPI < 3
    use ACCEPT_PROPERTIES="* -interactive", which is now set in the environment
    (note that we may want to reduce the scope of the variable to portage.config
    in the future). EAPI >= 3 use ACCEPT_LICENSE. check_license() in
    eutils.eclass is gone as well.

commit 973dbc62e764ae7a1ec8bec18ac173871c2682a8
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 20 17:22:35 2013 +0100

    [todo] update TODO

commit 96ef5868f4b09bc7a4c6a12219d47a91e2788639
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 20 17:09:48 2013 +0100

    [entropy.db] initial repository database support for preserved libraries

commit 3c7fc6f4d09343c6ab2bb1cdcca2c7e421dee0aa
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 20 12:34:41 2013 +0100

    Tagging Entropy version 233

commit 66f146348849b89989563251e7642e0be5ce26ad
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 20 12:34:41 2013 +0100

    Release Entropy 233

commit d089978b7439180bf8e4155a5b6744eb8f8f166e
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 20 11:42:51 2013 +0100

    Revert "[entropy.db.cache] add timed expiration support for cached elements"
    
    This reverts commit 8b7c48c2d99822d154bb0cca90f41683551691ca.

commit d786c403c8a9c912c7b013de57c95f5d511ac96b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 20 11:38:53 2013 +0100

    [entropy.db.sqlite] fix the retrieveDependencies cache invalidation paths

commit 8b7c48c2d99822d154bb0cca90f41683551691ca
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 20 11:25:02 2013 +0100

    [entropy.db.cache] add timed expiration support for cached elements

commit 47657d62854964a8f8f8c3b0877844d2a31abc7b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Nov 20 11:15:53 2013 +0100

    [entropy.misc] ParallelTask: code style update

commit 465f086148be012e1fe729b01a40997e6df7a054
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 22:10:36 2013 +0100

    Tagging Entropy version 232

commit 8124d071d671852a327769bcc61ad495ebdc836a
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 22:10:36 2013 +0100

    Release Entropy 232

commit 275f4d4c7491a603ace4bed19024b0a4706814df
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 22:08:34 2013 +0100

    [entropy.server] validate missing dependency string using searchPackageIdFromDependencyId()

commit 650a4626320d9b06c43d5332a7068c4a507348df
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 21:46:27 2013 +0100

    [€ntropy.client] s/idpackage/package_id/

commit 8ce1f920e06e15c7b2f625314d8e0adffded622c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 21:38:24 2013 +0100

    [entropy.server] s/idpackage/package_id

commit 17d1a89ee440f717e5c9921dff10846622725127
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 21:21:12 2013 +0100

    Tagging Entropy version 231

commit 435b75effa7bba772f8df4a8937c9a10704d387c
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 21:21:12 2013 +0100

    Release Entropy 231

commit 421b65ab3a6d9e73ca8afe26bdece174aa8f3d0f
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 21:19:27 2013 +0100

    [eit.commands.commit] use map() instead of filter() in installed packages scan

commit b36119bd55371dc04812df3431aa16aa5c313d58
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 18:33:51 2013 +0100

    [eit.commands.commit] start counting from 1

commit b1d0c40153d11346c3901d851c19c47b100d80b1
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 16:55:19 2013 +0100

    [entropy.server.interfaces.db] do not pull packages.db.light.bz2
    
    There is no need to download this particular file because it will
    be re-created from scratch by push.

commit 0a1c08b1e87bf0cf7b0dbf1d63179032d02a1f95
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 14:51:10 2013 +0100

    [entropy.server] simplify _deps_tester(), improve speed

commit 7eb0687ba9e695a9f9d23dead8f7e69faa53b560
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 14:48:20 2013 +0100

    [entropy.db] make listAllDependencies() public

commit 1834dbe55d30af6a4c98267d086498333eb07581
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 13:31:01 2013 +0100

    [entropy.db.sqlite] retrieveDependencies: final performance tweaks

commit 66c01f339b6e73618d7f12adff44c4baf067adbc
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 13:20:12 2013 +0100

    [entropy.db.sqlite] simplify retrieveDependencies() code

commit a8d2ae3313bb4971f46149aa2adcaae72ad22632
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 13:06:36 2013 +0100

    [entropy.db.sqlite] add in-RAM cache support for retrieveDependencies()
    
    This seems to give 15% speed boost in certain scenarios

commit 8e600c39eaefecf03ecef590ca1ac22f123be104
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 12:03:26 2013 +0100

    [entropy.client] code style updates to dependencies_test()

commit 016573701c7859de7906702666b9e7ceb4217bcd
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Tue Nov 19 11:18:05 2013 +0100

    [entropy.db.sql] fix retrieveDependencies() usage of resolve_conditional_deps

commit 3e4e81fe8a7f8e6dc976e209962245aaef1c1b42
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Nov 18 15:34:02 2013 +0100

    Tagging Entropy version 230

commit 1c6fd477764b69c95f359bfd2ab362575d6e0add
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Nov 18 15:34:01 2013 +0100

    Release Entropy 230

commit 8d6002edaf30eda7c11bbbabe14adbd920b454d9
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Nov 18 15:29:03 2013 +0100

    [eit.commands.commit] commit data only when something changed

commit 9e2a324e83cdab0cd59a025ed3d4f255567f0326
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Mon Nov 18 15:10:17 2013 +0100

